2004-10-07 00:52  JS

	* distrib/msw/cw.rsp, distrib/msw/cw_mac.rsp, distrib/msw/mac.rsp,
	distrib/msw/makefile.rsp, distrib/msw/vc.rsp,
	distrib/msw/wince.rsp:

	Misc script updates

2004-10-07 01:53  RN

	* build/bakefiles/files.bkl, docs/latex/wx/array.tex,
	include/wx/defs.h, include/wx/process.h, include/wx/string.h,
	include/wx/wxchar.h, include/wx/cocoa/colordlg.h,
	include/wx/cocoa/display.h, include/wx/cocoa/drawer.h,
	include/wx/cocoa/filedlg.h, include/wx/cocoa/fontdlg.h,
	include/wx/cocoa/msgdlg.h, include/wx/cocoa/sound.h,
	include/wx/cocoa/taskbar.h, src/cocoa/app.mm,
	src/cocoa/colordlg.mm, src/cocoa/display.mm, src/cocoa/drawer.mm,
	src/cocoa/filedlg.mm, src/cocoa/fontdlg.mm, src/cocoa/msgdlg.mm,
	src/cocoa/sound.mm, src/cocoa/taskbar.mm, src/cocoa/utilsexc.mm,
	src/cocoa/window.mm, src/common/string.cpp, src/common/wxchar.cpp,
	src/mac/carbon/fontdlg.mm, src/mac/carbon/sound.cpp,
	tests/strings/stdstrings.cpp, tests/strings/strings.cpp:

	2.5.3 - cleanups, fixes, etc. etc. -

	1. Various stubs for wxCocoa (and the bakefile entries for them) 2.
	Definitions for some wxCocoa cocoa types in defs.h 3. Hack to
	attempt to fix SYNC sound for mac carbon 4. Fix for wxCocoa and
	10.2 (Dave - I'm already around doing some stuff anyway - I'll go
	ahead and save you the trouble).  5. 10.2 unicode layer 6. Strings
	null-char fixes (stems from chartraits patch - essentially the
	patch minus the chartraits part - HAHA :)) [note to self - swap the
	2nd and 3rd params of wxMemchr if you use chartraits and vice
	versa]	* If you have time please run the strings and stdstrings
	cppunit test suite     * Also add more test suites if you want -
	more is always better :)      * This does not include any fixes for
	mbtowc etc functions as outlined on the ml

	7. An attempt to update wxArray docs a little 8. wx/process.h build
	fix for wxCocoa 9. Unicode fixes in app.mm for wxCocoa 10. Remove
	newer font panel after Stefan's suggestion

2004-10-07 02:01  RN

	* src/cocoa/app.mm:

	revert badly screwed up commit :\

2004-10-07 04:26  DS

	* src/mac/carbon/app.cpp:

	fixed Carbon compilation; call HID keyboard dtor for Darwin

2004-10-07 06:04  ABX

	* docs/changes.txt:

	Late note about deprecated wxDbTable constructor.

2004-10-07 06:36  ABX

	* include/wx/ptr_scpd.h, include/wx/msw/window.h,
	src/msw/accel.cpp, src/msw/dib.cpp, src/msw/font.cpp,
	src/msw/fontenum.cpp, src/msw/fontutil.cpp, src/msw/frame.cpp,
	src/msw/palette.cpp, src/msw/window.cpp:

	Warning fixes found under hardest mode of OpenWatcom. Seems clean
	in Borland, MinGW and DMC.

2004-10-07 09:26  JS

	* src/common/cmndata.cpp:

	Applied patch [ 1042241 ] Fixes print setup problem (MSW UNICODE
	build)

2004-10-07 09:32  JS

	* docs/changes.txt:

	Applied patch [ 1042241 ] Fixes print setup problem (MSW UNICODE
	build)

2004-10-07 09:38  JS

	* samples/widgets/notebook.cpp:

	Applied patch [ 1039953 ] Fix notebook functionality in widgets
	sample

2004-10-07 09:42  JS

	* include/wx/gtk/dc.h, include/wx/mgl/dc.h:

	Applied patch [ 1039940 ] Prevent redefinition of MM_xxx mapping
	mode constants

2004-10-07 09:50  RN

	* docs/latex/wx/evthand.tex, src/cocoa/app.mm,
	tests/strings/stdstrings.cpp:

	1. Yet another unit test for new stirng stuff 2. Fix unicode and
	10.2 in src/cocoa/app.mm 3. Fix error in doc about
	wxEvtHandler::Connect

2004-10-07 10:05  RD

	* src/gtk/dcclient.cpp:


	Verified and applied [ 1042133 ] GTK2.0: DrawRotatedText dumb
	implementation

2004-10-07 10:22  RN

	* configure, configure.in:

	remove blatant hack from configure and do proper checking for stuff
	wxCocoa does not support

2004-10-07 10:45  RN

	* include/wx/cocoa/colour.h:

	fix a bunch of warnings in unicode build

2004-10-07 10:56  RN

	* build/bakefiles/files.bkl, src/cocoa/tooltip.mm:

	another stub for wxCocoa

2004-10-07 11:06  RN

	* docs/changes.txt:

	I guess I should update this - :)

2004-10-07 11:08  RD

	* src/common/string.cpp:

	Correct compile errors in non-unicode build

2004-10-07 11:32  RN

	* build/bakefiles/files.bkl, src/mac/carbon/app.mm:

	some preparation for carbon/cocoa interop

2004-10-07 11:35  JS

	* src/os2/menu.cpp, src/os2/window.cpp:

	Applied patch [ 1039456 ] [wxOS2]Popup menu problems By Dave
	Parsons Fixes problems including:

	titles do not display, title id is already allocated to the menu
	separator, menus show in totally the wrong position, possible to
	call DoPopupMenu with out of range parameters, showing a menu
	enters an infinite loop with 100% cpu usage, ProcessEvent is called
	destroying the return value from HandleMouseEvent.

2004-10-07 12:28  RD

	* wxPython/wx/lib/floatcanvas/FloatCanvas.py,
	wxPython/wx/lib/floatcanvas/NavCanvas.py,
	wxPython/wx/lib/floatcanvas/__init__.py,
	wxPython/demo/bmp_source/floatcanvas.png, wxPython/demo/images.py,
	wxPython/demo/FloatCanvas.py, wxPython/demo/encode_bitmaps.py:

	FloatCanvas patch from Chris Barker.

2004-10-07 13:07  RN

	* build/bakefiles/files.bkl:

	revert change to bakefiles as per Robin's suggestion

2004-10-07 13:15  RD

	* wxPython/wx/lib/plot.py:

	Patch from Gordon Williams:    - Added bar graph demo	 - Modified
	line end shape from round to square.	 - Removed FloatDCWrapper
	for conversion to ints and ints in arguments

2004-10-07 13:22  RD

	* wxPython/wxPython/_core.py, wxPython/src/gtk/_core_wrap.cpp,
	wxPython/src/gtk/_core.py, wxPython/src/gtk/_controls_wrap.cpp,
	wxPython/src/gtk/_controls.py:

	reSWIGged

2004-10-07 13:24  RD

	* wxPython/src/_gbsizer.i:

	Added missing GetCellSize

2004-10-07 14:56  KH

	* docs/latex/wx/datetime.tex:

	Fixed typos -- obejct should be object

2004-10-07 15:28  RN

	* include/wx/string.h, include/wx/wxchar.h, src/common/string.cpp,
	src/common/wxchar.cpp, tests/strings/strings.cpp:

	1.10.2 and less mbtowc and wctomb HAVE THE COOTIEScd ..  (they are
	just stubs and return 0 - we need our own, even in ANSIcd
	..!)\n2.Finalize the null character changes in wxString - change
	mb_str and wc_str to not stop at null characters\n3.Add unit tests
	for the above

2004-10-07 15:35  RN

	* Makefile.in, autoconf_inc.m4, build/msw/makefile.bcc,
	build/msw/makefile.gcc, build/msw/makefile.vc,
	build/msw/makefile.wat, build/msw/wx_adv.dsp,
	build/msw/wx_base.dsp, build/msw/wx_core.dsp,
	build/msw/wx_dbgrid.dsp, build/msw/wx_gl.dsp,
	build/msw/wx_html.dsp, build/msw/wx_net.dsp, build/msw/wx_odbc.dsp,
	build/msw/wx_xml.dsp, build/msw/wx_xrc.dsp,
	contrib/build/animate/animate.dsp,
	contrib/build/animate/makefile.bcc,
	contrib/build/animate/makefile.gcc,
	contrib/build/animate/makefile.vc,
	contrib/build/animate/makefile.wat,
	contrib/build/deprecated/deprecated.dsp,
	contrib/build/deprecated/makefile.bcc,
	contrib/build/deprecated/makefile.gcc,
	contrib/build/deprecated/makefile.vc,
	contrib/build/deprecated/makefile.wat, contrib/build/fl/fl.dsp,
	contrib/build/fl/makefile.bcc, contrib/build/fl/makefile.gcc,
	contrib/build/fl/makefile.vc, contrib/build/fl/makefile.wat,
	contrib/build/foldbar/foldbar.dsp,
	contrib/build/foldbar/makefile.bcc,
	contrib/build/foldbar/makefile.gcc,
	contrib/build/foldbar/makefile.vc,
	contrib/build/foldbar/makefile.wat,
	contrib/build/gizmos/gizmos.dsp, contrib/build/gizmos/makefile.bcc,
	contrib/build/gizmos/makefile.gcc,
	contrib/build/gizmos/makefile.vc,
	contrib/build/gizmos/makefile.wat,
	contrib/build/mmedia/makefile.bcc,
	contrib/build/mmedia/makefile.gcc,
	contrib/build/mmedia/makefile.vc,
	contrib/build/mmedia/makefile.wat, contrib/build/mmedia/mmedia.dsp,
	contrib/build/net/makefile.bcc, contrib/build/net/makefile.gcc,
	contrib/build/net/makefile.vc, contrib/build/net/makefile.wat,
	contrib/build/net/net.dsp, contrib/build/ogl/makefile.bcc,
	contrib/build/ogl/makefile.gcc, contrib/build/ogl/makefile.vc,
	contrib/build/ogl/makefile.wat, contrib/build/ogl/ogl.dsp,
	contrib/build/plot/makefile.bcc, contrib/build/plot/makefile.gcc,
	contrib/build/plot/makefile.vc, contrib/build/plot/makefile.wat,
	contrib/build/plot/plot.dsp, contrib/build/stc/stc.dsp,
	contrib/build/svg/makefile.bcc, contrib/build/svg/makefile.gcc,
	contrib/build/svg/makefile.vc, contrib/build/svg/makefile.wat,
	contrib/build/svg/svg.dsp, samples/render/makefile.bcc,
	samples/render/makefile.gcc, samples/render/makefile.vc,
	samples/render/makefile.wat, samples/render/render_renddll.dsp,
	tests/Makefile.in, tests/makefile.bcc, tests/makefile.gcc,
	tests/makefile.vc, tests/makefile.wat, tests/test.dsp,
	utils/wxrc/Makefile.in:

	bakefile time!!  (Mainly stuff for wxCocoa)

2004-10-07 15:58  RD

	* include/wx/xrc/xmlres.h, include/wx/dlimpexp.h:

	Make sure that WXMAKINGDLL_XRC is defined correctly for monolithic
	DLL builds

2004-10-07 16:21  RN

	* src/cocoa/utilsexc.cpp, src/cocoa/utilsexc.mm:

	a bit of cleanup

2004-10-07 16:31  RN

	* include/wx/wxchar.h, src/common/wxchar.cpp:

	fix darwin defines

2004-10-07 17:08  RN

	* include/wx/unix/execute.h, src/unix/utilsunx.cpp:

	wxCocoa link fixes

2004-10-07 17:20  VZ

	* include/wx/filefn.h:

	renamed __HUGEFILES_SUPPORTED to wxHAS_HUGE_FILES

2004-10-07 17:26  VZ

	* include/wx/filefn.h:

	(blind) fix for Metrowerks/Win32 compilation

2004-10-07 17:40  RN

	* include/wx/display.h, include/wx/cocoa/display.h,
	src/cocoa/display.mm, src/cocoa/utils.cpp:

	wxDisplay for wxCocoa

2004-10-07 17:47  RN

	* include/wx/sound.h, include/wx/cocoa/sound.h, src/cocoa/sound.mm:

	wxSound for wxCocoa

2004-10-07 18:26  RN

	* docs/changes.txt, include/wx/cocoa/tooltip.h,
	src/cocoa/display.mm, src/cocoa/tooltip.mm, src/cocoa/window.mm:

	various cleanups

2004-10-07 22:00  RN

	* include/wx/wxchar.h, src/common/wxchar.cpp,
	tests/regex/regex.cpp:

	final compilo fixups for 10.2 unicode - c/c++ fixes for regex -
	fixup regex unit tests

2004-10-08 01:43  JS

	* contrib/build/stc/makefile.bcc, contrib/build/stc/makefile.gcc,
	contrib/build/stc/makefile.vc, contrib/build/stc/makefile.wat,
	distrib/msw/makesetup.sh, distrib/msw/makewinceproj.sh:

	Regenerated from bakefiles

2004-10-08 03:53  JS

	* distrib/msw/bakeall.sh:

	Added script to bake everthing (OK, so it's trivial...)

2004-10-08 04:04  JS

	* build/bakefiles/common.bkl, build/bakefiles/expat.bkl,
	build/bakefiles/jpeg.bkl, build/bakefiles/odbc.bkl,
	build/bakefiles/png.bkl, build/bakefiles/regex.bkl,
	build/bakefiles/tiff.bkl, build/bakefiles/zlib.bkl,
	build/msw/makefile.bcc, build/msw/makefile.gcc,
	build/msw/makefile.vc, build/msw/makefile.wat,
	build/msw/wx_adv.dsp, build/msw/wx_base.dsp, build/msw/wx_core.dsp,
	build/msw/wx_dbgrid.dsp, build/msw/wx_gl.dsp,
	build/msw/wx_html.dsp, build/msw/wx_net.dsp, build/msw/wx_odbc.dsp,
	build/msw/wx_wxexpat.dsp, build/msw/wx_wxjpeg.dsp,
	build/msw/wx_wxpng.dsp, build/msw/wx_wxregex.dsp,
	build/msw/wx_wxtiff.dsp, build/msw/wx_wxzlib.dsp,
	build/msw/wx_xml.dsp, build/msw/wx_xrc.dsp,
	contrib/build/animate/animate.dsp,
	contrib/build/animate/makefile.bcc,
	contrib/build/animate/makefile.gcc,
	contrib/build/animate/makefile.vc,
	contrib/build/animate/makefile.wat,
	contrib/build/deprecated/deprecated.dsp,
	contrib/build/deprecated/makefile.bcc,
	contrib/build/deprecated/makefile.gcc,
	contrib/build/deprecated/makefile.vc,
	contrib/build/deprecated/makefile.wat, contrib/build/fl/fl.dsp,
	contrib/build/fl/makefile.bcc, contrib/build/fl/makefile.gcc,
	contrib/build/fl/makefile.vc, contrib/build/fl/makefile.wat,
	contrib/build/foldbar/foldbar.dsp,
	contrib/build/foldbar/makefile.bcc,
	contrib/build/foldbar/makefile.gcc,
	contrib/build/foldbar/makefile.vc,
	contrib/build/foldbar/makefile.wat,
	contrib/build/gizmos/gizmos.dsp, contrib/build/gizmos/makefile.bcc,
	contrib/build/gizmos/makefile.gcc,
	contrib/build/gizmos/makefile.vc,
	contrib/build/gizmos/makefile.wat,
	contrib/build/mmedia/makefile.bcc,
	contrib/build/mmedia/makefile.gcc,
	contrib/build/mmedia/makefile.vc,
	contrib/build/mmedia/makefile.wat, contrib/build/mmedia/mmedia.dsp,
	contrib/build/net/makefile.bcc, contrib/build/net/makefile.gcc,
	contrib/build/net/makefile.vc, contrib/build/net/makefile.wat,
	contrib/build/net/net.dsp, contrib/build/ogl/makefile.bcc,
	contrib/build/ogl/makefile.gcc, contrib/build/ogl/makefile.vc,
	contrib/build/ogl/makefile.wat, contrib/build/ogl/ogl.dsp,
	contrib/build/plot/makefile.bcc, contrib/build/plot/makefile.gcc,
	contrib/build/plot/makefile.vc, contrib/build/plot/makefile.wat,
	contrib/build/plot/plot.dsp, contrib/build/stc/makefile.bcc,
	contrib/build/stc/makefile.gcc, contrib/build/stc/makefile.vc,
	contrib/build/stc/makefile.wat, contrib/build/stc/stc.dsp,
	contrib/build/svg/makefile.bcc, contrib/build/svg/makefile.gcc,
	contrib/build/svg/makefile.vc, contrib/build/svg/makefile.wat,
	contrib/build/svg/svg.dsp, contrib/samples/animate/anitest.dsp,
	contrib/samples/animate/makefile.bcc,
	contrib/samples/animate/makefile.gcc,
	contrib/samples/animate/makefile.vc,
	contrib/samples/animate/makefile.wat,
	contrib/samples/deprecated/proplist/makefile.bcc,
	contrib/samples/deprecated/proplist/makefile.gcc,
	contrib/samples/deprecated/proplist/makefile.vc,
	contrib/samples/deprecated/proplist/makefile.wat,
	contrib/samples/deprecated/proplist/proplist.dsp,
	contrib/samples/deprecated/resource/makefile.bcc,
	contrib/samples/deprecated/resource/makefile.gcc,
	contrib/samples/deprecated/resource/makefile.vc,
	contrib/samples/deprecated/resource/makefile.wat,
	contrib/samples/deprecated/resource/resource.dsp,
	contrib/samples/deprecated/treelay/makefile.bcc,
	contrib/samples/deprecated/treelay/makefile.gcc,
	contrib/samples/deprecated/treelay/makefile.vc,
	contrib/samples/deprecated/treelay/makefile.wat,
	contrib/samples/deprecated/treelay/treelay.dsp,
	contrib/samples/fl/fl_fl_demo1.dsp,
	contrib/samples/fl/fl_fl_demo2.dsp,
	contrib/samples/fl/fl_fl_sample1.dsp,
	contrib/samples/fl/fl_fl_sample2.dsp,
	contrib/samples/fl/fl_fl_sample3.dsp,
	contrib/samples/fl/makefile.bcc, contrib/samples/fl/makefile.gcc,
	contrib/samples/fl/makefile.vc, contrib/samples/fl/makefile.wat,
	contrib/samples/foldbar/foldpanelbar/foldtest.dsp,
	contrib/samples/foldbar/foldpanelbar/makefile.bcc,
	contrib/samples/foldbar/foldpanelbar/makefile.gcc,
	contrib/samples/foldbar/foldpanelbar/makefile.vc,
	contrib/samples/foldbar/foldpanelbar/makefile.wat,
	contrib/samples/gizmos/dynsash/dynsash.dsp,
	contrib/samples/gizmos/dynsash/makefile.bcc,
	contrib/samples/gizmos/dynsash/makefile.gcc,
	contrib/samples/gizmos/dynsash/makefile.vc,
	contrib/samples/gizmos/dynsash/makefile.wat,
	contrib/samples/gizmos/dynsash_switch/dynsash_switch.dsp,
	contrib/samples/gizmos/dynsash_switch/makefile.bcc,
	contrib/samples/gizmos/dynsash_switch/makefile.gcc,
	contrib/samples/gizmos/dynsash_switch/makefile.vc,
	contrib/samples/gizmos/dynsash_switch/makefile.wat,
	contrib/samples/gizmos/editlbox/editlbox.dsp:

	Regenerated makefiles for 3rd-party lib change

2004-10-08 04:07  JS

	* contrib/samples/gizmos/editlbox/makefile.bcc,
	contrib/samples/gizmos/editlbox/makefile.gcc,
	contrib/samples/gizmos/editlbox/makefile.vc,
	contrib/samples/gizmos/editlbox/makefile.wat,
	contrib/samples/gizmos/led/led.dsp,
	contrib/samples/gizmos/led/makefile.bcc,
	contrib/samples/gizmos/led/makefile.gcc,
	contrib/samples/gizmos/led/makefile.vc,
	contrib/samples/gizmos/led/makefile.wat,
	contrib/samples/gizmos/multicell/makefile.bcc,
	contrib/samples/gizmos/multicell/makefile.gcc,
	contrib/samples/gizmos/multicell/makefile.vc,
	contrib/samples/gizmos/multicell/makefile.wat,
	contrib/samples/gizmos/multicell/multicell.dsp,
	contrib/samples/gizmos/splittree/makefile.bcc,
	contrib/samples/gizmos/splittree/makefile.gcc,
	contrib/samples/gizmos/splittree/makefile.vc,
	contrib/samples/gizmos/splittree/makefile.wat,
	contrib/samples/gizmos/splittree/splittree.dsp,
	contrib/samples/mmedia/makefile.bcc,
	contrib/samples/mmedia/makefile.gcc,
	contrib/samples/mmedia/makefile.vc,
	contrib/samples/mmedia/makefile.wat,
	contrib/samples/mmedia/mmboard.dsp,
	contrib/samples/ogl/ogledit/makefile.bcc,
	contrib/samples/ogl/ogledit/makefile.gcc,
	contrib/samples/ogl/ogledit/makefile.vc,
	contrib/samples/ogl/ogledit/makefile.wat,
	contrib/samples/ogl/ogledit/ogledit.dsp,
	contrib/samples/ogl/studio/makefile.bcc,
	contrib/samples/ogl/studio/makefile.gcc,
	contrib/samples/ogl/studio/makefile.vc,
	contrib/samples/ogl/studio/makefile.wat,
	contrib/samples/ogl/studio/studio.dsp,
	contrib/samples/plot/makefile.bcc,
	contrib/samples/plot/makefile.gcc,
	contrib/samples/plot/makefile.vc,
	contrib/samples/plot/makefile.wat, contrib/samples/plot/plot.dsp,
	contrib/samples/stc/makefile.bcc, contrib/samples/stc/makefile.gcc,
	contrib/samples/stc/makefile.vc, contrib/samples/stc/makefile.wat,
	contrib/samples/stc/stctest.dsp, contrib/samples/svg/makefile.bcc,
	contrib/samples/svg/makefile.gcc, contrib/samples/svg/makefile.vc,
	contrib/samples/svg/makefile.wat, contrib/samples/svg/svgtest.dsp,
	contrib/utils/convertrc/convertrc.dsp,
	contrib/utils/convertrc/makefile.bcc,
	contrib/utils/convertrc/makefile.gcc,
	contrib/utils/convertrc/makefile.vc,
	contrib/utils/convertrc/makefile.wat,
	contrib/utils/wxrcedit/makefile.bcc,
	contrib/utils/wxrcedit/makefile.gcc,
	contrib/utils/wxrcedit/makefile.vc,
	contrib/utils/wxrcedit/makefile.wat,
	contrib/utils/wxrcedit/wxrcedit.dsp, demos/bombs/bombs.dsp,
	demos/bombs/makefile.bcc, demos/bombs/makefile.gcc,
	demos/bombs/makefile.vc, demos/bombs/makefile.wat,
	demos/dbbrowse/dbbrowse.dsp, demos/dbbrowse/makefile.bcc,
	demos/dbbrowse/makefile.gcc, demos/dbbrowse/makefile.vc,
	demos/dbbrowse/makefile.wat, demos/forty/forty.dsp,
	demos/forty/makefile.bcc, demos/forty/makefile.gcc,
	demos/forty/makefile.vc, demos/forty/makefile.wat,
	demos/fractal/fractal.dsp, demos/fractal/makefile.bcc,
	demos/fractal/makefile.gcc, demos/fractal/makefile.vc,
	demos/fractal/makefile.wat, demos/life/life.dsp,
	demos/life/makefile.bcc, demos/life/makefile.gcc,
	demos/life/makefile.vc, demos/life/makefile.wat,
	demos/poem/makefile.bcc, demos/poem/makefile.gcc,
	demos/poem/makefile.vc, demos/poem/makefile.wat,
	demos/poem/poem.dsp, samples/access/access.dsp,
	samples/access/makefile.bcc, samples/access/makefile.gcc,
	samples/access/makefile.vc, samples/access/makefile.wat,
	samples/artprov/artprov.dsp, samples/artprov/makefile.bcc,
	samples/artprov/makefile.gcc, samples/artprov/makefile.vc,
	samples/artprov/makefile.wat, samples/calendar/calendar.dsp,
	samples/calendar/makefile.bcc, samples/calendar/makefile.gcc,
	samples/calendar/makefile.vc, samples/calendar/makefile.wat,
	samples/caret/caret.dsp, samples/caret/makefile.bcc,
	samples/caret/makefile.gcc, samples/caret/makefile.vc,
	samples/caret/makefile.wat:

	Regenerated makefiles for 3rd-party lib change

2004-10-08 04:10  JS

	* samples/checklst/checklst.dsp, samples/checklst/makefile.bcc,
	samples/checklst/makefile.gcc, samples/checklst/makefile.vc,
	samples/checklst/makefile.wat, samples/config/config.dsp,
	samples/config/makefile.bcc, samples/config/makefile.gcc,
	samples/config/makefile.vc, samples/config/makefile.wat,
	samples/console/console.dsp, samples/console/makefile.bcc,
	samples/console/makefile.gcc, samples/console/makefile.vc,
	samples/console/makefile.wat, samples/controls/controls.dsp,
	samples/controls/makefile.bcc, samples/controls/makefile.gcc,
	samples/controls/makefile.vc, samples/controls/makefile.wat,
	samples/db/db.dsp, samples/db/makefile.bcc,
	samples/db/makefile.gcc, samples/db/makefile.vc,
	samples/db/makefile.wat, samples/dialogs/dialogs.dsp,
	samples/dialogs/makefile.bcc, samples/dialogs/makefile.gcc,
	samples/dialogs/makefile.vc, samples/dialogs/makefile.wat,
	samples/dialup/dialup.dsp, samples/dialup/makefile.bcc,
	samples/dialup/makefile.gcc, samples/dialup/makefile.vc,
	samples/dialup/makefile.wat, samples/display/display.dsp,
	samples/display/makefile.bcc, samples/display/makefile.gcc,
	samples/display/makefile.vc, samples/display/makefile.wat,
	samples/dnd/dnd.dsp, samples/dnd/makefile.bcc,
	samples/dnd/makefile.gcc, samples/dnd/makefile.vc,
	samples/dnd/makefile.wat, samples/docview/docview.dsp,
	samples/docview/makefile.bcc, samples/docview/makefile.gcc,
	samples/docview/makefile.vc, samples/docview/makefile.wat,
	samples/docvwmdi/docvwmdi.dsp, samples/docvwmdi/makefile.bcc,
	samples/docvwmdi/makefile.gcc, samples/docvwmdi/makefile.vc,
	samples/docvwmdi/makefile.wat, samples/dragimag/dragimag.dsp,
	samples/dragimag/makefile.bcc, samples/dragimag/makefile.gcc,
	samples/dragimag/makefile.vc, samples/dragimag/makefile.wat,
	samples/drawing/drawing.dsp, samples/drawing/makefile.bcc,
	samples/drawing/makefile.gcc, samples/drawing/makefile.vc,
	samples/drawing/makefile.wat, samples/dynamic/dynamic.dsp,
	samples/dynamic/makefile.bcc, samples/dynamic/makefile.gcc,
	samples/dynamic/makefile.vc, samples/dynamic/makefile.wat,
	samples/erase/erase.dsp, samples/erase/makefile.bcc,
	samples/erase/makefile.gcc, samples/erase/makefile.vc,
	samples/erase/makefile.wat, samples/event/event.dsp,
	samples/event/makefile.bcc, samples/event/makefile.gcc,
	samples/event/makefile.vc, samples/event/makefile.wat,
	samples/except/except.dsp, samples/except/makefile.bcc,
	samples/except/makefile.gcc, samples/except/makefile.vc,
	samples/except/makefile.wat, samples/exec/exec.dsp,
	samples/exec/makefile.bcc, samples/exec/makefile.gcc,
	samples/exec/makefile.vc, samples/exec/makefile.wat,
	samples/font/font.dsp, samples/font/makefile.bcc,
	samples/font/makefile.gcc, samples/font/makefile.vc,
	samples/font/makefile.wat, samples/grid/grid.dsp,
	samples/grid/makefile.bcc, samples/grid/makefile.gcc,
	samples/grid/makefile.vc, samples/grid/makefile.wat,
	samples/help/help.dsp, samples/help/makefile.bcc,
	samples/help/makefile.gcc, samples/help/makefile.vc,
	samples/help/makefile.wat, samples/htlbox/htlbox.dsp,
	samples/htlbox/makefile.bcc, samples/htlbox/makefile.gcc,
	samples/htlbox/makefile.vc, samples/htlbox/makefile.wat,
	samples/html/about/about.dsp, samples/html/about/makefile.bcc,
	samples/html/about/makefile.gcc, samples/html/about/makefile.vc,
	samples/html/about/makefile.wat:

	Regenerated makefiles for 3rd-party lib change

2004-10-08 04:13  JS

	* samples/html/help/help.dsp, samples/html/help/makefile.bcc,
	samples/html/help/makefile.gcc, samples/html/help/makefile.vc,
	samples/html/help/makefile.wat, samples/html/helpview/helpview.dsp,
	samples/html/helpview/makefile.bcc,
	samples/html/helpview/makefile.gcc,
	samples/html/helpview/makefile.vc,
	samples/html/helpview/makefile.wat,
	samples/html/printing/makefile.bcc,
	samples/html/printing/makefile.gcc,
	samples/html/printing/makefile.vc,
	samples/html/printing/makefile.wat,
	samples/html/printing/printing.dsp, samples/html/test/makefile.bcc,
	samples/html/test/makefile.gcc, samples/html/test/makefile.vc,
	samples/html/test/makefile.wat, samples/html/test/test.dsp,
	samples/html/virtual/makefile.bcc,
	samples/html/virtual/makefile.gcc,
	samples/html/virtual/makefile.vc,
	samples/html/virtual/makefile.wat,
	samples/html/virtual/virtual.dsp, samples/html/widget/makefile.bcc,
	samples/html/widget/makefile.gcc, samples/html/widget/makefile.vc,
	samples/html/widget/makefile.wat, samples/html/widget/widget.dsp,
	samples/html/zip/makefile.bcc, samples/html/zip/makefile.gcc,
	samples/html/zip/makefile.vc, samples/html/zip/makefile.wat,
	samples/html/zip/zip.dsp, samples/image/image.dsp,
	samples/image/makefile.bcc, samples/image/makefile.gcc,
	samples/image/makefile.vc, samples/image/makefile.wat,
	samples/internat/internat.dsp, samples/internat/makefile.bcc,
	samples/internat/makefile.gcc, samples/internat/makefile.vc,
	samples/internat/makefile.wat, samples/ipc/ipc_client.dsp,
	samples/ipc/ipc_server.dsp, samples/ipc/makefile.bcc,
	samples/ipc/makefile.gcc, samples/ipc/makefile.vc,
	samples/ipc/makefile.wat, samples/joytest/joytest.dsp,
	samples/joytest/makefile.bcc, samples/joytest/makefile.gcc,
	samples/joytest/makefile.vc, samples/joytest/makefile.wat,
	samples/keyboard/keyboard.dsp, samples/keyboard/makefile.bcc,
	samples/keyboard/makefile.gcc, samples/keyboard/makefile.vc,
	samples/keyboard/makefile.wat, samples/layout/layout.dsp,
	samples/layout/makefile.bcc, samples/layout/makefile.gcc,
	samples/layout/makefile.vc, samples/layout/makefile.wat,
	samples/listbox/listbox.dsp, samples/listbox/makefile.bcc,
	samples/listbox/makefile.gcc, samples/listbox/makefile.vc,
	samples/listbox/makefile.wat, samples/listctrl/listctrl.dsp,
	samples/listctrl/makefile.bcc, samples/listctrl/makefile.gcc,
	samples/listctrl/makefile.vc, samples/listctrl/makefile.wat,
	samples/mdi/makefile.bcc, samples/mdi/makefile.gcc,
	samples/mdi/makefile.vc, samples/mdi/makefile.wat,
	samples/mdi/mdi.dsp, samples/memcheck/makefile.bcc,
	samples/memcheck/makefile.gcc, samples/memcheck/makefile.vc,
	samples/memcheck/makefile.wat, samples/memcheck/memcheck.dsp,
	samples/menu/makefile.bcc, samples/menu/makefile.gcc,
	samples/menu/makefile.vc, samples/menu/makefile.wat,
	samples/menu/menu.dsp, samples/mfc/makefile.bcc,
	samples/mfc/makefile.gcc, samples/mfc/makefile.vc,
	samples/mfc/makefile.wat, samples/mfc/mfc.dsp,
	samples/minifram/makefile.bcc, samples/minifram/makefile.gcc,
	samples/minifram/makefile.vc, samples/minifram/makefile.wat,
	samples/minifram/minifram.dsp, samples/minimal/makefile.bcc,
	samples/minimal/makefile.gcc, samples/minimal/makefile.vc,
	samples/minimal/makefile.wat, samples/minimal/minimal.dsp,
	samples/mobile/styles/makefile.bcc,
	samples/mobile/styles/makefile.gcc,
	samples/mobile/styles/makefile.vc,
	samples/mobile/styles/makefile.wat,
	samples/mobile/styles/styles.dsp,
	samples/mobile/wxedit/makefile.bcc,
	samples/mobile/wxedit/makefile.gcc,
	samples/mobile/wxedit/makefile.vc,
	samples/mobile/wxedit/makefile.wat,
	samples/mobile/wxedit/wxedit.dsp, samples/multimon/makefile.bcc,
	samples/multimon/makefile.gcc, samples/multimon/makefile.vc,
	samples/multimon/makefile.wat, samples/multimon/multimon.dsp,
	samples/nativdlg/makefile.bcc, samples/nativdlg/makefile.gcc,
	samples/nativdlg/makefile.vc, samples/nativdlg/makefile.wat,
	samples/nativdlg/nativdlg.dsp, samples/notebook/makefile.bcc,
	samples/notebook/makefile.gcc, samples/notebook/makefile.vc,
	samples/notebook/makefile.wat, samples/notebook/notebook.dsp,
	samples/oleauto/makefile.bcc, samples/oleauto/makefile.gcc,
	samples/oleauto/makefile.vc, samples/oleauto/makefile.wat,
	samples/oleauto/oleauto.dsp, samples/opengl/cube/cube.dsp,
	samples/opengl/cube/makefile.bcc, samples/opengl/cube/makefile.gcc,
	samples/opengl/cube/makefile.vc, samples/opengl/cube/makefile.wat,
	samples/opengl/isosurf/isosurf.dsp:

	Regenerated makefiles for 3rd-party lib change

2004-10-08 04:16  JS

	* samples/opengl/isosurf/makefile.bcc,
	samples/opengl/isosurf/makefile.gcc,
	samples/opengl/isosurf/makefile.vc,
	samples/opengl/isosurf/makefile.wat,
	samples/opengl/penguin/makefile.bcc,
	samples/opengl/penguin/makefile.gcc,
	samples/opengl/penguin/makefile.vc,
	samples/opengl/penguin/makefile.wat,
	samples/opengl/penguin/penguin.dsp, samples/ownerdrw/makefile.bcc,
	samples/ownerdrw/makefile.gcc, samples/ownerdrw/makefile.vc,
	samples/ownerdrw/makefile.wat, samples/ownerdrw/ownerdrw.dsp,
	samples/png/makefile.bcc, samples/png/makefile.gcc,
	samples/png/makefile.vc, samples/png/makefile.wat,
	samples/png/png.dsp, samples/printing/makefile.bcc,
	samples/printing/makefile.gcc, samples/printing/makefile.vc,
	samples/printing/makefile.wat, samples/printing/printing.dsp,
	samples/propsize/makefile.bcc, samples/propsize/makefile.gcc,
	samples/propsize/makefile.vc, samples/propsize/makefile.wat,
	samples/propsize/propsize.dsp, samples/regtest/makefile.bcc,
	samples/regtest/makefile.gcc, samples/regtest/makefile.vc,
	samples/regtest/makefile.wat, samples/regtest/regtest.dsp,
	samples/render/makefile.bcc, samples/render/makefile.gcc,
	samples/render/makefile.vc, samples/render/makefile.wat,
	samples/render/render_renddll.dsp,
	samples/render/render_render.dsp, samples/richedit/makefile.bcc,
	samples/richedit/makefile.gcc, samples/richedit/makefile.vc,
	samples/richedit/makefile.wat, samples/richedit/richedit.dsp,
	samples/rotate/makefile.bcc, samples/rotate/makefile.gcc,
	samples/rotate/makefile.vc, samples/rotate/makefile.wat,
	samples/rotate/rotate.dsp, samples/sashtest/makefile.bcc,
	samples/sashtest/makefile.gcc, samples/sashtest/makefile.vc,
	samples/sashtest/makefile.wat, samples/sashtest/sashtest.dsp,
	samples/scroll/makefile.bcc, samples/scroll/makefile.gcc,
	samples/scroll/makefile.vc, samples/scroll/makefile.wat,
	samples/scroll/scroll.dsp, samples/scrollsub/makefile.bcc,
	samples/scrollsub/makefile.gcc, samples/scrollsub/makefile.vc,
	samples/scrollsub/makefile.wat, samples/scrollsub/scrollsub.dsp,
	samples/shaped/makefile.bcc, samples/shaped/makefile.gcc,
	samples/shaped/makefile.vc, samples/shaped/makefile.wat,
	samples/shaped/shaped.dsp, samples/sockets/makefile.bcc,
	samples/sockets/makefile.gcc, samples/sockets/makefile.vc,
	samples/sockets/makefile.wat, samples/sockets/sockets_client.dsp,
	samples/sockets/sockets_server.dsp, samples/sound/makefile.bcc,
	samples/sound/makefile.gcc, samples/sound/makefile.vc,
	samples/sound/makefile.wat, samples/sound/sound.dsp,
	samples/splash/makefile.bcc, samples/splash/makefile.gcc,
	samples/splash/makefile.vc, samples/splash/makefile.wat,
	samples/splash/splash.dsp, samples/splitter/makefile.bcc,
	samples/splitter/makefile.gcc, samples/splitter/makefile.vc,
	samples/splitter/makefile.wat, samples/splitter/splitter.dsp,
	samples/statbar/makefile.bcc, samples/statbar/makefile.gcc,
	samples/statbar/makefile.vc, samples/statbar/makefile.wat,
	samples/statbar/statbar.dsp, samples/tab/makefile.bcc,
	samples/tab/makefile.gcc, samples/tab/makefile.vc,
	samples/tab/makefile.wat, samples/tab/tab.dsp,
	samples/taskbar/makefile.bcc, samples/taskbar/makefile.gcc,
	samples/taskbar/makefile.vc, samples/taskbar/makefile.wat,
	samples/taskbar/taskbar.dsp, samples/text/makefile.bcc,
	samples/text/makefile.gcc, samples/text/makefile.vc,
	samples/text/makefile.wat, samples/text/text.dsp,
	samples/thread/makefile.bcc, samples/thread/makefile.gcc,
	samples/thread/makefile.vc, samples/thread/makefile.wat,
	samples/thread/thread.dsp, samples/toolbar/makefile.bcc,
	samples/toolbar/makefile.gcc, samples/toolbar/makefile.vc,
	samples/toolbar/makefile.wat, samples/toolbar/toolbar.dsp,
	samples/treectrl/makefile.bcc, samples/treectrl/makefile.gcc,
	samples/treectrl/makefile.vc, samples/treectrl/makefile.wat,
	samples/treectrl/treectrl.dsp, samples/typetest/makefile.bcc,
	samples/typetest/makefile.gcc, samples/typetest/makefile.vc,
	samples/typetest/makefile.wat, samples/typetest/typetest.dsp,
	samples/validate/makefile.bcc, samples/validate/makefile.gcc,
	samples/validate/makefile.vc, samples/validate/makefile.wat,
	samples/validate/validate.dsp, samples/vscroll/makefile.bcc,
	samples/vscroll/makefile.gcc, samples/vscroll/makefile.vc,
	samples/vscroll/makefile.wat, samples/vscroll/vscroll.dsp:

	Regenerated makefiles for 3rd-party lib change

2004-10-08 04:19  JS

	* samples/widgets/makefile.bcc, samples/widgets/makefile.gcc,
	samples/widgets/makefile.vc, samples/widgets/makefile.wat,
	samples/widgets/widgets.dsp, samples/wizard/makefile.bcc,
	samples/wizard/makefile.gcc, samples/wizard/makefile.vc,
	samples/wizard/makefile.wat, samples/wizard/wizard.dsp,
	samples/xrc/makefile.bcc, samples/xrc/makefile.gcc,
	samples/xrc/makefile.vc, samples/xrc/makefile.wat,
	samples/xrc/xrcdemo.dsp, tests/makefile.bcc, tests/makefile.gcc,
	tests/makefile.vc, tests/makefile.wat, tests/test.dsp,
	utils/HelpGen/src/helpgen.dsp, utils/HelpGen/src/makefile.bcc,
	utils/HelpGen/src/makefile.gcc, utils/HelpGen/src/makefile.vc,
	utils/HelpGen/src/makefile.wat,
	utils/configtool/src/configtool.dsp,
	utils/configtool/src/makefile.bcc,
	utils/configtool/src/makefile.gcc,
	utils/configtool/src/makefile.vc,
	utils/configtool/src/makefile.wat, utils/emulator/src/emulator.dsp,
	utils/emulator/src/makefile.bcc, utils/emulator/src/makefile.gcc,
	utils/emulator/src/makefile.vc, utils/emulator/src/makefile.wat,
	utils/helpview/src/helpview.dsp, utils/helpview/src/makefile.bcc,
	utils/helpview/src/makefile.gcc, utils/helpview/src/makefile.vc,
	utils/helpview/src/makefile.wat, utils/hhp2cached/hhp2cached.dsp,
	utils/hhp2cached/makefile.bcc, utils/hhp2cached/makefile.gcc,
	utils/hhp2cached/makefile.vc, utils/hhp2cached/makefile.wat,
	utils/tex2rtf/src/makefile.bcc, utils/tex2rtf/src/makefile.gcc,
	utils/tex2rtf/src/makefile.vc, utils/tex2rtf/src/makefile.wat,
	utils/tex2rtf/src/tex2rtf_tex2rtf.dsp,
	utils/tex2rtf/src/tex2rtf_tex2rtf_gui.dsp, utils/wxrc/makefile.bcc,
	utils/wxrc/makefile.gcc, utils/wxrc/makefile.vc,
	utils/wxrc/makefile.wat, utils/wxrc/wxrc.dsp:

	Regenerated makefiles for 3rd-party lib change

2004-10-08 07:54  JS

	* samples/html/printing/printing.cpp:

	Added comment about setting AFM path

2004-10-08 09:14  RD

	* src/msw/listctrl.cpp, src/generic/listctrl.cpp:

	Check for an image list before complaining in OnGetItemImage

2004-10-08 09:26  VS

	* build/bakefiles/wx.bkl, Makefile.in:

	fixed AFM metrics installation so that PostScript printing works
	again

2004-10-08 10:37  RD

	* wxPython/src/_toplvl.i:

	Make NOP versions of Mac[GS]etMetalAppearance for the other
	platforms

2004-10-08 11:48  ABX

	* include/wx/ptr_scpd.h, src/common/cmndata.cpp,
	src/common/gdicmn.cpp, src/msw/fdrepdlg.cpp, src/msw/font.cpp,
	src/msw/mdi.cpp, src/msw/tbar95.cpp, src/msw/textctrl.cpp,
	src/msw/timer.cpp, src/msw/ole/automtn.cpp:

	Warning fixes found under hardest mode of OpenWatcom. Seems clean
	in Borland, MinGW and DMC.

2004-10-08 12:41  ABX

	* src/xrc/xh_radbt.cpp, src/xrc/xh_tree.cpp:

	Better markup.

2004-10-08 12:51  ABX

	* samples/statbar/statbar.cpp:

	Fix for building with limited ports/platforms.

2004-10-08 13:05  KH

	* src/wxWindows.xcode/project.pbxproj:

	Added Quicktime framework from System folder, updated project for
	hid.cpp, statbar.cpp and gdiobj.cpp and taskbar.cpp which seemed to
	be incompletely added

2004-10-08 14:52  VS

	* include/wx/window.h, src/common/wincmn.cpp:

	propagate invalidated best size upstream

2004-10-08 16:19  RN

	* docs/changes.txt, src/cocoa/cursor.mm, src/common/string.cpp:

	final null-char wxString stuff, a couple of bugfixes and lots of
	code cleanups - fixups to changes.txt as per someone's suggestions
	- support for a lot more stock cursors on wxCocoa using the cursors
	from the carbon port

2004-10-08 16:33  RN

	* src/common/string.cpp:

	fix description

2004-10-08 18:25  RD

	* wxPython/src/_listctrl.i,
	wxPython/include/wx/wxPython/wxPython_int.h:

	Change macro used for OnGetItemImage so it ignores the base class
	version

2004-10-08 18:26  RD

	* wxPython/src/_sizers.i:

	Fix docstring

2004-10-08 18:26  RD

	* wxPython/src/helpers.cpp:

	check for wxHAS_HUGE_FILES

2004-10-08 20:07  RN

	* src/cocoa/cursor.mm:

	correct white values in extra stock cursors

2004-10-09 03:30  JS

	* docs/latex/wx/tipc.tex:

	Removed over-specific references to wxDDE..

2004-10-09 03:51  JS

	* distrib/msw/makerpm:

	Tweaks

2004-10-09 03:52  JS

	* src/common/imagpng.cpp:

	Resolved ambiguity

2004-10-09 05:08  RL

	* wx-config.in:


	Add basic --utility option for finding build dependent utils.  More
	strictly define the exit codes -- 0 for success, 1 for failure, 2
	for options that are not supported -- so as to enable feature
	testing.  Quote the mac rezflags hack.

2004-10-09 05:52  VS

	* build/bakefiles/wx.bkl, Makefile.in:

	fixed wxrc installation and cleaning

2004-10-09 06:39  JS

	* src/common/filename.cpp:

	Workaround for incorrect header in some versions of Mingw32

2004-10-09 09:55  JS

	* src/common/menucmn.cpp:

	Backported menu fix from 2.5

2004-10-09 10:02  JS

	* src/common/memory.cpp:

	Removed doubly-defined stubs

2004-10-09 10:37  RL

	* debian/rules, debian/wxPython-tools.1:


	Add man page link for pywxrc.

2004-10-09 10:52  RL

	* debian/rules:


	gtk2 is the default now.

2004-10-09 12:19  JS

	* include/wx/motif/toplevel.h:

	SetSizeHints -> DoSetSizeHints

2004-10-09 12:56  JS

	* src/common/xpmdecod.cpp:

	Use _strdup under WinCE/eVC++

2004-10-09 13:34  JS

	* src/msw/dirdlg.cpp:

	Fix for Standard WinCE SDK

2004-10-09 14:45  VZ

	* src/common/xpmdecod.cpp:

	use wxStrdupA() instead of #ifdef's around strdup()

2004-10-09 14:48  VZ

	* src/msw/dirdlg.cpp:

	the #ifdef around BROWSEINFO.lpszTitle assignment is bogus; should
	be c_str() everywhere

2004-10-09 17:48  RD

	* wxPython/docs/bin/makeapidocs, wxPython/distrib/msw/.mymake,
	wxPython/distrib/msw/.mymake.btm, wxPython/distrib/makedocs,
	wxPython/distrib/makedemo, wxPython/distrib/makedev.bat,
	wxPython/distrib/make_installer.py, wxPython/config.py,
	wxPython/b.win32:


	* build and distrib tweaks.  * restructuring of installer packages
	* MSW build can use either MONOLITHIC or multi-lib wx build

2004-10-09 17:51  RD

	* wxPython/scripts/xrced.bat, wxPython/scripts/pywrap.bat,
	wxPython/scripts/pyshell.bat, wxPython/scripts/pycrust.bat,
	wxPython/scripts/pyalamode.bat, wxPython/scripts/pyalacarte.bat,
	wxPython/scripts/img2xpm.bat, wxPython/scripts/img2py.bat,
	wxPython/scripts/img2png.bat, wxPython/scripts/helpviewer.bat,
	wxPython/scripts/genaxmodule.bat:

	Removed tool batch files, they can just be generated as part of the
	install.

2004-10-09 17:57  RD

	* wxPython/demo/Main.py:

	Don't bind the ACTIVATE events until the log window is created

2004-10-10 02:30  JS

	* src/msw/dirdlg.cpp:

	Fixed the change that broke eVC++ compile (please don't blind-fix
	this)

2004-10-10 03:10  JS

	* samples/db/dbtest.cpp:

	Removed types that don't exist in iodbc

2004-10-10 03:27  JS

	* distrib/msw/generic.rsp, distrib/msw/maketarballs,
	distrib/msw/tardist, distrib/msw/wx_html.rsp:

	Script tweaks

2004-10-10 04:31  JS

	* utils/configtool/src/bitmaps/checkedfolder.png,
	utils/configtool/src/bitmaps/checkedfolder_dis.png,
	utils/configtool/src/bitmaps/closedfolder_dis.png,
	utils/configtool/src/bitmaps/go.png,
	utils/configtool/src/bitmaps/radiofolderoff.png,
	utils/configtool/src/bitmaps/radiofolderoff_dis.png,
	utils/configtool/src/bitmaps/radiofolderon.png,
	utils/configtool/src/bitmaps/radiofolderon_dis.png,
	utils/configtool/src/bitmaps/uncheckedfolder.png,
	utils/configtool/src/bitmaps/uncheckedfolder_dis.png:

	Added PNG bitmaps for easier editing (forgot to commit previously)

2004-10-10 04:43  JS

	* distrib/msw/base.rsp, distrib/msw/dmc.rsp,
	distrib/msw/generic.rsp, distrib/msw/makefile.rsp,
	distrib/msw/makesetup.sh, distrib/msw/mmedia.rsp,
	distrib/msw/utils.rsp, distrib/msw/vc.rsp, distrib/msw/wince.rsp:

	Script updates

2004-10-10 06:30  RN

	* src/common/string.cpp:

	correct assignment in constructors, a little optimization, and some
	rare (impossible?) case sanity checks

2004-10-10 08:42  JS

	* distrib/msw/dmc.rsp, distrib/msw/makesetup.sh,
	distrib/msw/utils.rsp:

	Script updates

2004-10-10 15:33  JS

	* distrib/msw/makesetup.sh, docs/html/faqmsw.htm,
	docs/publicity/announce.txt:

	Script updates, FAQ updates from web site

2004-10-10 15:38  JS

	* Makefile.in, build/bakefiles/make_dist.mk:

	Make dist correction for Motif

2004-10-10 15:43  JS

	* distrib/msw/maketarballs:

	Script tweak

2004-10-10 16:16  SN

	* src/os2/window.cpp:

	Move children if parent gets resized.

2004-10-10 16:48  ROL

	* wxPython/wx/tools/XRCed/images.py:

	Fixed spacer image

2004-10-10 16:55  ROL

	* wxPython/wx/tools/XRCed/src-images/ToolSpacer.png:

	fixed spacer image

2004-10-10 17:00  ROL

	* wxPython/wx/tools/XRCed/globals.py,
	wxPython/wx/tools/XRCed/panel.py,
	wxPython/wx/tools/XRCed/params.py,
	wxPython/wx/tools/XRCed/xrced.py, wxPython/wx/tools/XRCed/xxx.py:

	Applied changes by Bartlomiej Gorny for recent files and style
	panel fix.

	cellpos & cellspan parameters are changed to type ParamPosSize.

2004-10-10 19:02  RN

	* configure, configure.in, include/wx/cocoa/NSView.h,
	include/wx/cocoa/window.h, src/cocoa/window.mm,
	src/common/strconv.cpp, tests/strings/strings.cpp:

	cocoa doesn't need system framework - string conversion for cocoa -
	focus for cocoa - a bit of change for string unit tests for new
	functionality

2004-10-11 05:15  ABX

	* docs/latex/wx/list.tex:

	Missed wxList::Erase description.

2004-10-11 08:38  RN

	* include/wx/platform.h:

	temp. solution to get unicode to work on 10.3

2004-10-11 09:30  ABX

	* include/wx/confbase.h, include/wx/datetime.h,
	include/wx/textbuf.h, include/wx/html/helpdata.h,
	include/wx/msw/regconf.h, src/common/config.cpp,
	src/common/datetime.cpp, src/common/sizer.cpp,
	src/common/textbuf.cpp, src/generic/choicbkg.cpp,
	src/generic/grid.cpp, src/generic/listbkg.cpp,
	src/generic/sashwin.cpp, src/html/helpdata.cpp,
	src/html/helpfrm.cpp, src/html/htmltag.cpp, src/msw/listbox.cpp,
	src/msw/regconf.cpp, src/xml/xml.cpp:

	Warning fixes found under hardest mode of OpenWatcom. Seems clean
	in Borland, MinGW and DMC.

2004-10-11 10:12  RD

	* wxPython/include/wx/wxPython/pyclasses.h:

	forward declare wxPyTaskBarIcon

2004-10-11 11:36  RD

	* wxPython/src/msw/wizard_wrap.cpp, wxPython/src/msw/html_wrap.cpp,
	wxPython/src/msw/grid_wrap.cpp, wxPython/src/msw/_windows_wrap.cpp,
	wxPython/src/msw/_windows.py, wxPython/src/msw/_core_wrap.cpp,
	wxPython/src/msw/_core.py, wxPython/src/msw/_controls_wrap.cpp,
	wxPython/src/msw/_controls.py,
	wxPython/contrib/ogl/msw/ogl_wrap.cpp,
	wxPython/contrib/gizmos/msw/gizmos_wrap.cpp:

	reSWIGged

2004-10-11 11:40  RD

	* wxPython/src/mac/wizard_wrap.cpp, wxPython/src/mac/html_wrap.cpp,
	wxPython/src/mac/grid_wrap.cpp, wxPython/src/mac/_core_wrap.cpp,
	wxPython/src/mac/_core.py, wxPython/src/mac/_controls_wrap.cpp,
	wxPython/src/mac/_controls.py,
	wxPython/contrib/ogl/mac/ogl_wrap.cpp,
	wxPython/contrib/gizmos/mac/gizmos_wrap.cpp:

	reSWIGged

2004-10-11 11:43  RD

	* wxPython/src/gtk/wizard_wrap.cpp, wxPython/src/gtk/html_wrap.cpp,
	wxPython/src/gtk/_windows_wrap.cpp, wxPython/src/gtk/grid_wrap.cpp,
	wxPython/src/gtk/_core_wrap.cpp, wxPython/src/gtk/_windows.py,
	wxPython/src/gtk/_controls_wrap.cpp, wxPython/src/gtk/_core.py,
	wxPython/contrib/ogl/gtk/ogl_wrap.cpp,
	wxPython/contrib/gizmos/gtk/gizmos_wrap.cpp:

	reSWIGged

2004-10-11 15:12  RD

	* wxPython/wx/tools/dbg.py, wxPython/wx/lib/masked/textctrl.py,
	wxPython/wx/lib/masked/timectrl.py,
	wxPython/wx/lib/masked/ipaddrctrl.py,
	wxPython/wx/lib/masked/maskededit.py,
	wxPython/wx/lib/masked/numctrl.py,
	wxPython/wx/lib/masked/combobox.py, wxPython/wx/lib/masked/ctrl.py,
	wxPython/docs/CHANGES.txt, wxPython/demo/MaskedNumCtrl.py,
	wxPython/demo/TimeCtrl.py:

	MaskedEdit updates from Will Sadkin:	 - Added '*' mask char that
	means "all ansii chars" (ords 32-255)	  - Added proper unicode
	support to masked controls and wx.tools.dbg	- Fixed two
	reported missing import bugs introduced by package	 creation
	  - Converted masked package doc strings to reST format for better
	     epydoc support	- lots of doc string improvements and
	function hiding to better	reflect package's public contents.

2004-10-11 15:14  RD

	* wxPython/samples/simple/simple.py:

	Clean up comments a bit

2004-10-11 15:15  RD

	* wxPython/distrib/README.1st.txt,
	wxPython/distrib/README.viewdocs.txt:

	Doc tweaks

2004-10-11 15:16  RD

	* wxPython/demo/SpinButton.py:

	Use a better fixed size for the spin button

2004-10-11 15:57  VZ

	* build/bakefiles/files.bkl:

	added ADVANCED_GTK_HDR section for src/gtk/eggtrayicon.h

2004-10-11 15:58  VZ

	* src/gtk/eggtrayicon.h:

	mention that this file can be used under wx licence too

2004-10-11 16:49  VZ

	* include/wx/wxchar.h, src/common/wxchar.cpp, docs/changes.txt:

	wxPuts() should output a trailing newline even in Unix/Unicode
	builds

2004-10-12 00:52  JS

	* distrib/msw/gtk.rsp:

	Also distribute src/gtk/*.h

2004-10-12 03:21  VS

	* docs/tech/tn0014.txt, src/xrc/xmlres.cpp,
	include/wx/xrc/xmlres.h:

	added \ escaping in XRC (patch 1042675)

2004-10-12 06:16  RL

	* wx-config.in:


	Don't leak intermediate results of tests for wx2.4 if it is not
	installed.

2004-10-12 06:23  RL

	* wxwin.m4:


	Eliminate the redundant no_wx var and the extra test to set it.
	Don't perform unrelated tests inside a single CHECK/RESULT block.

2004-10-12 07:02  RN

	* include/wx/wxchar.h:

	compilo fix (blind)

2004-10-12 07:10  RN

	* src/gtk/glcanvas.cpp:

	patch from list to fix warning and get rid of unneccessary call

2004-10-12 07:43  VS

	* src/xrc/xh_notbk.cpp:

	added wxNB_TOP

2004-10-12 07:55  RN

	* docs/latex/wx/taskbar.tex:

	I can't beleive I forgot this

2004-10-12 08:01  RN

	* src/common/wxchar.cpp:

	get rid of global vars

2004-10-12 08:03  RN

	* docs/latex/wx/taskbar.tex:

	slight correction

2004-10-12 08:22  RN

	* src/cocoa/tooltip.mm:

	annoying oversight - someday compilers will point this out

2004-10-12 08:30  ABX

	* src/msw/listbox.cpp:

	Undo last change due to STL.

2004-10-12 09:57  ABX

	* build/bakefiles/common.bkl, include/wx/defs.h:

	Remove old pragmas for avoiding warnings with Open Watcom. They are
	not working with new build system and have to be passed to compiler
	through options.

2004-10-12 10:12  ABX

	* tests/strings/strings.cpp:

	Whitespaces, tabs and fix to the lack of empty line at end.

2004-10-12 11:02  JS

	* src/generic/dirctrlg.cpp:

	Corrected swapped args

2004-10-12 11:15  JS

	* src/generic/wizard.cpp:

	Restored the default wizard height to match 2.4 (and bitmap size)
	settings

2004-10-12 11:28  VS

	* docs/latex/wx/txrc.tex:

	updated after moving xrc to the core

2004-10-12 11:59  RL

	* locale/af.po, locale/ca.po, locale/cs.po, locale/da.po,
	locale/de.po, locale/el.po, locale/es.po, locale/eu.po,
	locale/fi.po, locale/fr.po, locale/hi.po, locale/hu.po,
	locale/id.po, locale/it.po, locale/ja.po, locale/nl.po,
	locale/pl.po, locale/pt_BR.po, locale/ru.po, locale/sl.po,
	locale/sv.po, locale/tr.po, locale/uk.po, locale/wxstd.po,
	locale/zh_CN.po, locale/zh_TW.po:


	Regenerate .po files from 2.5.3 source.

2004-10-12 12:05  RL

	* config.guess, config.sub:


	Update config.{guess,sub}

2004-10-12 12:28  ABX

	* include/wx/choice.h, include/wx/cmdproc.h, include/wx/datstrm.h,
	include/wx/log.h, include/wx/strconv.h, src/common/choiccmn.cpp,
	src/common/cmdproc.cpp, src/common/datstrm.cpp, src/common/log.cpp,
	src/common/strconv.cpp:

	Warning fixes found under hardest mode of OpenWatcom. Seems clean
	in Borland, MinGW and DMC.

2004-10-12 13:13  ABX

	* src/common/choiccmn.cpp, include/wx/choice.h:

	Reverted conflict with Darwin.

2004-10-12 13:47  ABX

	* src/common/strconv.cpp:

	Reverted due to Darwin conflict.

2004-10-12 13:48  ABX

	* include/wx/cmdproc.h, include/wx/datstrm.h, include/wx/strconv.h:

	Reverted due to Darwin and other conflicts.

2004-10-12 14:07  RR

	* include/wx/print.h, include/wx/prntbase.h,
	src/common/prntbase.cpp:


	  Added new wxPrintFactory code and made wxPrinter
	   and wxPrintPreview make use of it. BIG CHANGE.

2004-10-12 14:08  VZ

	* src/msw/window.cpp:

	check that item pointer is non-NULL in WM_DRAW/MEASUREITEM

2004-10-12 19:54  RN

	* src/common/string.cpp:

	crush compiler warnings and handle out of memory errors slightly
	better

2004-10-13 02:24  ABX

	* src/common/prntbase.cpp:

	Fix to reflect wxUNIVERSAL conditions from header.

2004-10-13 07:03  ABX

	* include/wx/access.h, include/wx/clntdata.h, include/wx/docview.h,
	include/wx/dynload.h, include/wx/ipcbase.h, include/wx/log.h,
	include/wx/variant.h, include/wx/window.h,
	include/wx/generic/dirctrlg.h, include/wx/generic/gridctrl.h,
	include/wx/generic/splash.h, include/wx/html/helpctrl.h,
	include/wx/html/winpars.h, include/wx/msw/fontenum.h,
	include/wx/msw/helpwin.h, include/wx/msw/radiobox.h,
	include/wx/msw/regconf.h:

	Semicolon fixes according to Vadim's note about being danger
	(OW,BCC,MinGW,DMC tested).

2004-10-13 07:07  ABX

	* include/wx/confbase.h, include/wx/datetime.h,
	include/wx/textbuf.h, src/common/config.cpp,
	src/common/datetime.cpp, src/common/textbuf.cpp:

	Darwin fixes (OW,BCC,MinGW,DMC tested).

2004-10-13 07:11  ABX

	* src/common/sckipc.cpp:

	Semicolon fixes according to Vadim's note about being danger
	(OW,BCC,MinGW,DMC tested).

2004-10-13 08:14  RD

	* wxPython/wx/lib/ogl/_basic.py:

	dc.DrawLines fixed  [1046055]

2004-10-13 08:14  RD

	* wxPython/wx/lib/ogl/_lines.py:

	line segment fixes

2004-10-13 10:10  RN

	* docs/latex/wx/array.tex:

	small doc cleanup

2004-10-13 10:22  RN

	* docs/latex/wx/array.tex:

	fix syntax error

2004-10-13 10:24  RN

	* docs/latex/wx/tlw.tex:

	fix syntax errors

2004-10-13 13:47  JS

	* src/gtk/toplevel.cpp:

	gtk_frame_focus_out_callback can be called with g_activeFrame null;
	so test for it.

2004-10-13 14:19  VZ

	* samples/opengl/cube/cube.cpp, samples/opengl/isosurf/isosurf.cpp,
	samples/opengl/penguin/penguin.cpp:

	give an #error if wxUSE_GLCANVAS == 0 instead of building empty
	samples

2004-10-13 20:01  DE

	* build/bakefiles/files.bkl, include/wx/cocoa/taskbar.h,
	src/cocoa/taskbar.mm:

	Removed empty wxCocoa taskbar files and broken files.bkl commit.

2004-10-13 20:05  DE

	* include/wx/features.h:

	Reverted broken test to determine wxHAS_TASK_BAR_ICON

2004-10-13 20:39  DE

	* build/bakefiles/files.bkl, include/wx/cocoa/filedlg.h,
	src/cocoa/filedlg.mm:

	Removed empty wxCocoa wxFileDialog implementation

2004-10-14 02:29  VS

	* src/xrc/xh_toolb.cpp:

	added wxTB_HORZ_LAYOUT

2004-10-14 03:16  JS

	* src/generic/statusbr.cpp:

	Commented out SetFont(wxNullFont) which causes an assertion on
	Windows

2004-10-14 03:28  JS

	* include/wx/generic/grid.h, src/generic/grid.cpp,
	docs/latex/wx/grid.tex:

	Added SetScrollLinesX, SetScrollLinesY so apps can work around
	scrollbar appearance problems by setting the scroll increment to
	e.g. 1 (Scrollbar problems caused by rounding errors - see comments
	in grid.cpp).  Also removed obsolete functions from reference,
	rearranged alphabetically

2004-10-14 03:29  JS

	* docs/latex/wx/window.tex, docs/latex/wx/wizard.tex:

	Doc tweaks

2004-10-14 03:32  JS

	* distrib/msw/generic.rsp, distrib/msw/makefile.rsp,
	distrib/msw/msw.rsp, distrib/msw/patch.rsp,
	distrib/msw/tex2rtf.rsp, distrib/msw/xml.rsp:

	Script updates

2004-10-14 05:49  VS

	* configure, autoconf_inc.m4, build/bakefiles/files.bkl:

	fixes to building wxBase on Darwin

2004-10-14 07:07  RN

	* include/wx/features.h:

	Reverted and fixed really broken overcommit

2004-10-14 07:34  RN

	* src/cocoa/taskbar.mm, src/cocoa/filedlg.mm:

	readd files to restore cocoa compilation

2004-10-14 10:05  ABX

	* build/bakefiles/config.bkl:

	Free DMC does not distribute OpenGL support.

2004-10-14 10:09  ABX

	* samples/opengl/cube/cube.bkl, samples/opengl/isosurf/isosurf.bkl,
	samples/opengl/penguin/penguin.bkl:

	Do not waste time with OpenGL turned off.

2004-10-14 10:19  ABX

	* src/html/htmlpars.cpp:

	Fix to bug #1046289. dtor of wxMetaTagParser must be executed
	earlier than dtor of 'charset'.

2004-10-14 10:27  ABX

	* src/common/tbarbase.cpp:

	Fix to the crash in all MSW/OpenWatcom apps using toolbars.
	wxString() in A?B:C is not a good idea.

2004-10-14 10:36  ABX

	* src/common/string.cpp:

	Fix to wrong order of parameters. Used wxStringBase constructor has
	parameters in reversed order in comparison to wxString (iirc due to
	stl::string compatibility).

2004-10-14 10:42  ABX

	* src/common/filename.cpp:

	Warning fix for wxDateTime_t <-> MSW data exchange.

2004-10-14 11:09  ABX

	* docs/latex/wx/function.tex:

	Bug #1001474. Text!=Password.

2004-10-14 12:15  ABX

	* demos/dbbrowse/dbbrowse.bkl:

	Do not waste time for USE_ODBC=0.

2004-10-14 15:27  VZ

	* docs/latex/wx/filehist.tex:

	replaced deprecated GetNoHistoryFiles() function with GetCount()

2004-10-14 15:31  VZ

	* docs/latex/wx/activevt.tex:

	call Skip() under Mac

2004-10-14 16:46  VZ

	* src/gtk/window.cpp:

	always let GTK process focus_out events itself

2004-10-14 17:00  VZ

	* src/common/file.cpp, src/common/filefn.cpp, include/wx/file.h,
	include/wx/filefn.h, docs/changes.txt:

	added wxFileSize_t, changed types of wxFile methods/parameters once
	again

2004-10-14 17:22  VZ

	* include/wx/file.h, src/common/file.cpp:

	made Tell/Seek/Length() return wxFileSize_t as well

2004-10-14 17:23  VZ

	* include/wx/filefn.h:

	fixed wxFileSize_t definition under Unix

2004-10-14 17:34  VZ

	* src/unix/snglinst.cpp, src/common/imagbmp.cpp,
	src/common/image.cpp, src/common/intl.cpp, src/common/stream.cpp,
	src/common/textfile.cpp, src/common/wfstream.cpp:

	use wxFileSize_t instead of wxFileOffset or off_t

2004-10-14 17:46  RD

	* wxPython/config.py:

	put back the code to add the 3rd digit in the extraPath

2004-10-14 17:47  RD

	* wxPython/setup.py:

	workarounds for old versions of distutils

2004-10-14 17:51  RD

	* wxPython/wx/lib/gridmovers.py:

	wxRect --> wx.Rect

2004-10-14 17:54  RD

	* wxPython/src/helpers.cpp:

	* Don't reset LC_NUMERIC if on Python 2.4 * Always save the tstate

2004-10-14 17:55  RD

	* wxPython/docs/bin/everything:

	Don't make the metadata xml file anymore

2004-10-14 17:56  RD

	* wxPython/distrib/msw/.makesetup.mk:

	be cmd.exe compatible

2004-10-14 18:02  RD

	* wxPython/distrib/makerpm, wxPython/distrib/wxPythonFull.spec.in:

	Restructured for new style RPMs, etc.  Can build all the RPMs from
	a single .spec file, by using --define parameters.

2004-10-14 18:11  RD

	* wxPython/distrib/all/build-all, wxPython/distrib/all/build-linux,
	wxPython/distrib/all/build-osx, wxPython/distrib/all/build-windows,
	wxPython/distrib/mac/wxPythonOSX/build:

	Adapt to new file naming scheme, new Installer structures, and
	other build tweaks.

2004-10-14 18:39  DE

	* include/wx/cocoa/menuitem.h, src/cocoa/menuitem.mm:

	Use wxObjcAutoRefFromAlloc for sm_cocoaTarget.	Move some
	processing code from wxMenuItemAction to CocoaItemSelected.  Add
	Cocoa_validateMenuItem and use it instead of calling IsEnabled
	directly.  Do not set the target or action for wxMenuItem that open
	submenus.

2004-10-14 19:55  DE

	* include/wx/cocoa/NSMenu.h, src/cocoa/NSMenu.mm:

	Allow the dealloc message to be caught

2004-10-14 20:06  DE

	* include/wx/cocoa/menu.h, src/cocoa/menu.mm:

	Allow the wxMenu to be owned by the NSMenu so that it can be
	returned from methods which Cocoa calls when a menu is to be popped
	up.

2004-10-14 23:12  SC

	* src/mac/carbon/toolbar.cpp:

	removed IsShown guards, allowing now for manipulation of hidden
	toolbars

2004-10-14 23:45  JJ

	* src/common/db.cpp:

	 Committing in .

	 Added some type casts to silence the compiler on OpenVMS

	 Modified Files:
		wxWidgets/src/common/db.cpp

	----------------------------------------------------------------------

2004-10-15 00:25  RL

	* src/common/wincmn.cpp:


	Bump copyright date and indicate debug builds too in 'easter egg'
	dialog.

2004-10-15 00:49  RL

	* Makefile.in, build/bakefiles/wx.bkl, src/common/utilscmn.cpp:

	For autoconf/unix builds update the hardcoded afm dir too.

2004-10-15 01:13  ABX

	* src/common/file.cpp:

	Fix for platforms where 64-bit value support is not implemented in
	switch/case statements.

2004-10-15 06:09  VZ

	* include/wx/treebase.h:

	VC++ warning fixes for /Wp64

2004-10-15 07:10  VS

	* Makefile.in:

	regenerated

2004-10-15 07:35  VS

	* build/bakefiles/common_samples.bkl:

	quick fix for misgenerated console samples' Makefile.in

2004-10-15 08:05  ABX

	* include/wx/filefn.h:

	DMC fix.

2004-10-15 08:29  ABX

	* src/msw/glcanvas.cpp:

	Quiet cooperation between MSW and wxGL.

2004-10-15 08:41  VZ

	* docs/latex/wx/txtstrm.tex:

	ReadChar() is called GetChar() in fact

2004-10-15 08:44  VZ

	* locale/nb_NO.po, docs/changes.txt:

	added Norvegian translation (Hans F. Nordhaug)

2004-10-15 09:00  ABX

	* src/generic/dirctrlg.cpp, src/generic/grid.cpp,
	src/generic/logg.cpp, src/generic/treectlg.cpp:

	Warning fixes.

2004-10-15 09:12  ABX

	* src/common/db.cpp:

	Warning fixes.

2004-10-15 09:26  VS

	* configure, configure.in:

	don't create makefiles for nonexistent utils

2004-10-15 11:44  RD

	* wxPython/wx/lib/mixins/listctrl.py, wxPython/wx/lib/wxpTag.py,
	wxPython/docs/CHANGES.txt, wxPython/demo/ListCtrl_edit.py,
	wxPython/demo/Main.py:

	Applied patch from Pim Van Heuven that modifies 4 files:     -
	wxPython/demo/ListCtrl_edit.py (new demo)     -
	wxPython/demo/Main.py (include new demo in demo app)	 -
	wxPython/wx/lib/mixins/listctrl.py (several improvements to
	TextEditMixin)	   - wxPython/wx/lib/wxpTag.py (some small fixes)

2004-10-15 11:58  ABX

	* docs/changes.txt, docs/latex/wx/sizer.tex, include/wx/sizer.h,
	src/common/sizer.cpp:

	Parts of wxSizer::Show() extracted into wxSizer::GetItem()
	(together with documentation).

2004-10-15 12:03  ABX

	* docs/changes.txt:

	GUI is not All at all ;)

2004-10-15 12:28  RD

	* wxPython/src/helpers.cpp:

	Tweak unicode --> string conversion helper so UnicodeDecodeError is
	raised when appropriate instead ofg just catching everything and
	raising TypeError

2004-10-15 12:30  RD

	* wxPython/docs/BUILD.txt, wxPython/docs/INSTALL.txt,
	wxPython/docs/MigrationGuide.txt:

	Docs updates for 2.5.3.0

2004-10-15 12:35  RD

	* wxPython/demo/ListCtrl.py:

	Corrected some comments

2004-10-15 12:50  ABX

	* include/wx/artprov.h:

	Unnecessary wxString(wxString).

2004-10-15 13:04  RD

	* wxPython/distrib/mac/wxPythonOSX/build,
	wxPython/distrib/all/build-all, wxPython/distrib/make_installer.py:

	more consistent naming

2004-10-15 13:07  RD

	* wxPython/docs/CHANGES.txt:

	just a whitespace change

2004-10-15 13:21  RD

	* wxPython/demo/About.py:

	Show PlatformInfo in the About box too.

2004-10-15 13:31  RD

	* wxPython/wx/py/crust.py, wxPython/wx/py/shell.py:

	Show PlatformInfo in the About box too.

2004-10-15 13:35  VZ

	* include/wx/hashmap.h:

	use wxPtrToUInt instead of (lossy) wxPtrToULong

2004-10-15 13:58  VZ

	* include/wx/defs.h:

	removed pragma interface which resulted in link errors when inline
	functions from this file were used; remove
	wxULongToPtr/wxPtrToULong which could truncate the pointer; added
	wxUIntToPtr in addition to existing wxPtrToUInt (which now takes
	const pointer) to replace them

2004-10-15 13:58  RD

	* wxPython/distrib/README.win32.txt,
	wxPython/distrib/make_installer.py:

	Give the win32 runtime installer its own readme.

2004-10-15 14:05  VS

	* build/bakefiles/common.bkl:

	linkage fixes for monolithic static build

2004-10-15 14:10  VZ

	* include/wx/treebase.h:

	use wxPtrToUInt/UIntToPtr instead of (removed) ULong versions

2004-10-15 14:14  RD

	* wxPython/distrib/make_installer.py,
	wxPython/distrib/README.win32.txt:

	DocsDemo --> docs-demos

2004-10-15 15:44  DE

	* src/cocoa/filedlg.mm, src/cocoa/taskbar.mm:

	Yes Ryan, I really did mean to remove these files.

2004-10-15 15:51  DE

	* configure.in, build/bakefiles/files.bkl, include/wx/features.h,
	include/wx/taskbar.h, include/wx/cocoa/taskbar.h,
	src/cocoa/taskbar.mm:

	wxCocoa: Added wxTaskBarIcon

2004-10-15 15:54  VZ

	* src/generic/filedlgg.cpp, include/wx/generic/filedlgg.h,
	docs/changes.txt:

	implemented SetWildcard()

2004-10-15 16:03  DE

	* Makefile.in, configure:

	Rebaked/autoconfiscated for wxCocoa wxTaskBarIcon addition.

2004-10-15 17:14  VZ

	* tests/strings/strings.cpp:

	added wxStringTokenizer::GetPosition() test

2004-10-15 17:16  VZ

	* tests/strings/strings.cpp:

	use unsigned chars for UTF8 data (avoids warnings)

2004-10-15 17:27  VZ

	* tests/strings/strings.cpp:

	fixed the just added wxStringTokenizer::GetPosition() test
	overwritten by the previous commit

2004-10-15 17:38  VZ

	* src/msw/gsockmsw.cpp:

	fixed inconsistent dllspec warning in DLL build

2004-10-15 17:45  VZ

	* include/wx/rawbmp.h:

	added missing WXDLLEXPORT

2004-10-15 18:30  DE

	* autoconf_inc.m4:

	Whoops, forgot to commit this.

2004-10-15 18:47  VZ

	* src/common/wincmn.cpp:

	fixed fatal bug when moving the control after itself in tab order

2004-10-15 18:49  DS

	* src/mac/carbon/fontdlg.cpp:

	fixed CFM build linking error

2004-10-15 19:15  DE

	* samples/taskbar/tbtest.cpp, samples/taskbar/tbtest.h:

	Add a second wxTaskBarIcon that uses the Dock (wxCocoa only)

2004-10-16 04:31  VZ

	* src/common/intl.cpp:

	use size_t for the total size of data instead of wxFileSize_t (msg
	catalogs can't be that big...)

2004-10-16 04:45  VZ

	* configure.in:

	replace post-linking commands with true, not #, for the platforms
	for which they don't make sense: this allows to use things like
	wx-config --rezflags directly in makefiles and not only with
	autoconf

2004-10-16 06:31  VZ

	* include/wx/msw/enhmeta.h, src/msw/enhmeta.cpp:

	fixed enhanced metafiles loading from files

2004-10-16 06:39  VZ

	* include/wx/defs.h:

	suppress VC++ warning about long -> void * conversion too

2004-10-16 08:00  VZ

	* src/mac/carbon/window.cpp:

	call AddChild() when the control is already reallly created

2004-10-16 10:46  RD

	* wxPython/demo/ListCtrl_edit.py:

	Fix to use old AutoWidthMixin API

2004-10-16 12:41  VZ

	* include/wx/gtk/colordlg.h, include/wx/gtk/msgdlg.h:

	unused params warnings (patch 1048431)

2004-10-16 12:43  VS

	* docs/latex/wx/process.tex:

	wxProcess::OnTerminate is not const

2004-10-16 12:51  VZ

	* src/gtk/menu.cpp, src/gtk/settings.cpp:

	compilation fixes for newer GTK versions (patch 1042407)

2004-10-16 12:55  VZ

	* docs/changes.txt:

	compilation fixes for newer GTK versions (patch 1042407)

2004-10-16 12:59  VZ

	* docs/latex/wx/classes.tex, docs/latex/wx/setcursorevt.tex,
	docs/latex/wx/tevent.tex:

	added wxSetCursorEvent documentation (patch 1048181)

2004-10-16 13:25  VZ

	* src/common/statbar.cpp, src/common/tbarbase.cpp:

	reset parent frame tool/status bar pointer automatically when the
	bar is destroyed; this ensures that we're never left with dangling
	pointers and fixes a crash under Mac when MDI child frame with a
	toolbar is closed

2004-10-16 13:28  VZ

	* src/mac/carbon/mdi.cpp:

	don't reset tool/status bar pointers manually, it is now done
	automatically by the dtors of the bars themselves

2004-10-16 13:54  VZ

	* src/mac/carbon/menu.cpp:

	don't leave two conscutive separators after "moving" a standard
	menu item to the application menu

2004-10-16 14:51  VS

	* src/xrc/xmlres.cpp, include/wx/xrc/xmlres.h:

	don't use m_instanceAsWindow to convert dialog units, it's not
	fully constructed yet and can't provide the information

2004-10-16 15:11  RR

	* include/wx/printdlg.h, include/wx/prntbase.h,
	include/wx/generic/prntdlgg.h, include/wx/msw/printdlg.h,
	include/wx/mac/carbon/printdlg.h, src/common/prntbase.cpp,
	src/generic/prntdlgg.cpp, src/mac/carbon/printdlg.cpp,
	src/msw/printdlg.cpp:



	  Began work on print dialogs. Now wxPrintDialog
	    is a pimpl implementation of the native
	    dialog classes, which are created in wxPrintFactory.

2004-10-16 17:05  VZ

	* src/common/fileconf.cpp:

	fixed bug with adding new entries to a root group with subgroups
	but without any existing entries

2004-10-16 17:38  VZ

	* wx-config.in:

	added --linkdeps switch

2004-10-16 18:00  VZ

	* include/wx/mac/carbon/notebook.h, src/mac/carbon/notebmac.cpp:

	use common code to determine best notebook size instaed of
	Mac-specific which mistakenly used current pages sizes and not the
	best ones

2004-10-16 18:13  VZ

	* tests/fileconf/fileconf.cpp:

	added test for the (just fixed) bug with adding the first entry to
	the root group

2004-10-16 19:27  RD

	* contrib/src/stc/PlatWX.cpp, contrib/src/stc/stc.h.in,
	contrib/include/wx/stc/stc.h:

	Use Scintilla's functions for Unicode/UTF8 conversions

2004-10-16 19:29  RD

	* wxPython/demo/StyledTextCtrl_1.py:

	Test GetTextRange on some unicode text

2004-10-17 02:57  RR

	* src/common/prntbase.cpp:


	  Link problem.

2004-10-17 02:58  RR

	* src/gtk/listbox.cpp:


	 Fixed lost focus events in wxListBox.

2004-10-17 03:28  SC

	* include/wx/platform.h, include/wx/mac/accel.h,
	include/wx/mac/app.h, include/wx/mac/bitmap.h,
	include/wx/mac/bmpbuttn.h, include/wx/mac/brush.h,
	include/wx/mac/button.h, include/wx/mac/checkbox.h,
	include/wx/mac/checklst.h, include/wx/mac/chkconf.h,
	include/wx/mac/choice.h, include/wx/mac/clipbrd.h,
	include/wx/mac/colordlg.h, include/wx/mac/colour.h,
	include/wx/mac/combobox.h, include/wx/mac/control.h,
	include/wx/mac/cursor.h, include/wx/mac/dataform.h,
	include/wx/mac/dataobj.h, include/wx/mac/dataobj2.h,
	include/wx/mac/dc.h, include/wx/mac/dcclient.h,
	include/wx/mac/dcmemory.h, include/wx/mac/dcprint.h,
	include/wx/mac/dcscreen.h, include/wx/mac/dialog.h,
	include/wx/mac/dirdlg.h, include/wx/mac/dnd.h,
	include/wx/mac/filedlg.h, include/wx/mac/font.h,
	include/wx/mac/fontdlg.h, include/wx/mac/frame.h,
	include/wx/mac/gauge.h, include/wx/mac/gdiobj.h,
	include/wx/mac/glcanvas.h, include/wx/mac/icon.h,
	include/wx/mac/joystick.h, include/wx/mac/listbox.h,
	include/wx/mac/macnotfy.h, include/wx/mac/mdi.h,
	include/wx/mac/menu.h, include/wx/mac/menuitem.h,
	include/wx/mac/metafile.h, include/wx/mac/mimetype.h,
	include/wx/mac/minifram.h, include/wx/mac/msgdlg.h,
	include/wx/mac/notebook.h, include/wx/mac/palette.h,
	include/wx/mac/pen.h, include/wx/mac/pnghand.h,
	include/wx/mac/pngread.h, include/wx/mac/printdlg.h,
	include/wx/mac/printmac.h, include/wx/mac/private.h,
	include/wx/mac/radiobox.h, include/wx/mac/radiobut.h,
	include/wx/mac/region.h, include/wx/mac/scrolbar.h,
	include/wx/mac/slider.h, include/wx/mac/sound.h,
	include/wx/mac/spinbutt.h, include/wx/mac/spinctrl.h,
	include/wx/mac/statbmp.h, include/wx/mac/statbox.h,
	include/wx/mac/statline.h, include/wx/mac/stattext.h,
	include/wx/mac/statusbr.h, include/wx/mac/tabctrl.h,
	include/wx/mac/taskbarosx.h, include/wx/mac/textctrl.h,
	include/wx/mac/tglbtn.h, include/wx/mac/timer.h,
	include/wx/mac/toolbar.h, include/wx/mac/tooltip.h,
	include/wx/mac/toplevel.h, include/wx/mac/uma.h,
	include/wx/mac/window.h, include/wx/mac/carbon/listbox.h:

	__WXMAC_OSBUILDTYPE__ selections are now only defined if they are
	TRUE

2004-10-17 03:35  SC

	* src/common/gdicmn.cpp, src/generic/listctrl.cpp,
	src/generic/treectlg.cpp:

	__WXMAC_OSBUILDTYPE__ selections are now only defined if they are
	TRUE

2004-10-17 03:42  SC

	* src/mac/carbon/listbox.cpp, include/wx/mac/private/print.h:

	__WXMAC_OSBUILDTYPE__ selections are now only defined if they are
	TRUE

2004-10-17 03:52  SC

	* src/mac/carbon/morefilex/MoreFilesX.cpp:

	don't restrict to OS9 API for Mac-Builds

2004-10-17 04:51  SC

	* src/mac/carbon/window.cpp:

	guard against m_peer = NULL in Show()

2004-10-17 06:11  SC

	* docs/latex/wx/cppconst.tex:

	added mac constants

2004-10-17 07:28  VZ

	* src/common/statbar.cpp:

	compilation fix for !USE_PCH

2004-10-17 07:32  RR

	* src/gtk/dcclient.cpp:



	  Applied (part of) small patch from Chris Bogolte which
	    corrects a test in the Blit code.

2004-10-17 07:47  RR

	* src/gtk/window.cpp:


	  Forgot to commit.

2004-10-17 07:54  VZ

	* src/msw/tbar95.cpp:

	removed obsolete and unused code for USE_BITMAP_MASKS == 0 case

2004-10-17 09:21  ABX

	* src/msw/enhmeta.cpp:

	_() needs intl.h.

2004-10-17 09:28  ABX

	* src/common/wincmn.cpp:

	__WXDEBUG__ is defined/undefined, not 0/1!

2004-10-17 10:24  RR

	* include/wx/cmndata.h, include/wx/prntbase.h,
	include/wx/mac/carbon/printdlg.h, include/wx/msw/printdlg.h,
	include/wx/generic/prntdlgg.h, src/common/prntbase.cpp,
	src/common/cmndata.cpp, src/msw/dcprint.cpp, src/msw/printdlg.cpp,
	src/generic/dcpsg.cpp, src/generic/prntdlgg.cpp:


	  First step at moving the print (dialog) native
	   data into native dirs and cleaning up the code.
	   The native part of wxPrintData is now created
	   via the wxPrintFactory. I moved the code for
	   PostScript to /src/generic/prntdlgg. and for
	   MSW to its the respective dir. I only made
	   wxMac compile, but it already has a native
	   print data class, which should be easy to
	   merge.

2004-10-17 12:32  RR

	* src/gtk/dcclient.cpp:


	  Took one part of the patch back again...

2004-10-17 12:45  VZ

	* docs/changes.txt, src/common/dynlib.cpp:

	- wxDynamicLibrary::GetDllExt() now returns ".bundle", not ".dylib"
	- wxDynamicLibrary::GetSymbol() now prepends underscore to the
	symbol name

2004-10-17 12:45  ABX

	* src/common/cshelp.cpp:

	wxHashMap compatible typecasting.

2004-10-17 13:17  VZ

	* tests/strings/strings.cpp:

	compilation fix for Borland

2004-10-17 14:28  VZ

	* docs/changes.txt:

	mention enhanced metafiles bug fix

2004-10-17 14:39  ABX

	* src/common/gifdecod.cpp, src/common/imagjpeg.cpp,
	src/common/imagpcx.cpp, src/common/imagtiff.cpp,
	src/common/quantize.cpp, src/common/rgncmn.cpp,
	src/common/xpmdecod.cpp:

	Warning fixes related to various cases of typecasting.

2004-10-17 14:43  VZ

	* include/wx/fileloc.h, docs/latex/wx/classes.tex,
	docs/latex/wx/fileloc.tex, docs/latex/wx/category.tex:

	added interface for wxFileLocator class

2004-10-17 15:30  VZ

	* docs/latex/wx/tex2rtf.ini, docs/latex/wx/tex2rtf_css.ini:

	added \newsince command

2004-10-17 16:00  RR

	* include/wx/prntbase.h, include/wx/generic/prntdlgg.h,
	include/wx/mac/carbon/printdlg.h, include/wx/msw/printdlg.h,
	src/msw/dcprint.cpp, src/msw/printdlg.cpp, src/common/cmndata.cpp,
	src/generic/prntdlgg.cpp:


	  Renamed wxPrintNativeData methods to better match
	    those of the preexisting wxMac class. This should
	    make transition of the wxMac classes to the new
	    wxPrintNativeData classes easier.
	  Renamed wxWindowsPrintNativeData to a proper name
	    that is less confusing (GetNativeData -> GetDevMode).

2004-10-17 16:20  VZ

	* docs/changes.txt, docs/latex/wx/dynlib.tex, include/wx/dynlib.h,
	src/common/dynlib.cpp:

	added wxDynamicLibrary::HasSymbol()

2004-10-17 17:18  VZ

	* docs/latex/wx/ctrlsub.tex:

	documented that SetSelection(-1) removes the selection

2004-10-17 17:23  VZ

	* docs/changes.txt:

	typo

2004-10-17 18:03  VZ

	* src/mac/carbon/listbox.cpp:

	remove the selection when SetSelection(-1) is called instead of
	asserting (as documented)

2004-10-17 22:55  ABX

	* include/wx/db.h, include/wx/docview.h, include/wx/gdicmn.h,
	include/wx/imagbmp.h, include/wx/image.h, include/wx/layout.h,
	include/wx/tbarbase.h, include/wx/textctrl.h, include/wx/valgen.h,
	include/wx/valtext.h, include/wx/generic/dirctrlg.h,
	src/common/db.cpp, src/common/docview.cpp, src/common/gdicmn.cpp,
	src/common/imagbmp.cpp, src/common/image.cpp,
	src/common/layout.cpp, src/common/tbarbase.cpp,
	src/common/textcmn.cpp, src/common/valgen.cpp,
	src/common/valtext.cpp, src/generic/dirctrlg.cpp,
	src/generic/grid.cpp:

	Warning fixes for OpenWatcom.

2004-10-18 02:05  VS

	* docs/latex/wx/toolbar.tex:

	fixed typo

2004-10-18 02:30  VS

	* src/xrc/xh_menu.cpp:

	XRC ignored menu bitmap on non-MSW platforms, fixed

2004-10-18 02:43  VS

	* src/gtk/menu.cpp:

	support alpha channel in menu items bitmaps, too

2004-10-18 05:37  VS

	* include/wx/gtk/bmpbuttn.h, src/gtk/bmpbuttn.cpp:

	wxBitmapButton doesn't need own DoGetBestSize, wxControl's one
	works (fixes sizing bug)

2004-10-18 05:50  VS

	* src/generic/dirctrlg.cpp:

	be user friendly on Unix and expand the / node automatically

2004-10-18 05:59  ABX

	* src/common/cshelp.cpp, src/generic/grid.cpp:

	Unnecessary const_ prefix removed (blindly).

2004-10-18 06:12  VS

	* include/wx/gtk/bmpbuttn.h, src/gtk/bmpbuttn.cpp:

	fixed previous revision: call wxControl's, not wxButton's
	DoGetBestSize

2004-10-18 09:43  DE

	* Makefile.in, contrib/samples/animate/Makefile.in,
	contrib/samples/deprecated/proplist/Makefile.in,
	contrib/samples/deprecated/resource/Makefile.in,
	contrib/samples/deprecated/treelay/Makefile.in,
	contrib/samples/fl/Makefile.in,
	contrib/samples/foldbar/foldpanelbar/Makefile.in,
	contrib/samples/gizmos/dynsash/Makefile.in,
	contrib/samples/gizmos/dynsash_switch/Makefile.in,
	contrib/samples/gizmos/editlbox/Makefile.in,
	contrib/samples/gizmos/led/Makefile.in,
	contrib/samples/gizmos/multicell/Makefile.in,
	contrib/samples/gizmos/splittree/Makefile.in,
	contrib/samples/mmedia/Makefile.in,
	contrib/samples/ogl/ogledit/Makefile.in,
	contrib/samples/ogl/studio/Makefile.in,
	contrib/samples/plot/Makefile.in, contrib/samples/stc/Makefile.in:

	Rebaked (build/bakefiles/common.bkl 1.95->1.96 change)

2004-10-18 09:46  DE

	* contrib/samples/svg/Makefile.in, contrib/src/animate/Makefile.in,
	contrib/src/deprecated/Makefile.in, contrib/src/fl/Makefile.in,
	contrib/src/foldbar/Makefile.in, contrib/src/gizmos/Makefile.in,
	contrib/src/mmedia/Makefile.in, contrib/src/net/Makefile.in,
	contrib/src/ogl/Makefile.in, contrib/src/plot/Makefile.in,
	contrib/src/stc/Makefile.in, contrib/src/svg/Makefile.in,
	contrib/utils/convertrc/Makefile.in,
	contrib/utils/wxrcedit/Makefile.in, demos/bombs/Makefile.in,
	demos/dbbrowse/Makefile.in, demos/forty/Makefile.in,
	demos/fractal/Makefile.in, demos/life/Makefile.in:

	Rebaked (build/bakefiles/common.bkl 1.95->1.96 change)

2004-10-18 09:49  DE

	* demos/poem/Makefile.in, samples/access/Makefile.in,
	samples/artprov/Makefile.in, samples/calendar/Makefile.in,
	samples/caret/Makefile.in, samples/checklst/Makefile.in,
	samples/config/Makefile.in, samples/console/Makefile.in,
	samples/controls/Makefile.in, samples/db/Makefile.in,
	samples/dialogs/Makefile.in, samples/dialup/Makefile.in,
	samples/display/Makefile.in, samples/dnd/Makefile.in,
	samples/docview/Makefile.in, samples/docvwmdi/Makefile.in,
	samples/dragimag/Makefile.in, samples/drawing/Makefile.in,
	samples/dynamic/Makefile.in:

	Rebaked (build/bakefiles/common.bkl 1.95->1.96 change)

2004-10-18 09:52  DE

	* samples/erase/Makefile.in, samples/event/Makefile.in,
	samples/except/Makefile.in, samples/exec/Makefile.in,
	samples/font/Makefile.in, samples/grid/Makefile.in,
	samples/help/Makefile.in, samples/htlbox/Makefile.in,
	samples/html/about/Makefile.in, samples/html/help/Makefile.in,
	samples/html/helpview/Makefile.in,
	samples/html/htmlctrl/Makefile.in,
	samples/html/printing/Makefile.in, samples/html/test/Makefile.in,
	samples/html/virtual/Makefile.in, samples/html/widget/Makefile.in,
	samples/html/zip/Makefile.in, samples/image/Makefile.in,
	samples/internat/Makefile.in, samples/ipc/Makefile.in,
	samples/joytest/Makefile.in:

	Rebaked (build/bakefiles/common.bkl 1.95->1.96 change)

2004-10-18 09:55  DE

	* samples/keyboard/Makefile.in, samples/layout/Makefile.in,
	samples/listbox/Makefile.in, samples/listctrl/Makefile.in,
	samples/mdi/Makefile.in, samples/memcheck/Makefile.in,
	samples/menu/Makefile.in, samples/mfc/Makefile.in,
	samples/minifram/Makefile.in, samples/minimal/Makefile.in,
	samples/mobile/styles/Makefile.in,
	samples/mobile/wxedit/Makefile.in, samples/multimon/Makefile.in,
	samples/nativdlg/Makefile.in, samples/notebook/Makefile.in,
	samples/oleauto/Makefile.in, samples/opengl/cube/Makefile.in,
	samples/opengl/isosurf/Makefile.in,
	samples/opengl/penguin/Makefile.in, samples/ownerdrw/Makefile.in:

	Rebaked (build/bakefiles/common.bkl 1.95->1.96 change)

2004-10-18 09:58  DE

	* samples/png/Makefile.in, samples/printing/Makefile.in,
	samples/propsize/Makefile.in, samples/regtest/Makefile.in,
	samples/render/Makefile.in, samples/richedit/Makefile.in,
	samples/rotate/Makefile.in, samples/sashtest/Makefile.in,
	samples/scroll/Makefile.in, samples/scrollsub/Makefile.in,
	samples/shaped/Makefile.in, samples/sockets/Makefile.in,
	samples/sound/Makefile.in, samples/splash/Makefile.in,
	samples/splitter/Makefile.in, samples/statbar/Makefile.in,
	samples/tab/Makefile.in, samples/taskbar/Makefile.in,
	samples/text/Makefile.in, samples/thread/Makefile.in,
	samples/toolbar/Makefile.in, samples/treectrl/Makefile.in,
	samples/typetest/Makefile.in, samples/validate/Makefile.in,
	samples/vscroll/Makefile.in, samples/widgets/Makefile.in,
	samples/wizard/Makefile.in, samples/xrc/Makefile.in,
	tests/Makefile.in:

	Rebaked (build/bakefiles/common.bkl 1.95->1.96 change)

2004-10-18 10:01  DE

	* utils/HelpGen/src/Makefile.in, utils/configtool/src/Makefile.in,
	utils/emulator/src/Makefile.in, utils/helpview/src/Makefile.in,
	utils/hhp2cached/Makefile.in, utils/tex2rtf/src/Makefile.in,
	utils/wxrc/Makefile.in:

	Rebaked (build/bakefiles/common.bkl 1.95->1.96 change)

2004-10-18 12:15  DE

	* Makefile.in, build/bakefiles/files.bkl, include/wx/filedlg.h,
	include/wx/cocoa/filedlg.h, src/cocoa/filedlg.mm:

	wxCocoa: Add native file dialog from Ryan Norton.  Modified patch
	#1039368
	https://sourceforge.net/tracker/?func=detail&atid=309863&aid=1039368&group_id=9863

2004-10-18 13:20  JS

	* src/msw/radiobut.cpp, docs/changes.txt:

	wxRadioButtons in the same group no longer have to be consecutive
	(there may be intervening controls). Without this fix, an
	out-of-sync assert is generated when clicking on a radio button and
	then calling GetValue().

2004-10-18 14:41  DE

	* include/wx/cocoa/sound.h, src/cocoa/sound.mm:

	Removed some extraneous whitespace.  Changed YES/NO to true/false;
	do not confuse BOOL (Objective-C) with bool (C++).  Changed some of
	the indentation to match that the rest of wxCocoa.

	There was an if (isLastSoundInScope = NO) which I think was wrong
	not only because it used NO rather than false but also because it's
	an assignment rather than a test.  Changed it to if
	(!isLastSoundInScope).

2004-10-18 15:07  JS

	* src/generic/statusbr.cpp:

	Don't remove generic status bar from parent, since it can be used
	on arbitrary windows.

2004-10-18 15:12  DE

	* include/wx/cocoa/sound.h, src/cocoa/sound.mm:

	Renamed m_hSnd to m_cocoaNSSound (match rest of wxCocoa).  Create
	delegate as a static member shared by all instances.

2004-10-18 15:17  VZ

	* include/wx/filefn.h:

	unsigned off_t doesn't exist

2004-10-18 15:23  DE

	* src/cocoa/sound.mm:

	Due to the last change the delegate should not release itself.

2004-10-18 15:26  VZ

	* src/common/dynlib.cpp:

	fix Mac/Unicode build after last commit

2004-10-18 15:35  VZ

	* docs/latex/wx/stdpaths.tex, docs/latex/wx/category.tex,
	docs/latex/wx/classes.tex, docs/latex/wx/fileloc.tex,
	include/wx/stdpaths.h, include/wx/fileloc.h:

	renamed wxFileLocator to wxStandardPaths

2004-10-18 16:27  VZ

	* docs/latex/wx/stdpaths.tex, include/wx/stdpaths.h:

	- added and documented Get/SetInstallPath() under Unix - corrected
	returns values of several functions for Mac OS X

2004-10-18 16:28  VZ

	* include/wx/stdpaths.h:

	fixed include guard after renaming the file

2004-10-18 20:49  RD

	* wxPython/demo/Listbook.py:

	fix image range

2004-10-18 20:50  RD

	* wxPython/demo/images.py, wxPython/demo/encode_bitmaps.py,
	wxPython/demo/Main.py:

	use multiple images for changing the taskbar icon

2004-10-18 20:51  RD

	* wxPython/demo/ListCtrl_edit.py:

	Remove comment too

2004-10-18 20:58  RD

	* wxPython/wx/lib/plot.py, wxPython/docs/CHANGES.txt:

	More PyPlot updates from Gordon Williams:    - Imported modules
	given leading underscore to name.     - Added Cursor Line Tracking
	and User Point Labels.	   - Demo for Cursor Line Tracking and
	Point Labels.	  - Size of plot preview frame adjusted to show
	page better.	 - Added helper functions PositionUserToScreen and
	     PositionScreenToUser in PlotCanvas.     - Added functions
	GetClosestPoints (all curves) and GetClosestPoint	(only
	closest curve) can be in either user coords or screen	    coords.

2004-10-18 21:04  RD

	* wxPython/wxversion/wxversion.py:

	Remove pre-existing wx dirs from sys.path

2004-10-18 21:43  DE

	* src/cocoa/app.mm:

	Fixed incorrect comment about [NSDate distantPast].  We aren't
	seeking to block for an infinite amount of time but rather to not
	block at all.  Also added a bit of an overview since apparently the
	purpose of this code was not readily apparent even with the
	existing comments.

2004-10-18 22:18  RN

	* src/cocoa/app.mm:

	Rework comment a bit to accurately reflect situation on 10.2 - it
	doesn't crash, rather it stalls :).

2004-10-18 23:04  KO

	* wxPython/src/_webkit_rename.i, wxPython/src/webkit.i:

	Adding wxWebKitCtrl wrappers.

2004-10-18 23:07  KO

	* wxPython/setup.py:

	Additions for webkit wrapper support.

2004-10-19 00:04  SC

	* src/mac/carbon/spinctrl.cpp:

	leads to a double call of AddChild, if we don't see any problems,
	we'll remove it

2004-10-19 00:06  SC

	* src/mac/carbon/slider.cpp:

	eliminate double deletion

2004-10-19 01:18  JS

	* src/common/db.cpp:

	SQLINTEGER not defined in iodbc

2004-10-19 01:31  VZ

	* contrib/src/fl/toolwnd.cpp:

	set mouse capture flag to false when releasing the mouse (bug
	1049693)

2004-10-19 02:02  VZ

	* docs/latex/wx/cppconst.tex, include/wx/platform.h:

	define __WXOSX__ for wxMac/Cocoa; document it

2004-10-19 04:49  VZ

	* src/msw/listctrl.cpp:

	don't return wxLIST_HITTEST_ONITEMICON from HitTest() when the muse
	is clicked to the right of the icon label

2004-10-19 06:38  JS

	* build/palmos/.cdtproject, build/palmos/.project,
	build/palmos/auto-generated.mk, build/palmos/makefile,
	build/palmos/makefile-engine.mk, src/common/appbase.cpp,
	src/common/appcmn.cpp, src/common/cmndata.cpp,
	src/common/containr.cpp, src/common/fontcmn.cpp,
	src/common/gdicmn.cpp, src/common/init.cpp, src/common/msgout.cpp,
	src/common/utilscmn.cpp, src/generic/imaglist.cpp,
	src/generic/notebook.cpp, src/palmos/accel.cpp, src/palmos/app.cpp,
	src/palmos/base.cpp, src/palmos/bitmap.cpp,
	src/palmos/bmpbuttn.cpp, src/palmos/brush.cpp,
	src/palmos/button.cpp, src/palmos/caret.cpp,
	src/palmos/checkbox.cpp, src/palmos/checklst.cpp,
	src/palmos/choice.cpp, src/palmos/clipbrd.cpp,
	src/palmos/colordlg.cpp, src/palmos/colour.cpp,
	src/palmos/combobox.cpp, src/palmos/control.cpp,
	src/palmos/crashrpt.cpp, src/palmos/cursor.cpp,
	src/palmos/data.cpp, src/palmos/dc.cpp, src/palmos/dcclient.cpp,
	src/palmos/dcmemory.cpp, src/palmos/dcprint.cpp,
	src/palmos/dcscreen.cpp, src/palmos/dialog.cpp,
	src/palmos/dialup.cpp, src/palmos/dib.cpp, src/palmos/dir.cpp,
	src/palmos/dirdlg.cpp, src/palmos/display.cpp,
	src/palmos/dragimag.cpp, src/palmos/dummy.cpp,
	src/palmos/dummydll.cpp, src/palmos/enhmeta.cpp,
	src/palmos/evtloop.cpp, src/palmos/fdrepdlg.cpp,
	src/palmos/filedlg.cpp, src/palmos/font.cpp,
	src/palmos/fontdlg.cpp, src/palmos/fontenum.cpp,
	src/palmos/fontutil.cpp, src/palmos/frame.cpp,
	src/palmos/gauge.cpp, src/palmos/gdiimage.cpp,
	src/palmos/gdiobj.cpp, src/palmos/glcanvas.cpp,
	src/palmos/help.cpp, src/palmos/icon.cpp, src/palmos/imaglist.cpp,
	src/palmos/iniconf.cpp, src/palmos/joystick.cpp,
	src/palmos/listbox.cpp, src/palmos/listctrl.cpp,
	src/palmos/main.cpp, src/palmos/mdi.cpp, src/palmos/menu.cpp,
	src/palmos/menuitem.cpp, src/palmos/metafile.cpp,
	src/palmos/mimetype.cpp, src/palmos/minifram.cpp,
	src/palmos/msgdlg.cpp, src/palmos/mslu.cpp,
	src/palmos/nativdlg.cpp, src/palmos/notebook.cpp,
	src/palmos/ownerdrw.cpp, src/palmos/palette.cpp,
	src/palmos/pen.cpp, src/palmos/popupwin.cpp,
	src/palmos/printdlg.cpp, src/palmos/printpalm.cpp,
	src/palmos/radiobox.cpp, src/palmos/radiobut.cpp,
	src/palmos/regconf.cpp, src/palmos/region.cpp,
	src/palmos/registry.cpp, src/palmos/renderer.cpp,
	src/palmos/scrolbar.cpp, src/palmos/settings.cpp,
	src/palmos/slider.cpp, src/palmos/snglinst.cpp,
	src/palmos/sound.cpp, src/palmos/spinbutt.cpp,
	src/palmos/spinctrl.cpp, src/palmos/statbmp.cpp,
	src/palmos/statbox.cpp, src/palmos/statline.cpp,
	src/palmos/stattext.cpp, src/palmos/statusbr.cpp,
	src/palmos/tabctrl.cpp, src/palmos/taskbar.cpp,
	src/palmos/textctrl.cpp, src/palmos/tglbtn.cpp,
	src/palmos/thread.cpp, src/palmos/timer.cpp,
	src/palmos/toolbar.cpp, src/palmos/tooltip.cpp,
	src/palmos/toplevel.cpp, src/palmos/treectrl.cpp,
	src/palmos/utils.cpp, src/palmos/utilsexc.cpp,
	src/palmos/utilsgui.cpp, src/palmos/volume.cpp,
	src/palmos/window.cpp, include/wx/app.h, include/wx/apptrait.h,
	include/wx/bitmap.h, include/wx/brush.h, include/wx/chkconf.h,
	include/wx/colour.h, include/wx/control.h, include/wx/cursor.h,
	include/wx/dc.h, include/wx/dcclient.h, include/wx/dcmemory.h,
	include/wx/dcprint.h, include/wx/dcscreen.h, include/wx/dialog.h,
	include/wx/encinfo.h, include/wx/evtloop.h, include/wx/filefn.h,
	include/wx/font.h, include/wx/fontutil.h, include/wx/frame.h,
	include/wx/gdiobj.h, include/wx/help.h, include/wx/icon.h,
	include/wx/menu.h, include/wx/menuitem.h, include/wx/metafile.h,
	include/wx/minifram.h, include/wx/msgdlg.h, include/wx/pen.h,
	include/wx/platform.h, include/wx/printdlg.h, include/wx/region.h,
	include/wx/renderer.h, include/wx/statusbr.h, include/wx/string.h,
	include/wx/taskbar.h, include/wx/toolbar.h, include/wx/toplevel.h,
	include/wx/treectrl.h, include/wx/window.h, include/wx/wxchar.h,
	include/wx/palmos/AppResources.h, include/wx/palmos/Version.xrd,
	include/wx/palmos/accel.h, include/wx/palmos/app.h,
	include/wx/palmos/apptbase.h, include/wx/palmos/apptrait.h,
	include/wx/palmos/bitmap.h, include/wx/palmos/bmpbuttn.h,
	include/wx/palmos/brush.h, include/wx/palmos/button.h,
	include/wx/palmos/caret.h, include/wx/palmos/checkbox.h,
	include/wx/palmos/checklst.h, include/wx/palmos/chkconf.h,
	include/wx/palmos/choice.h, include/wx/palmos/clipbrd.h,
	include/wx/palmos/colordlg.h, include/wx/palmos/colour.h,
	include/wx/palmos/combobox.h, include/wx/palmos/control.h,
	include/wx/palmos/crashrpt.h, include/wx/palmos/cursor.h,
	include/wx/palmos/dc.h, include/wx/palmos/dcclient.h,
	include/wx/palmos/dcmemory.h, include/wx/palmos/dcprint.h,
	include/wx/palmos/dcscreen.h, include/wx/palmos/dialog.h,
	include/wx/palmos/dib.h, include/wx/palmos/dirdlg.h,
	include/wx/palmos/display.h, include/wx/palmos/dragimag.h,
	include/wx/palmos/enhmeta.h, include/wx/palmos/evtloop.h,
	include/wx/palmos/fdrepdlg.h, include/wx/palmos/filedlg.h,
	include/wx/palmos/font.h, include/wx/palmos/fontdlg.h,
	include/wx/palmos/fontenum.h, include/wx/palmos/frame.h,
	include/wx/palmos/gauge.h, include/wx/palmos/gccpriv.h,
	include/wx/palmos/gdiimage.h, include/wx/palmos/gdiobj.h,
	include/wx/palmos/glcanvas.h, include/wx/palmos/help.h,
	include/wx/palmos/icon.h, include/wx/palmos/imaglist.h,
	include/wx/palmos/iniconf.h, include/wx/palmos/joystick.h,
	include/wx/palmos/listbox.h, include/wx/palmos/listctrl.h,
	include/wx/palmos/mdi.h, include/wx/palmos/menu.h,
	include/wx/palmos/menuitem.h, include/wx/palmos/metafile.h,
	include/wx/palmos/mimetype.h, include/wx/palmos/minifram.h,
	include/wx/palmos/msgdlg.h, include/wx/palmos/mslu.h,
	include/wx/palmos/msvcrt.h, include/wx/palmos/notebook.h,
	include/wx/palmos/palette.h, include/wx/palmos/pen.h,
	include/wx/palmos/popupwin.h, include/wx/palmos/printdlg.h,
	include/wx/palmos/printpalm.h, include/wx/palmos/radiobox.h,
	include/wx/palmos/radiobut.h, include/wx/palmos/regconf.h,
	include/wx/palmos/region.h, include/wx/palmos/registry.h,
	include/wx/palmos/scrolbar.h, include/wx/palmos/setup.h,
	include/wx/palmos/setup0.h, include/wx/palmos/slider.h,
	include/wx/palmos/sound.h, include/wx/palmos/spinbutt.h,
	include/wx/palmos/spinctrl.h, include/wx/palmos/statbmp.h,
	include/wx/palmos/statbox.h, include/wx/palmos/statline.h,
	include/wx/palmos/stattext.h, include/wx/palmos/statusbr.h,
	include/wx/palmos/tabctrl.h, include/wx/palmos/taskbar.h,
	include/wx/palmos/textctrl.h, include/wx/palmos/tglbtn.h,
	include/wx/palmos/timer.h, include/wx/palmos/toolbar.h,
	include/wx/palmos/tooltip.h, include/wx/palmos/toplevel.h,
	include/wx/palmos/treectrl.h, include/wx/palmos/window.h,
	include/wx/palmos/wxWidgets.def, include/wx/palmos/wxWidgets.sld,
	include/wx/palmos/wxWidgets.xrd,
	include/wx/palmos/Icons/AppIcon_Large-X2-8.bmp,
	include/wx/palmos/Icons/AppIcon_Small-X2-8.bmp,
	docs/palmos/readme.txt:

	Committed William Osborne's wxPalmOS port

2004-10-19 06:42  JS

	* include/wx/palmos/setup.h:

	Removed accidentally committed file

2004-10-19 06:45  JS

	* src/generic/statusbr.cpp:

	Cleaned up commented-out code

2004-10-19 08:13  VS

	* include/wx/xrc/xmlres.h:

	always use wxStaticCast in XRCCTRL (asserts in case of bad use in
	debug build)

2004-10-19 09:43  VZ

	* include/wx/msw/wrapshl.h, src/msw/dirdlg.cpp:

	extracted LPITEMIDLIST wrappers in a separate header (also [will
	be] used by wxStdnardPaths)

2004-10-19 11:09  VZ

	* src/msw/window.cpp:

	don't set focus to the window when it is clicked if the event has
	been processed by the user code (this is consistent with how the
	standard controls already behave)

2004-10-19 11:11  VZ

	* docs/latex/wx/mouseevt.tex:

	document that not skipping left click event results in focus not
	being given to the window under mouse

2004-10-19 11:47  VZ

	* docs/latex/wx/stdpaths.tex:

	fixed GetConfigDir() description; added MT-safety note

2004-10-19 11:48  VZ

	* include/wx/stdpaths.h, src/common/stdpbase.cpp:

	switched to using a real class instead of a namespace because of
	Mac base/GUI problems

2004-10-19 11:50  VZ

	* include/wx/msw/stdpaths.h, src/msw/stdpaths.cpp:

	initial implementation for MSW

2004-10-19 11:50  VZ

	* samples/console/console.cpp:

	wxStandardPaths test

2004-10-19 11:51  VZ

	* include/wx/unix/stdpaths.h:

	declaration (only, so far) for Unix

2004-10-19 11:54  VS

	* src/xrc/xh_toolb.cpp:

	added wxTB_HORZ_TEXT

2004-10-19 13:58  ABX

	* include/wx/thread.h, src/common/filename.cpp, src/msw/cursor.cpp,
	src/msw/listctrl.cpp, src/msw/thread.cpp:

	OW warning fix. Our compile time asserts warns when used within
	function and dedicated #pragma seems not influence it so they are
	moved from functions into global space as near as possible.

2004-10-19 14:00  RD

	* wxPython/src/webkit.i, wxPython/docs/CHANGES.txt,
	wxPython/setup.py:

	Some tweaks for WebKitCtrl.

2004-10-19 14:02  RD

	* wxPython/wxPython/webkit.py, wxPython/src/gtk/webkit_wrap.cpp,
	wxPython/src/gtk/webkit.py:

	reSWIGged for WebKitCtrl

2004-10-19 14:05  RD

	* wxPython/src/_control.i:

	a little cleanup

2004-10-19 14:10  ABX

	* include/wx/filefn.h:

	Warning fix to avoid typecasting with OW elsewhere.

2004-10-19 14:40  RD

	* wxPython/src/_webkit_rename.i, wxPython/src/_webkit_reverse.txt,
	wxPython/src/webkit.i:

	More WebKitCtrl tweaks, added wxWebKitStateChangedEvent and etc.

2004-10-19 14:41  RD

	* wxPython/wxPython/webkit.py, wxPython/src/mac/webkit_wrap.cpp,
	wxPython/src/mac/webkit.py:

	reSWIGged for WebKitCtrl

2004-10-19 14:48  RD

	* wxPython/src/webkit.i:

	Give wxEVT_WEBKIT_STATE_CHANGED a dummy value too.

2004-10-19 14:50  RD

	* wxPython/src/gtk/webkit.py, wxPython/src/gtk/webkit_wrap.cpp:

	reSWIGged for WebKitCtrl

2004-10-19 14:51  RD

	* wxPython/wxversion/wxversion.py:

	docstring typo fixed

2004-10-19 15:05  RD

	* wxPython/src/msw/webkit_wrap.cpp, wxPython/src/msw/webkit.py:

	reSWIGged for WebKitCtrl

2004-10-19 16:12  VZ

	* build/palmos/.cvsignore:

	ignore build directory

2004-10-19 16:17  VZ

	* build/palmos/makefile, src/palmos/statbrpalm.cpp,
	src/palmos/statusbr.cpp, include/wx/statusbr.h:

	fixed status bar source file name; removed wxUSE_NATIVE_STATUS_BAR;
	removed generic status bar file from makefile

2004-10-19 16:19  VZ

	* include/wx/palmos/frame.h, src/palmos/frame.cpp:

	removed unneeded junk copied from MSW port

2004-10-19 16:51  VZ

	* docs/palmos/readme.txt:

	updated bulid notes to include cmd line building instructions

2004-10-19 17:31  VZ

	* include/wx/defs.h:

	define wxMAKE_UNIQUE_NAME so that it works even in VC++ with /ZI
	(edit and continue) option: use __COU*NTER__ instead of __LINE__

2004-10-19 17:33  VZ

	* include/wx/debug.h:

	removed special definition of wxCOMPILE_TIME_ASSERT2, keep it only
	for compatibility

2004-10-19 17:34  VZ

	* include/wx/stdpaths.h, include/wx/msw/stdpaths.h,
	src/common/stdpbase.cpp, src/msw/stdpaths.cpp:

	moved AppendAppName() from MSW to common code; modified it to not
	double the trailing slash, if any

2004-10-19 17:34  VZ

	* include/wx/dynarray.h:

	don't use wxCOMPILE_TIME_ASSERT2, wxCOMPILE_TIME_ASSERT works for
	VC++ too now

2004-10-19 17:35  VZ

	* include/wx/unix/stdpaths.h, src/unix/stdpaths.cpp:

	initial Unix implementation

2004-10-19 17:36  VZ

	* build/bakefiles/files.bkl:

	added stdpaths.* for MSW and Unix

2004-10-19 18:18  ABX

	* include/wx/debug.h, include/wx/thread.h, src/common/filename.cpp,
	src/msw/cursor.cpp, src/msw/listctrl.cpp, src/msw/thread.cpp:

	Correct fix to the compile time assert under OW. Kudos to Vadim to
	the tip.

2004-10-19 18:25  ABX

	* src/common/filename.cpp:

	Oups :-( incomplete previous undo.

2004-10-20 02:18  ABX

	* src/msw/stdpaths.cpp:

	DMC, OW and my copy of MinGW misses SH* values, Borland seems fine.

2004-10-20 03:45  VZ

	* include/wx/debug.h, include/wx/defs.h:

	only VC++ >= 7.0 has __COUNTER__

2004-10-20 04:12  ABX

	* docs/latex/wx/array.tex, docs/latex/wx/arrstrng.tex,
	docs/latex/wx/category.tex, docs/latex/wx/ctrlsub.tex,
	docs/latex/wx/grid.tex, docs/latex/wx/list.tex,
	docs/latex/wx/menu.tex, docs/latex/wx/node.tex,
	docs/latex/wx/toolbar.tex, docs/latex/wx/wxstring.tex:

	Minor manual fixes.

2004-10-20 08:00  VZ

	* src/common/config.cpp:

	fixed bug introduced by last commit: if we don't change the path
	because it is already correct, we should still change the name we
	use

2004-10-20 08:14  VZ

	* include/wx/msw/wx.rc, include/wx/msw/wince/smartphone.rc,
	include/wx/msw/wince/wince.rc:

	use slashes instead of backslashes and quotes instead of angle
	brackets in all #includes

2004-10-20 09:44  JS

	* src/generic/grid.cpp, src/gtk/combobox.cpp:

	Worked around font setting problem for GTK+1 on some distributions.
	This is a workaround for wxGrid only.

2004-10-20 10:21  VZ

	* include/wx/mgl/region.h:

	removed duplicate #include

2004-10-20 10:29  VZ

	* include/wx/region.h:

	include colour.h (fixes wxX11 compilation under Unix)

2004-10-20 12:18  DE

	* include/wx/cocoa/menuitem.h, src/cocoa/menuitem.mm:

	Added CocoaSetKeyEquivalent() that sets the accelerators.  Only
	implemented for letters, numbers, and ascii control characters.
	TODO: up/down/etc.

2004-10-20 12:24  DE

	* samples/sound/sound.cpp:

	Added some accelerators to the menu to help with stress testing
	wxSound: Ctrl+O Select WAV file Ctrl+S	"Play sound synchronously"
	Ctrl+A	     "Play sound asynchronously" Ctrl+T      "Play sound
	asynchronously (object on stack)" (T for temporary) Ctrl+L  "Loop
	sound"

2004-10-20 12:26  DW

	* src/unix/gsocket.cpp:

	getservbyname under INNOTEK gcc needs a (char*), not (const char*)
	for the protocol argument

2004-10-20 14:04  DE

	* include/wx/cocoa/sound.h, src/cocoa/sound.mm:

	Rewrote wxSound: * Get rid of #if wxUSE_SOUND from header.
	wx/sound.h checks this already.  * Get rid of pragma
	interface/implementation. Apple GCC dislikes them anyway.  * Allow
	source file to use precompiled headers (wx/wxprec.h) * Include only
	needed AppKit/Foundation headers, not AppKit/AppKit.h.	* Implement
	simple constructors inline in header.  * Get rid of m_sndname and
	m_waveLength instance variables.  They aren't used.  * Add copy
	constructor (why not).	* Move implementation of byte-array
	constructor into LoadWAV for consistency   with UNIX wxSound.  *
	LoadWAV (what was in the constructor) now properly allocs, inits,
	and   releases NSData.	The old code for this was not valid.  *
	Rename lastSound to s_currentSound.  * Rename isLastSoundLooping to
	s_loopCurrentSound.  * Ignore the sound:didFinishPlaying: delegate
	message if it is received   for an NSSound other than
	s_currentSound.  * Create should not Stop the current sound.  *
	Don't use NSBundle to get a resource sound but use [NSSound
	soundNamed:]   which will include system sounds.  * Playing a sound
	synchronously uses wxEventLoop::Dispatch which will   really block
	(not spin the CPU like Yield).	The sound is considered   finished
	playing when s_currentSound is set to something else.  In order
	to make sure we don't get stuck in this event loop the delegate
	calls wxApp::WakeUpIdle if it releases s_currentSound.	* Have
	IsPlaying() check to make sure s_currentSound is not nil since
	only messages returning another object or void are allowed to be
	sent to nil objects.

	Changes involving retain/release * Get rid of comment about tricky
	API, it's not.	* Get rid of isLastSoundInScope. Cocoa has proper
	reference counting.  * Add SetNSSound which, like the rest of
	wxCocoa, retains/releases   appropriately, sets the delegate, and
	logs when WXTRACE=COCOA_RetainRelease.	* Destructor does
	SetNSSound(nil) which will always release the NSSound.	  Create
	and LoadWAV use SetNSSound method like the rest of wxCocoa.  * Make
	the delegate always release s_currentSound if not (or if done)
	looping.    DoPlay sets s_currentSound to m_cocoaNSSound after
	retaining it so that	the delegate can always safely release it.
	* Stop, like everything else, does not need check of
	isLastSoundInScope

2004-10-20 15:03  VZ

	* samples/text/text.cpp:

	added missing header (fixes compilation with
	WXWIN_COMPATIBILITY_2_4 == 0)

2004-10-20 15:10  VZ

	* include/wx/event.h:

	update g_isPainting in wxPaintEvent copy ctor

2004-10-20 15:14  VZ

	* src/gtk/dataobj.cpp:

	decode URIs in wxFileDataObject::SetData(); fixes problem with
	filenames with spaces in their names (which were represented as )

2004-10-20 15:49  VZ

	* docs/changes.txt, include/wx/txtstrm.h:

	added wxTextInputStream::operator>>(wchar_t) for compilers which
	support this

2004-10-21 03:30  VZ

	* src/gtk/dataobj.cpp:

	compilation fix after last checkin (missing header)

2004-10-21 06:58  DW

	* src/unix/gsocket.cpp:

	Removed temp OS/2 fix.	Header now fixed.

2004-10-21 10:36  DW

	* include/wx/os2/print.h:

	Get rid of the class naming conflict with the base header

2004-10-21 10:38  DW

	* src/os2/print.cpp, src/os2/radiobox.cpp, src/os2/slider.cpp,
	src/os2/statbox.cpp:

	Get rid of the class naming conflict with the base header for Print
	and supress some warnings.

2004-10-21 11:47  VS

	* src/xrc/xh_menu.cpp:

	OS/2 needs wxUSE_OWNER_DRAWN, too

2004-10-21 14:32  SN

	* include/wx/os2/printos2.h, src/os2/print.cpp,
	src/common/prntbase.cpp:

	Added stubs for OS/2 to new printing system.

2004-10-21 17:23  VZ

	* src/unix/stdpaths.cpp:

	Unicode compilation fix

2004-10-21 19:49  RD

	* wxPython/docs/CHANGES.txt,
	wxPython/distrib/mac/wxPythonOSX/build,
	wxPython/distrib/mac/uninstall_wxPython.py, wxPython/config.py:

	wxPython on OSX can now be built in Unicode mode, can support
	multiple version installs, and comes with an uninstaller script.

2004-10-21 19:51  RD

	* wxPython/src/mac/webkit_wrap.cpp:

	reSWIGged

2004-10-21 20:04  RD

	* wxPython/demo/bmp_source/wxp.ico,
	wxPython/demo/bmp_source/wxpdemo.ico:

	Some new icons

2004-10-21 20:05  RD

	* wxPython/distrib/wxPythonFull.spec.in:

	Rearrainged some bits

2004-10-21 20:06  RD

	* wxPython/distrib/makedev.bat:

	renamed the output file

2004-10-21 20:07  RD

	* wxPython/distrib/all/build-osx:

	build the unicode version too on Panther

2004-10-21 22:53  RD

	* wxPython/wxversion/wxversion.py:

	Remember the version selected and allow require to be called again
	as long as a compatible version is requested.

2004-10-22 08:20  RD

	* wxPython/distrib/mac/wxPythonOSX/build:

	A unicode hack for the Rez/Derez hack

2004-10-22 08:21  RD

	* wxPython/docs/BUILD.html, wxPython/docs/CHANGES.html,
	wxPython/docs/INSTALL.html, wxPython/docs/MigrationGuide.html,
	wxPython/docs/wxPackage.html:

	regenned the ReST docs

2004-10-22 08:24  RD

	* wxPython/wx/lib/ogl/_lines.py:

	A small fix for attachment popints and comments, from Pierre.

2004-10-22 08:42  DE

	* include/wx/cocoa/taskbar.h, src/cocoa/taskbar.mm:

	Change friendship so that the base implementation class is the
	friend.

2004-10-22 08:50  DE

	* src/cocoa/taskbar.mm:

	Forgot the appropriate return statement for the last patch.

2004-10-22 09:07  DE

	* src/cocoa/window.mm:

	Cleaned up getRectsBeingDrawn:count: related code.  * Removed the
	exception handler; it's not needed anymore (thanks Ryan).  * Split
	the if statement and then case into two lines instead of one.  *
	Took some of the suggestions from the cocoa-dev mailing list: -
	Changed code to use normal messaging syntax.  - Provided a category
	interface to silence the compiler warning on 10.2.

2004-10-22 10:10  ABX

	* build/bakefiles/common.bkl:

	Supress OW warning about empty *structor outside class definition.

2004-10-22 10:13  KH

	* include/wx/cmndata.h:

	Removed , from end of enumerated list wxPrintBin

2004-10-22 11:51  KH

	* wxPython/wx/lib/masked/maskededit.py, wxPython/src/gtk/_core.py,
	wxPython/src/_window.i:

	Documentation patch from Olly Betts

2004-10-22 11:54  KH

	* wxPython/docs/xml/wxPython-metadata.xml,
	wxPython/docs/BUILD.html, wxPython/docs/BUILD.txt,
	wxPython/docs/CHANGES.html, wxPython/docs/CHANGES.txt:

	Documentation patch from Olly Betts

2004-10-22 11:58  KH

	* src/msw/ownerdrw.cpp, src/msw/window.cpp, src/iodbc/isql.h,
	src/iodbc/isqlext.h:

	Documentation patch from Olly Betts

2004-10-22 12:02  KH

	* src/generic/listctrl.cpp, samples/toolbar/toolbar.cpp:

	Documentation patch from Olly Betts

2004-10-22 12:06  KH

	* samples/richedit/wxllist.cpp, include/wx/mac/setup0.h,
	include/wx/univ/renderer.h:

	Documentation patch from Olly Betts

2004-10-22 12:09  KH

	* include/wx/gtk/radiobox.h, include/wx/isql.h,
	include/wx/isqlext.h, include/wx/string.h:

	Documentation patch from Olly Betts

2004-10-22 12:12  RD

	* wxPython/distrib/make_installer.py:

	Use a working dir for the uninstaller that does exist.

2004-10-22 12:12  KH

	* docs/tech/index.txt, docs/tech/tn0002.txt, docs/tech/tn0014.txt,
	docs/tech/tn0015.txt, docs/tech/tn0016.txt, docs/changes.txt,
	docs/readme_vms.txt, docs/toback24.txt, docs/todo30.txt,
	docs/latex/wx/accessible.tex, docs/latex/wx/array.tex,
	docs/latex/wx/artprov.tex, docs/latex/wx/bufferdc.tex,
	docs/latex/wx/button.tex, docs/latex/wx/clientdat.tex,
	docs/latex/wx/clipbrd.tex, docs/latex/wx/conditn.tex,
	docs/latex/wx/db.tex, docs/latex/wx/longlong.tex,
	docs/latex/wx/mouseevt.tex, docs/latex/wx/re_syntax.tex,
	docs/latex/wx/region.tex, docs/latex/wx/stream.tex,
	docs/latex/wx/strmzlib.tex, docs/latex/wx/strtotxt.tex,
	docs/latex/wx/tevent.tex, docs/latex/wx/texcept.tex,
	docs/latex/wx/text.tex, docs/latex/wx/thread.tex,
	docs/latex/wx/threadh.tex, docs/latex/wx/timespan.tex,
	docs/latex/wx/toolbar.tex, docs/latex/wx/tprint.tex,
	docs/latex/wx/treeevt.tex, docs/latex/wx/tthreads.tex,
	docs/latex/wx/ttips.tex, docs/latex/wx/txrc.tex,
	docs/latex/wx/vlbox.tex, docs/latex/wx/vscroll.tex,
	docs/latex/wx/window.tex, docs/latex/wx/wizard.tex,
	docs/latex/wx/wxstring.tex:

	[no log message]

2004-10-22 13:16  KH

	* docs/html/faqgen.htm, docs/html/faqgtk.htm, docs/html/faqmac.htm,
	docs/html/faqmot.htm, docs/html/faqmsw.htm:

	[no log message]

2004-10-22 13:27  RD

	* wxPython/src/mac/_core.py:

	reSWIGged

2004-10-22 13:28  RD

	* wxPython/distrib/all/build-all:

	Keep a local copy of the daily builds too

2004-10-22 13:35  RD

	* wxPython/src/msw/_core.py, wxPython/src/gtk/_core.py:

	reSWIGged

2004-10-23 06:09  VZ

	* src/common/prntbase.cpp, include/wx/printdlg.h:

	don't use _() as default parameter for wxPrintDialogBase title

2004-10-23 06:55  VZ

	* include/wx/docview.h:

	fixed VC++ size_t -> int conversion warning

2004-10-23 07:55  VZ

	* include/wx/version.h, configure, configure.in:

	updated version to 2.5.3.1

2004-10-23 08:24  VZ

	* locale/fr.po:

	added MDI menu item translation, the menu was looking very wrong
	with only one item untranslated...

2004-10-23 09:06  VS

	* src/gtk/combobox.cpp:

	added InvalidateBestSize calls when combobox's content changes;
	DoGetBestSize now accounts for the width returned by GTK+ too

2004-10-23 09:10  VS

	* src/gtk/combobox.cpp:

	fixing sizing bug inside wxWizard

2004-10-23 14:26  VZ

	* src/mac/carbon/toplevel.cpp:

	don't give focus to the window if it ate the left mouse click

2004-10-23 17:17  RD

	* wxPython/distrib/mac/uninstall_wxPython.py:

	Don't uninstall common files if there is more than one wxPython
	installed

2004-10-23 17:17  RD

	* wxPython/distrib/mac/wxPythonOSX/build:

	Combine the common installer package into the main package

2004-10-23 17:58  RD

	* wxPython/wxversion/wxversion.py:

	require --> select, added checkInstalled and getInstalled

2004-10-23 17:59  RD

	* wxPython/config.py:

	EP_ADD_OPTS defaults to true

2004-10-23 18:04  RD

	* wxPython/docs/MigrationGuide.txt,
	wxPython/docs/MigrationGuide.html:

	typo

2004-10-24 00:36  DE

	* include/wx/unix/execute.h, src/unix/utilsunx.cpp:

	Fix wxExecute for ports other than wxMac and wxCocoa on Darwin

2004-10-24 04:41  SC

	* include/wx/mac/carbon/region.h, src/mac/carbon/region.cpp:

	adding Offset to wxRegion / carbon

2004-10-24 05:08  SN

	* include/wx/os2/dialog.h, src/os2/dialog.cpp:

	Fixed handling of modal dialogs.

2004-10-24 05:48  SC

	* src/mac/carbon/dc.cpp:

	corrected textbackground for theme text output

2004-10-24 06:45  SN

	* include/wx/os2/toplevel.h, src/os2/frame.cpp,
	src/os2/toplevel.cpp:

	Removed list of modeless windows (apparently no longer needed).

2004-10-24 07:47  VZ

	* src/common/layout.cpp, docs/changes.txt:

	use GetBestSize() and not GetSize() for AsIs() size constraints --
	this makes much more sense

2004-10-24 20:24  KH

	* src/gtk/app.cpp:

	MutexGui calls in WakeUpIdle are not needed under GTK2, fixing the
	long-standing "random" lockups experienced when using wxPostEvent
	from a thread.	Collaboration with RR.

2004-10-25 09:10  DE

	* src/wxWindowsM8.xml:

	Convert back to UNIX line endings (again)

2004-10-25 15:53  RD

	* wxPython/wxversion/wxversion.py:

	Doc and comment updates

2004-10-26 03:32  VS

	* include/wx/html/m_templ.h:

	prefix symbols with wx

2004-10-26 10:10  ABX

	* utils/tex2rtf/src/htmlutil.cpp:

	Avoid anchor for label which determined creation of the new file
	and is already included in filename.

2004-10-26 10:42  VS

	* src/common/wxchar.cpp:

	at least partially implemented vswscanf() -- otherwise wx apps
	compiled against glibc 2.1 wouldn't run at all

2004-10-26 12:49  RR

	* src/common/cmndata.cpp, src/common/prntbase.cpp,
	src/generic/dcpsg.cpp, src/generic/prntdlgg.cpp,
	include/wx/cmndata.h, include/wx/prntbase.h,
	include/wx/generic/prntdlgg.h:


	  Next phase of Print Factory code.
	    Created a mini interface so that the generic
	    wxPrintDialog can show a "printer" and a
	    "status" line if the print factory wants
	    this to be the case.
	    Moved some code (print mode) back from the
	    PostScript only print data to the general
	    print data since it is sort of general.

2004-10-26 14:55  RD

	* wxPython/wxversion/wxversion.py:

	* Added selectNewest(minVersion) * Use the options in the sort
	ordering in addition to the version,   this will put the gtk2 and
	unicode versions ahead of the others of   the same version.

2004-10-26 15:45  VS

	* src/gtk/toplevel.cpp:

	fixed wxFRAME_TOOL_WINDOW to use 'utility' type hint instead of not
	rendering any frame at all

2004-10-26 17:56  RD

	* src/msw/combobox.cpp:

	Ensire that m_value is updated when SetSelection is called

2004-10-26 17:58  RD

	* src/gtk/mdi.cpp:

	avoid crash if active_child_frame is not set yet

2004-10-26 18:00  RD

	* src/common/dcbase.cpp:

	Return from DoDrawSpline without doing anything (like segfaulting
	<wink!>) if the list is empty.

2004-10-26 18:06  RD

	* src/common/datetime.cpp:

	The old workaround for the 1-Jan-1970 bug still failed in some
	timezones.  This new workaround seems to work better.

2004-10-26 18:08  RD

	* src/msw/combobox.cpp, src/gtk/mdi.cpp, src/common/datetime.cpp,
	src/common/dcbase.cpp, contrib/src/stc/stc.h.in,
	contrib/src/stc/PlatWX.cpp, contrib/include/wx/stc/stc.h:

	Merge some critical fixes from HEAD

2004-10-26 18:10  RD

	* wxPython/docs/CHANGES.txt, wxPython/config.py,
	include/wx/version.h, configure.in, configure:

	Version number bump

2004-10-26 18:15  RD

	* wxPython/wxversion/wxversion.py:

	fixed copy/paste error

2004-10-26 23:24  RL

	* Makefile.in, configure, configure.in, wx-config.in:


	Update for rpath with uninstalled builds and utility search.

2004-10-27 00:45  SC

	* src/mac/carbon/dc.cpp:

	fixes angle calculation (on mac ALWAYS clockwise)

2004-10-27 00:48  RN

	* src/common/string.cpp:

	Use wxStringBufferLength instead of wxXCharBuffer in constructors
	with conversion.  Avoids both an allocation and a memory copy in
	normal (non-stl) wx mode with wxString

2004-10-27 01:18  RN

	* docs/latex/wx/wxstring.tex:

	Add preliminary wxStringBufferLength docs

2004-10-27 04:16  RR

	* src/generic/prntdlgg.cpp, src/common/cmndata.cpp:


	  Moved "enablePrint" setting around.

2004-10-27 04:19  RR

	* src/gtk/gnome/gprint.cpp, include/wx/gtk/gnome/gprint.h:


	  Added initial support for GNOME printing.

2004-10-27 04:33  ABX

	* docs/latex/wx/manual.tex, docs/latex/wx/manual2e.tex:

	Replace license.txt with licence.txt as it is really named.

2004-10-27 05:59  SC

	* src/mac/carbon/menu.cpp:

	setting the invoking window added to two other wxMenuBar
	manipulating methods

2004-10-27 06:53  VZ

	* src/common/dynlib.cpp:

	don't abort if a shared library can't be loaded under OS X, just
	return an error

2004-10-27 09:44  JS

	* src/gtk/toplevel.cpp:

	GTK+1 doesn't have gtk_window_set_type_hint

2004-10-27 10:33  JS

	* src/common/fs_inet.cpp, src/common/ftp.cpp,
	src/common/protocol.cpp, src/common/sckfile.cpp:

	Now possible to compile with wxURL disabled

2004-10-27 12:23  VZ

	* src/generic/choicdgg.cpp:

	don't preselect the first item if the array with the initial
	selections is empty in wxMultiChoiceDialog

2004-10-27 12:27  ABX

	* docs/msw/install.txt:

	Correct defaults for basic options (bug #1048680)

2004-10-27 13:35  VZ

	* build/bakefiles/files.bkl:

	removed src/gtk/eggtrayicon.h

2004-10-27 15:31  RN

	* Makefile.in, wxGTK.spec, wxMotif.spec, wxX11.spec,
	build/bakefiles/files.bkl, build/msw/makefile.bcc,
	build/msw/makefile.gcc, build/msw/makefile.vc,
	build/msw/makefile.wat, build/msw/wx_base.dsp,
	build/msw/wx_core.dsp, contrib/build/animate/makefile.bcc,
	contrib/build/animate/makefile.gcc,
	contrib/build/animate/makefile.vc,
	contrib/build/animate/makefile.wat,
	contrib/build/deprecated/makefile.bcc,
	contrib/build/deprecated/makefile.gcc,
	contrib/build/deprecated/makefile.vc,
	contrib/build/deprecated/makefile.wat,
	contrib/build/fl/makefile.bcc, contrib/build/fl/makefile.gcc,
	contrib/build/fl/makefile.vc, contrib/build/fl/makefile.wat,
	contrib/build/foldbar/makefile.bcc,
	contrib/build/foldbar/makefile.gcc,
	contrib/build/foldbar/makefile.vc,
	contrib/build/foldbar/makefile.wat,
	contrib/build/gizmos/makefile.bcc,
	contrib/build/gizmos/makefile.gcc,
	contrib/build/gizmos/makefile.vc,
	contrib/build/gizmos/makefile.wat,
	contrib/build/mmedia/makefile.bcc,
	contrib/build/mmedia/makefile.gcc,
	contrib/build/mmedia/makefile.vc,
	contrib/build/mmedia/makefile.wat, contrib/build/net/makefile.bcc,
	contrib/build/net/makefile.gcc, contrib/build/net/makefile.vc,
	contrib/build/net/makefile.wat, contrib/build/ogl/makefile.bcc,
	contrib/build/ogl/makefile.gcc, contrib/build/ogl/makefile.vc,
	contrib/build/ogl/makefile.wat, contrib/build/plot/makefile.bcc,
	contrib/build/plot/makefile.gcc, contrib/build/plot/makefile.vc,
	contrib/build/plot/makefile.wat, contrib/build/stc/makefile.bcc,
	contrib/build/stc/makefile.gcc, contrib/build/stc/makefile.vc,
	contrib/build/stc/makefile.wat, contrib/build/svg/makefile.bcc,
	contrib/build/svg/makefile.gcc, contrib/build/svg/makefile.vc,
	contrib/build/svg/makefile.wat,
	contrib/samples/animate/makefile.bcc,
	contrib/samples/animate/makefile.gcc,
	contrib/samples/animate/makefile.vc,
	contrib/samples/animate/makefile.wat,
	contrib/samples/deprecated/proplist/makefile.bcc,
	contrib/samples/deprecated/proplist/makefile.gcc,
	contrib/samples/deprecated/proplist/makefile.vc,
	contrib/samples/deprecated/proplist/makefile.wat,
	contrib/samples/deprecated/resource/makefile.bcc,
	contrib/samples/deprecated/resource/makefile.gcc,
	contrib/samples/deprecated/resource/makefile.vc,
	contrib/samples/deprecated/resource/makefile.wat,
	contrib/samples/deprecated/treelay/makefile.bcc,
	contrib/samples/deprecated/treelay/makefile.gcc,
	contrib/samples/deprecated/treelay/makefile.vc,
	contrib/samples/deprecated/treelay/makefile.wat,
	contrib/samples/fl/makefile.bcc, contrib/samples/fl/makefile.gcc,
	contrib/samples/fl/makefile.vc, contrib/samples/fl/makefile.wat,
	contrib/samples/foldbar/foldpanelbar/makefile.bcc,
	contrib/samples/foldbar/foldpanelbar/makefile.gcc,
	contrib/samples/foldbar/foldpanelbar/makefile.vc,
	contrib/samples/foldbar/foldpanelbar/makefile.wat,
	contrib/samples/gizmos/dynsash/makefile.bcc,
	contrib/samples/gizmos/dynsash/makefile.gcc,
	contrib/samples/gizmos/dynsash/makefile.vc,
	contrib/samples/gizmos/dynsash/makefile.wat,
	contrib/samples/gizmos/dynsash_switch/makefile.bcc,
	contrib/samples/gizmos/dynsash_switch/makefile.gcc,
	contrib/samples/gizmos/dynsash_switch/makefile.vc,
	contrib/samples/gizmos/dynsash_switch/makefile.wat,
	contrib/samples/gizmos/editlbox/makefile.bcc,
	contrib/samples/gizmos/editlbox/makefile.gcc,
	contrib/samples/gizmos/editlbox/makefile.vc,
	contrib/samples/gizmos/editlbox/makefile.wat,
	contrib/samples/gizmos/led/makefile.bcc,
	contrib/samples/gizmos/led/makefile.gcc,
	contrib/samples/gizmos/led/makefile.vc,
	contrib/samples/gizmos/led/makefile.wat:

	wxURI.	Move Convert/to/fromURI into uri.cpp so that it is compiled
	in base.  Regenerate Bakefiles.

2004-10-27 15:34  RN

	* contrib/samples/gizmos/multicell/makefile.bcc,
	contrib/samples/gizmos/multicell/makefile.gcc,
	contrib/samples/gizmos/multicell/makefile.vc,
	contrib/samples/gizmos/multicell/makefile.wat,
	contrib/samples/gizmos/splittree/makefile.bcc,
	contrib/samples/gizmos/splittree/makefile.gcc,
	contrib/samples/gizmos/splittree/makefile.vc,
	contrib/samples/gizmos/splittree/makefile.wat,
	contrib/samples/mmedia/makefile.bcc,
	contrib/samples/mmedia/makefile.gcc,
	contrib/samples/mmedia/makefile.vc,
	contrib/samples/mmedia/makefile.wat,
	contrib/samples/ogl/ogledit/makefile.bcc,
	contrib/samples/ogl/ogledit/makefile.gcc,
	contrib/samples/ogl/ogledit/makefile.vc,
	contrib/samples/ogl/ogledit/makefile.wat,
	contrib/samples/ogl/studio/makefile.bcc,
	contrib/samples/ogl/studio/makefile.gcc,
	contrib/samples/ogl/studio/makefile.vc,
	contrib/samples/ogl/studio/makefile.wat,
	contrib/samples/plot/makefile.bcc,
	contrib/samples/plot/makefile.gcc,
	contrib/samples/plot/makefile.vc,
	contrib/samples/plot/makefile.wat,
	contrib/samples/stc/makefile.bcc, contrib/samples/stc/makefile.gcc,
	contrib/samples/stc/makefile.vc, contrib/samples/stc/makefile.wat,
	contrib/samples/svg/makefile.bcc, contrib/samples/svg/makefile.gcc,
	contrib/samples/svg/makefile.vc, contrib/samples/svg/makefile.wat,
	contrib/utils/convertrc/makefile.bcc,
	contrib/utils/convertrc/makefile.gcc,
	contrib/utils/convertrc/makefile.vc,
	contrib/utils/convertrc/makefile.wat,
	contrib/utils/wxrcedit/makefile.bcc,
	contrib/utils/wxrcedit/makefile.gcc,
	contrib/utils/wxrcedit/makefile.vc,
	contrib/utils/wxrcedit/makefile.wat, demos/bombs/makefile.bcc,
	demos/bombs/makefile.gcc, demos/bombs/makefile.vc,
	demos/bombs/makefile.wat, demos/dbbrowse/makefile.bcc,
	demos/dbbrowse/makefile.gcc, demos/dbbrowse/makefile.vc,
	demos/dbbrowse/makefile.wat, demos/forty/makefile.bcc,
	demos/forty/makefile.gcc, demos/forty/makefile.vc,
	demos/forty/makefile.wat, demos/fractal/makefile.bcc,
	demos/fractal/makefile.gcc, demos/fractal/makefile.vc,
	demos/fractal/makefile.wat, demos/life/makefile.bcc,
	demos/life/makefile.gcc, demos/life/makefile.vc,
	demos/life/makefile.wat, demos/poem/makefile.bcc,
	demos/poem/makefile.gcc, demos/poem/makefile.vc,
	demos/poem/makefile.wat, docs/latex/wx/uri.tex, include/wx/uri.h,
	samples/access/makefile.bcc, samples/access/makefile.gcc,
	samples/access/makefile.vc, samples/access/makefile.wat,
	samples/artprov/makefile.bcc, samples/artprov/makefile.gcc,
	samples/artprov/makefile.vc, samples/artprov/makefile.wat,
	samples/calendar/makefile.bcc, samples/calendar/makefile.gcc,
	samples/calendar/makefile.vc, samples/calendar/makefile.wat,
	samples/caret/makefile.bcc, samples/caret/makefile.gcc,
	samples/caret/makefile.vc, samples/caret/makefile.wat,
	samples/checklst/makefile.bcc, samples/checklst/makefile.gcc,
	samples/checklst/makefile.vc, samples/checklst/makefile.wat,
	samples/config/makefile.bcc, samples/config/makefile.gcc,
	samples/config/makefile.vc, samples/config/makefile.wat,
	samples/console/makefile.bcc, samples/console/makefile.gcc,
	samples/console/makefile.vc, samples/console/makefile.wat,
	samples/controls/makefile.bcc, samples/controls/makefile.gcc,
	samples/controls/makefile.vc, samples/controls/makefile.wat,
	samples/db/makefile.bcc, samples/db/makefile.gcc,
	samples/db/makefile.vc, samples/db/makefile.wat,
	samples/dialogs/makefile.bcc, samples/dialogs/makefile.gcc,
	samples/dialogs/makefile.vc, samples/dialogs/makefile.wat:

	wxURI.	Move Convert/to/fromURI into uri.cpp so that it is compiled
	in base.  Regenerate Bakefiles.

2004-10-27 15:37  RN

	* samples/dialup/makefile.bcc, samples/dialup/makefile.gcc,
	samples/dialup/makefile.vc, samples/dialup/makefile.wat,
	samples/display/makefile.bcc, samples/display/makefile.gcc,
	samples/display/makefile.vc, samples/display/makefile.wat,
	samples/dnd/makefile.bcc, samples/dnd/makefile.gcc,
	samples/dnd/makefile.vc, samples/dnd/makefile.wat,
	samples/docview/makefile.bcc, samples/docview/makefile.gcc,
	samples/docview/makefile.vc, samples/docview/makefile.wat,
	samples/docvwmdi/makefile.bcc, samples/docvwmdi/makefile.gcc,
	samples/docvwmdi/makefile.vc, samples/docvwmdi/makefile.wat,
	samples/dragimag/makefile.bcc, samples/dragimag/makefile.gcc,
	samples/dragimag/makefile.vc, samples/dragimag/makefile.wat,
	samples/drawing/makefile.bcc, samples/drawing/makefile.gcc,
	samples/drawing/makefile.vc, samples/drawing/makefile.wat,
	samples/dynamic/makefile.bcc, samples/dynamic/makefile.gcc,
	samples/dynamic/makefile.vc, samples/dynamic/makefile.wat,
	samples/erase/makefile.bcc, samples/erase/makefile.gcc,
	samples/erase/makefile.vc, samples/erase/makefile.wat,
	samples/event/makefile.bcc, samples/event/makefile.gcc,
	samples/event/makefile.vc, samples/event/makefile.wat,
	samples/except/makefile.bcc, samples/except/makefile.gcc,
	samples/except/makefile.vc, samples/except/makefile.wat,
	samples/exec/makefile.bcc, samples/exec/makefile.gcc,
	samples/exec/makefile.vc, samples/exec/makefile.wat,
	samples/font/makefile.bcc, samples/font/makefile.gcc,
	samples/font/makefile.vc, samples/font/makefile.wat,
	samples/grid/makefile.bcc, samples/grid/makefile.gcc,
	samples/grid/makefile.vc, samples/grid/makefile.wat,
	samples/help/makefile.bcc, samples/help/makefile.gcc,
	samples/help/makefile.vc, samples/help/makefile.wat,
	samples/htlbox/makefile.bcc, samples/htlbox/makefile.gcc,
	samples/htlbox/makefile.vc, samples/htlbox/makefile.wat,
	samples/html/about/makefile.bcc, samples/html/about/makefile.gcc,
	samples/html/about/makefile.vc, samples/html/about/makefile.wat,
	samples/html/help/makefile.bcc, samples/html/help/makefile.gcc,
	samples/html/help/makefile.vc, samples/html/help/makefile.wat,
	samples/html/helpview/makefile.bcc,
	samples/html/helpview/makefile.gcc,
	samples/html/helpview/makefile.vc,
	samples/html/helpview/makefile.wat,
	samples/html/printing/makefile.bcc,
	samples/html/printing/makefile.gcc,
	samples/html/printing/makefile.vc,
	samples/html/printing/makefile.wat, samples/html/test/makefile.bcc,
	samples/html/test/makefile.gcc, samples/html/test/makefile.vc,
	samples/html/test/makefile.wat, samples/html/virtual/makefile.bcc,
	samples/html/virtual/makefile.gcc,
	samples/html/virtual/makefile.vc,
	samples/html/virtual/makefile.wat,
	samples/html/widget/makefile.bcc, samples/html/widget/makefile.gcc,
	samples/html/widget/makefile.vc, samples/html/widget/makefile.wat,
	samples/html/zip/makefile.bcc, samples/html/zip/makefile.gcc,
	samples/html/zip/makefile.vc, samples/html/zip/makefile.wat,
	samples/image/makefile.bcc, samples/image/makefile.gcc,
	samples/image/makefile.vc, samples/image/makefile.wat,
	samples/internat/makefile.bcc, samples/internat/makefile.gcc,
	samples/internat/makefile.vc, samples/internat/makefile.wat,
	samples/ipc/makefile.bcc, samples/ipc/makefile.gcc,
	samples/ipc/makefile.vc, samples/ipc/makefile.wat,
	samples/joytest/makefile.bcc, samples/joytest/makefile.gcc,
	samples/joytest/makefile.vc, samples/joytest/makefile.wat,
	samples/keyboard/makefile.bcc, samples/keyboard/makefile.gcc,
	samples/keyboard/makefile.vc, samples/keyboard/makefile.wat:

	wxURI.	Move Convert/to/fromURI into uri.cpp so that it is compiled
	in base.  Regenerate Bakefiles.

2004-10-27 15:40  RN

	* samples/layout/makefile.bcc, samples/layout/makefile.gcc,
	samples/layout/makefile.vc, samples/layout/makefile.wat,
	samples/listbox/makefile.bcc, samples/listbox/makefile.gcc,
	samples/listbox/makefile.vc, samples/listbox/makefile.wat,
	samples/listctrl/makefile.bcc, samples/listctrl/makefile.gcc,
	samples/listctrl/makefile.vc, samples/listctrl/makefile.wat,
	samples/mdi/makefile.bcc, samples/mdi/makefile.gcc,
	samples/mdi/makefile.vc, samples/mdi/makefile.wat,
	samples/memcheck/makefile.bcc, samples/memcheck/makefile.gcc,
	samples/memcheck/makefile.vc, samples/memcheck/makefile.wat,
	samples/menu/makefile.bcc, samples/menu/makefile.gcc,
	samples/menu/makefile.vc, samples/menu/makefile.wat,
	samples/mfc/makefile.bcc, samples/mfc/makefile.gcc,
	samples/mfc/makefile.vc, samples/mfc/makefile.wat,
	samples/minifram/makefile.bcc, samples/minifram/makefile.gcc,
	samples/minifram/makefile.vc, samples/minifram/makefile.wat,
	samples/minimal/makefile.bcc, samples/minimal/makefile.gcc,
	samples/minimal/makefile.vc, samples/minimal/makefile.wat,
	samples/mobile/styles/makefile.bcc,
	samples/mobile/styles/makefile.gcc,
	samples/mobile/styles/makefile.vc,
	samples/mobile/styles/makefile.wat,
	samples/mobile/wxedit/makefile.bcc,
	samples/mobile/wxedit/makefile.gcc,
	samples/mobile/wxedit/makefile.vc,
	samples/mobile/wxedit/makefile.wat, samples/multimon/makefile.bcc,
	samples/multimon/makefile.gcc, samples/multimon/makefile.vc,
	samples/multimon/makefile.wat, samples/nativdlg/makefile.bcc,
	samples/nativdlg/makefile.gcc, samples/nativdlg/makefile.vc,
	samples/nativdlg/makefile.wat, samples/notebook/makefile.bcc,
	samples/notebook/makefile.gcc, samples/notebook/makefile.vc,
	samples/notebook/makefile.wat, samples/oleauto/makefile.bcc,
	samples/oleauto/makefile.gcc, samples/oleauto/makefile.vc,
	samples/oleauto/makefile.wat, samples/opengl/cube/makefile.bcc,
	samples/opengl/cube/makefile.gcc, samples/opengl/cube/makefile.vc,
	samples/opengl/cube/makefile.wat,
	samples/opengl/isosurf/makefile.bcc,
	samples/opengl/isosurf/makefile.gcc,
	samples/opengl/isosurf/makefile.vc,
	samples/opengl/isosurf/makefile.wat,
	samples/opengl/penguin/makefile.bcc,
	samples/opengl/penguin/makefile.gcc,
	samples/opengl/penguin/makefile.vc,
	samples/opengl/penguin/makefile.wat, samples/ownerdrw/makefile.bcc,
	samples/ownerdrw/makefile.gcc, samples/ownerdrw/makefile.vc,
	samples/ownerdrw/makefile.wat, samples/png/makefile.bcc,
	samples/png/makefile.gcc, samples/png/makefile.vc,
	samples/png/makefile.wat, samples/printing/makefile.bcc,
	samples/printing/makefile.gcc, samples/printing/makefile.vc,
	samples/printing/makefile.wat, samples/propsize/makefile.bcc,
	samples/propsize/makefile.gcc, samples/propsize/makefile.vc,
	samples/propsize/makefile.wat, samples/regtest/makefile.bcc,
	samples/regtest/makefile.gcc, samples/regtest/makefile.vc,
	samples/regtest/makefile.wat, samples/render/makefile.bcc,
	samples/render/makefile.gcc, samples/render/makefile.vc,
	samples/render/makefile.wat, samples/richedit/makefile.bcc,
	samples/richedit/makefile.gcc, samples/richedit/makefile.vc,
	samples/richedit/makefile.wat, samples/rotate/makefile.bcc,
	samples/rotate/makefile.gcc, samples/rotate/makefile.vc,
	samples/rotate/makefile.wat, samples/sashtest/makefile.bcc,
	samples/sashtest/makefile.gcc, samples/sashtest/makefile.vc,
	samples/sashtest/makefile.wat, samples/scroll/makefile.bcc,
	samples/scroll/makefile.gcc, samples/scroll/makefile.vc,
	samples/scroll/makefile.wat:

	wxURI.	Move Convert/to/fromURI into uri.cpp so that it is compiled
	in base.  Regenerate Bakefiles.

2004-10-27 15:43  RN

	* samples/scrollsub/makefile.bcc, samples/scrollsub/makefile.gcc,
	samples/scrollsub/makefile.vc, samples/scrollsub/makefile.wat,
	samples/shaped/makefile.bcc, samples/shaped/makefile.gcc,
	samples/shaped/makefile.vc, samples/shaped/makefile.wat,
	samples/sockets/makefile.bcc, samples/sockets/makefile.gcc,
	samples/sockets/makefile.vc, samples/sockets/makefile.wat,
	samples/sound/makefile.bcc, samples/sound/makefile.gcc,
	samples/sound/makefile.vc, samples/sound/makefile.wat,
	samples/splash/makefile.bcc, samples/splash/makefile.gcc,
	samples/splash/makefile.vc, samples/splash/makefile.wat,
	samples/splitter/makefile.bcc, samples/splitter/makefile.gcc,
	samples/splitter/makefile.vc, samples/splitter/makefile.wat,
	samples/statbar/makefile.bcc, samples/statbar/makefile.gcc,
	samples/statbar/makefile.vc, samples/statbar/makefile.wat,
	samples/tab/makefile.bcc, samples/tab/makefile.gcc,
	samples/tab/makefile.vc, samples/tab/makefile.wat,
	samples/taskbar/makefile.bcc, samples/taskbar/makefile.gcc,
	samples/taskbar/makefile.vc, samples/taskbar/makefile.wat,
	samples/text/makefile.bcc, samples/text/makefile.gcc,
	samples/text/makefile.vc, samples/text/makefile.wat,
	samples/thread/makefile.bcc, samples/thread/makefile.gcc,
	samples/thread/makefile.vc, samples/thread/makefile.wat,
	samples/toolbar/makefile.bcc, samples/toolbar/makefile.gcc,
	samples/toolbar/makefile.vc, samples/toolbar/makefile.wat,
	samples/treectrl/makefile.bcc, samples/treectrl/makefile.gcc,
	samples/treectrl/makefile.vc, samples/treectrl/makefile.wat,
	samples/typetest/makefile.bcc, samples/typetest/makefile.gcc,
	samples/typetest/makefile.vc, samples/typetest/makefile.wat,
	samples/validate/makefile.bcc, samples/validate/makefile.gcc,
	samples/validate/makefile.vc, samples/validate/makefile.wat,
	samples/vscroll/makefile.bcc, samples/vscroll/makefile.gcc,
	samples/vscroll/makefile.vc, samples/vscroll/makefile.wat,
	samples/widgets/makefile.bcc, samples/widgets/makefile.gcc,
	samples/widgets/makefile.vc, samples/widgets/makefile.wat,
	samples/wizard/makefile.bcc, samples/wizard/makefile.gcc,
	samples/wizard/makefile.vc, samples/wizard/makefile.wat,
	samples/xrc/makefile.bcc, samples/xrc/makefile.gcc,
	samples/xrc/makefile.vc, samples/xrc/makefile.wat,
	src/wxWindows.dsp, src/common/uri.cpp, src/common/url.cpp,
	tests/Makefile.in, tests/makefile.bcc, tests/makefile.gcc,
	tests/makefile.vc, tests/makefile.wat, tests/test.bkl,
	tests/test.cpp, tests/test.dsp, tests/test.dsw,
	tests/uris/uris.cpp, utils/HelpGen/src/makefile.bcc,
	utils/HelpGen/src/makefile.gcc, utils/HelpGen/src/makefile.vc,
	utils/HelpGen/src/makefile.wat, utils/configtool/src/makefile.bcc,
	utils/configtool/src/makefile.gcc,
	utils/configtool/src/makefile.vc,
	utils/configtool/src/makefile.wat:

	wxURI.	Move Convert/to/fromURI into uri.cpp so that it is compiled
	in base.  Regenerate Bakefiles.

2004-10-27 15:46  RN

	* utils/emulator/src/makefile.bcc, utils/emulator/src/makefile.gcc,
	utils/emulator/src/makefile.vc, utils/emulator/src/makefile.wat,
	utils/helpview/src/makefile.bcc, utils/helpview/src/makefile.gcc,
	utils/helpview/src/makefile.vc, utils/helpview/src/makefile.wat,
	utils/hhp2cached/makefile.bcc, utils/hhp2cached/makefile.gcc,
	utils/hhp2cached/makefile.vc, utils/hhp2cached/makefile.wat,
	utils/tex2rtf/src/makefile.bcc, utils/tex2rtf/src/makefile.gcc,
	utils/tex2rtf/src/makefile.vc, utils/tex2rtf/src/makefile.wat,
	utils/wxrc/makefile.bcc, utils/wxrc/makefile.gcc,
	utils/wxrc/makefile.vc, utils/wxrc/makefile.wat:

	wxURI.	Move Convert/to/fromURI into uri.cpp so that it is compiled
	in base.  Regenerate Bakefiles.

2004-10-27 15:55  RR

	* include/wx/generic/dcpsg.h, src/common/cmndata.cpp,
	src/generic/dcpsg.cpp, src/generic/printps.cpp,
	src/generic/prntdlgg.cpp:


	  Removed Pango homemade implementation and
	    reinstated old code that uses /Times and
	    /Helv etc for printing PostScript.
	  Various smaller fixes related to printing.

2004-10-27 15:58  VZ

	* src/common/imagpng.cpp:

	use wx_png_error/warning when calling
	png_create_read/write_struct(), don't return from wx_png_error

2004-10-27 16:07  VZ

	* src/common/imagpng.cpp:

	we don't have to call png_set_error_fn() any more after last commit

2004-10-27 16:21  RN

	* docs/latex/wx/classes.tex, docs/latex/wx/uri.tex:

	update docs, add to class list

2004-10-27 16:30  RN

	* docs/latex/wx/uri.tex:

	final sweep over docs - replace & with \&

2004-10-27 16:59  RD

	* wxPython/wxversion/wxversion.py:

	Changed selectNewest to ensureMinimal.	If the default version is
	>= the minimum then use it, otherwise find an installed version
	that is
	>= minimum, or will display a message and bail out.

2004-10-27 17:43  RD

	* wxPython/demo/GridSimple.py:

	just a little tweak

2004-10-27 18:03  VZ

	* include/wx/uri.h, src/common/uri.cpp, docs/latex/wx/uri.tex:

	minor cleanup: don't use bool parameters, don't typedef the enums,
	don't abuse references

2004-10-27 18:05  VZ

	* docs/latex/wx/uri.tex:

	use \true/\false and \arg

2004-10-27 19:00  RL

	* wx-config.in:


	Applied patch 1055774 from Paul Cornett for platforms without a
	posix /bin/sh.	Among those reported as not yet expired are Solaris
	9, IRIX 6.5, and Tru64 5.1b.

2004-10-27 23:49  RN

	* include/wx/uri.h, include/wx/url.h, src/common/uri.cpp,
	src/common/url.cpp, docs/changes.txt, docs/latex/wx/uri.tex,
	docs/latex/wx/url.tex, tests/uris/uris.cpp:

	Inherit wxURL from wxURI, providing assignment, copy construction,
	comparison, and less duplication of code.  Change wxURI a bit to
	meet some of Vadim's reccommendations - move accessors into header,
	and finish some of his other reccom.  Change assignment to use
	const wxString& instead of const wxChar*.  Change wxURI docs to
	reflect that it inherits from wxObject.  Made preliminary docs for
	the wxURL transition.  Add some unit tests for the transition.

2004-10-28 01:18  VS

	* include/wx/event.h:

	wxKeyEvent::m_uniChar must be copied by operator= too

2004-10-28 02:57  RN

	* include/wx/uri.h, include/wx/url.h, docs/latex/wx/category.tex,
	docs/latex/wx/uri.tex, docs/latex/wx/url.tex, src/common/uri.cpp,
	src/common/url.cpp, tests/uris/uris.cpp:

	final wxURI API changes.  Changed Get to BuildURI to better reflect
	what its doing.  Added wxURI::Unescape to unescape characters in a
	url or uri.  Added wxURI::BuildUnescapedURI.  Changed the wxURL
	convertXXXuri methods to use uri methods instead, and depreciated
	these methods.

2004-10-28 03:00  RN

	* src/gtk/dataobj.cpp:

	Use proper wxURI unescape instead of old way

2004-10-28 03:54  VZ

	* src/common/stdpbase.cpp:

	temp compilation fix for wxMac

2004-10-28 04:19  VS

	* src/common/textcmn.cpp, src/gtk/window.cpp:

	fixed wxTextCtrl::EmulateKeyPress to work in Unicode build of
	wxGTK2

2004-10-28 04:20  VS

	* contrib/src/fl/controlbar.cpp:

	FL's floating windows render borders themselves, don't use small
	titlebars

2004-10-28 04:41  ABX

	* src/msw/combobox.cpp:

	Warning fix due to unsigned nature of wParam.

2004-10-28 04:43  ABX

	* src/common/imagpng.cpp, src/common/prntbase.cpp:

	Warning fixes.

2004-10-28 04:48  ABX

	* src/common/uri.cpp:

	Borland warning fix.

2004-10-28 07:20  ABX

	* docs/latex/wx/uri.tex:

	Lack of label causes 'topicN' anchors in url and reports warning
	during tex2rtf execution.

2004-10-28 07:22  ABX

	* docs/latex/wx/wxstring.tex:

	Single section for variants of the same function so it is less
	confusing for referencing from other parts.

2004-10-28 07:24  ABX

	* docs/latex/wx/inputstr.tex:

	Missed CanRead and correct type for Eof (bug #983978).

2004-10-28 09:47  VZ

	* src/msw/bmpbuttn.cpp, docs/changes.txt:

	fixed wxBU_EXACTFIT handling in wxBitmapButton (closes 1056234)

2004-10-28 13:31  RD

	* wxPython/demo/Main.py:

	Use the wx.App.SetMac* static methods instead of the global
	functions

2004-10-28 13:32  RD

	* wxPython/distrib/all/build-all:

	add skipupload flag

2004-10-28 13:34  RD

	* wxPython/wxversion/wxversion.py:

	I think that going to the home page woudl be more user friendly
	than to the SF download page, but make it a module attr so the app
	can change it if it's really needed.

2004-10-28 15:22  RN

	* docs/latex/wx/uri.tex, docs/latex/wx/url.tex, include/wx/uri.h,
	include/wx/url.h, src/common/uri.cpp, src/common/url.cpp:

	wxURL - doc cleanups, depreciated more methods, more source
	comments.  wxURI - enclosed literal characters with wxT, more
	source comments, doc cleanups, changed StartsWith(x) to [ou] == x

2004-10-28 15:43  VZ

	* src/msw/bmpbuttn.cpp, docs/changes.txt,
	docs/latex/wx/bbutton.tex:

	undid last change to wxBitmapButton::GetBestSize(), in fact it
	doesn't make sense to support wxBU_EXACTFIT for it at all, so just
	removed the code doing it and mentioned it in the docs

2004-10-28 16:01  RN

	* src/common/string.cpp:

	increase worst case to *4 for UTF8, switch a memcpy for wxMemcpy

2004-10-28 16:05  RN

	* src/common/strconv.cpp:

	increase worst case for UTF8 to *4

2004-10-28 22:52  RN

	* include/wx/string.h:

	add some asserts for wxStringBufferLength

2004-10-29 00:16  RN

	* src/mac/carbon/app.mm:

	Remove erronues file

2004-10-29 01:55  RN

	* src/common/string.cpp:

	Handle invalid conversion slightly better, ecapsulate literal chars
	with wxT

2004-10-29 02:29  VS

	* tests/strings/strings.cpp:

	check if conversion to UTF7 works

2004-10-29 03:13  RN

	* src/common/string.cpp, tests/strings/strings.cpp:

	Handle bad conversions correctly. Add Bad UTF8 test.

2004-10-29 04:13  RN

	* tests/strings/strings.cpp, src/common/strconv.cpp:

	have wxbuiltin wxmbconvutf7 return -1 (error) not 0.  Some cleanups
	in string.cpp.	Add some unit tests for utf7 and cleanups.

2004-10-29 08:24  JS

	* utils/tex2rtf/src/rtfutils.cpp:

	Use Courier New instead of Courier, to avoid bad characters
	appearing in PDF.

2004-10-29 09:50  RD

	* wxPython/demo/Sound.py:

	Save a reference to the async sound object

2004-10-29 10:12  RD

	* wxPython/distrib/mac/uninstall_wxPython.py:

	Don't just assume that the metadata files will be found

2004-10-29 10:14  RD

	* wxPython/distrib/all/build-all:

	Use $ on variables!!!

2004-10-29 10:15  RD

	* wxPython/config.py:

	Set "rc1" in version

2004-10-29 11:12  RD

	* wxPython/docs/CHANGES.html:

	version number

2004-10-29 11:29  DE

	* include/wx/mac/carbon/private.h, src/mac/carbon/utils.cpp,
	include/wx/mac/corefoundation/cfstring.h,
	src/mac/corefoundation/cfstring.cpp:

	Moved wxCFStringHolder and some other string functions to their own
	files.

2004-10-29 11:37  DE

	* Makefile.in, build/bakefiles/files.bkl:

	Build the new cfstring stuff for both wxMac (as part of Mac's base)
	and wxCocoa.

2004-10-29 13:19  RN

	* src/common/ftp.cpp, src/common/sckfile.cpp:

	somewhat modded [ 1056879 ] use wxURI::Unescape vs
	wxURL::ConvertFromURI

2004-10-29 13:22  DE

	* src/wxWindowsM8.xml:

	Build src/mac/corefoundation/cfstring.cpp and src/common/uri.cpp

2004-10-29 14:06  RN

	* src/common/string.cpp, src/common/strconv.cpp,
	include/wx/string.h:

	Add wxString::WorstEncodingCase, other various cleanups

2004-10-29 14:37  DE

	* Makefile.in, include/wx/stdpaths.h, build/bakefiles/files.bkl,
	src/common/stdpbase.cpp, include/wx/mac/corefoundation/stdpaths.h,
	src/mac/corefoundation/stdpaths_cf.cpp:

	Added wxStandardPaths for wxMac and wxCocoa.

2004-10-29 15:10  RN

	* src/common/strconv.cpp, tests/strings/strings.cpp:

	[ 1054664 ] Implementation of wxMBConvUTF7 (Heavily modified in
	places), utf7 unit tests change

2004-10-29 18:54  KH

	* docs/latex/wx/cmdevent.tex:

	Better alphabetized the event handler macros

2004-10-29 19:40  RN

	* docs/changes.txt:

	mark incompat and depreciated changes for wxURL, add UTF7 mention

2004-10-29 22:33  DE

	* include/wx/string.h, src/common/string.cpp:

	Make wxString::WorstEncodingCase take a const wxMBConv&

2004-10-29 22:41  DE

	* src/cocoa/cursor.mm, src/cocoa/dc.mm, src/cocoa/mdi.mm,
	src/xrc/xh_bmpbt.cpp:

	CodeWarrior dislikes #include <> syntax for in-tree headers, prefer
	""

2004-10-29 22:53  DE

	* src/cocoa/filedlg.mm, src/cocoa/window.mm:

	Fixed compilation with precompiled headers.  Removed include
	<objc/objc-runtime.h> from window.mm, it's not needed anymore.

2004-10-29 23:14  DE

	* src/common/variant.cpp, src/common/wxchar.cpp:

	Declare namespace std {} before using namespace std; for MetroWerks

2004-10-29 23:23  DE

	* src/cocoa/button.mm:

	CodeWarrior (8.3 mwcc) can't figure out that it needs to do C++
	automatic conversion from wxObjcAutoRefFromAlloc<NSButton*> to
	NSButton* when it is used as the receiver of a message.  Help it
	along with a static_cast.

2004-10-29 23:31  DE

	* src/cocoa/notebook.mm:

	CodeWarrior (8.3 mwcc) thinks that it cannot compare id (a struct
	objc_object*) with NSView* for equality.  This is of course
	completely against the Objective-C language specification but we'll
	fix it anyway.

2004-10-30 00:41  DE

	* include/wx/stdpaths.h:

	wxMac uses wxStandardPathsCF to mean wxStandardPaths in its wxBase

2004-10-30 13:04  VS

	* src/generic/dirdlgg.cpp:

	usability improvement: set focus to text control so that the user
	can directly type directory name instead of using both mouse and
	keyboard

2004-10-30 13:16  RN

	* include/wx/strconv.h, include/wx/string.h,
	src/common/strconv.cpp, src/common/string.cpp:

	solution to wxMBConv stuff - make a seperate XX2XX for strings of a
	specified length, use this in wxString instead of previous
	worst-case method

2004-10-30 13:22  RN

	* docs/changes.txt, include/wx/url.h, src/common/uri.cpp:

	restore ConvertToValidURI to prev. version for bw compat.  Note
	changes

2004-10-30 14:30  RD

	* wxPython/demo/LayoutAnchors.py, wxPython/demo/GridBagSizer.py:

	Use wx.FULL_PAINT_ON_RESIZE

2004-10-30 14:33  RD

	* wxPython/demo/data/testtable.txt:

	Remove non-ascii characters

2004-10-30 14:35  RD

	* wxPython/wx/lib/analogclock.py:

	Ensure the first EVT_SIZE has happened before the first EVT_PAINT

2004-10-30 14:36  RD

	* wxPython/distrib/make_installer.py:

	fixed typo causing a syntax error

2004-10-30 14:39  RD

	* wxPython/distrib/all/build-osx:

	tweak the path so ccache is found first on both build machines

2004-10-30 14:39  RD

	* wxPython/docs/MigrationGuide.txt:

	PNG Alpha is working on wxGTK2 now too.

2004-10-30 21:40  RN

	* tests/test.bkl, tests/datetime/datetimetest.cpp,
	tests/datetime/datetime.cpp, tests/fileconf/fileconftest.cpp,
	tests/fileconf/fileconf.cpp, tests/filename/filename.cpp,
	tests/filename/filenametest.cpp, tests/filesys/filesys.cpp,
	tests/filesys/filesystest.cpp, tests/fontmap/fontmaptest.cpp,
	tests/fontmap/fontmap.cpp,
	tests/formatconverter/formatconvertertest.cpp,
	tests/formatconverter/formatconverter.cpp,
	tests/longlong/longlongtest.cpp, tests/longlong/longlong.cpp,
	tests/mbconv/mbconvtest.cpp, tests/mbconv/main.cpp,
	tests/regex/regextest.cpp, tests/regex/regex.cpp,
	tests/regex/wxregex.cpp, tests/regex/wxregextest.cpp:

	Rename some tests to avoid conflicts with project builder GUI
	debugger

2004-10-30 22:01  RL

	* wx-config.in:


	Patch from Paul Cornett, clean up side effects in obtaining legacy
	config and remove unneccessary line continuations et al.

2004-10-30 23:13  RN

	* src/common/string.cpp:

	fix const error on sane (not msvc) compilers

2004-10-30 23:23  RN

	* src/common/strconv.cpp:

	note broken code, cast hack to fix warning on pickier compilers

2004-10-31 01:30  VS

	* docs/tech/tn0003.txt, utils/tex2rtf/src/rtfutils.cpp,
	utils/tex2rtf/src/tex2any.cpp, utils/tex2rtf/src/tex2any.h,
	utils/tex2rtf/src/tex2rtf.cpp, utils/tex2rtf/src/tex2rtf.h:

	fixed spelling of -checkcurleybraces (patch #1054304)

2004-10-31 01:36  VS

	* utils/tex2rtf/src/tex2any.cpp:

	compilation fixes for gcc-3.4 + Unicode

2004-10-31 03:37  VS

	* src/xrc/xh_dlg.cpp, src/xrc/xh_frame.cpp, docs/tech/tn0014.txt:

	added 'icon' property to wxFrame and wxDialog in XRC

2004-10-31 03:39  VS

	* docs/tech/tn0014.txt:

	the position attribute is called 'pos', not 'position'

2004-10-31 03:42  VS

	* utils/wxrc/wxrc.cpp:

	added 'icon' property to wxFrame and wxDialog in XRC

2004-10-31 05:50  RR

	* src/gtk/gnome/gprint.cpp:


	  Copyright notice.

2004-10-31 06:59  RR

	* src/common/cmndata.cpp, include/wx/cmndata.h:


	 Small change to ease Mac transition to common
	   native data printing code later.

2004-10-31 08:33  RR

	* src/common/cmndata.cpp, src/msw/printdlg.cpp,
	include/wx/cmndata.h, include/wx/msw/printdlg.h:



	  Moved print dialog data conversion code
	    from cmndata to its msw place.

2004-10-31 10:15  SN

	* include/wx/uri.h:

	Fixed "pragma interface" handling.

2004-10-31 10:26  RN

	* src/common/uri.cpp:

	because gcc is dumb and can't tell the difference between a
	std::string and a wxString

2004-10-31 11:33  SN

	* src/os2/dllar.sh, src/os2/dllnames.sh:

	Newest version of script(s) for creating DLLs - now divided in two,
		main script takes additional argument for script generating
	DLL name,	  new script generates DLL names from (too long)
	library names.

2004-10-31 11:34  SN

	* src/os2/dllar.sh:

	Removed debug output.

2004-10-31 13:46  DE

	* src/mac/corefoundation/stdpaths_cf.cpp:

	Do not use framework includes in CFM builds.

2004-10-31 15:43  RR

	* samples/printing/printing.cpp, samples/printing/printing.h,
	src/common/cmndata.cpp, src/common/docview.cpp,
	include/wx/cmndata.h, include/wx/docview.h, src/msw/printdlg.cpp,
	src/msw/printwin.cpp, src/html/htmprint.cpp,
	include/wx/html/htmprint.h:


	  Moved the wxPageSetupDialogData <-> native conversion
	    code for MSW to the appropriate file in src/msw/printdlg.cpp
	  Removed the now obsolete printer setup dialog code.

2004-10-31 15:45  DE

	* build/bakefiles/tiff.bkl:

	Added src/tiff/tif_apple.c when PLATFORM_MAC==1

2004-10-31 15:53  DE

	* src/mac/carbon/dcclient.cpp:

	#include "wx/settings.h"  wxSystemSettings is needed by non-OSX
	code.  Typically precompiled headers are used so this hadn't been
	noticed before.

2004-10-31 16:01  DE

	* src/mac/carbon/pnghand.cpp:

	Work around the fact that Metrowerks (CW 8.3) and Apple (10.2.8
	sdk) headers try to detect each other and change their behavior but
	just wind up screwing everything up.

2004-10-31 16:38  DE

	* src/mac/carbon/dc.cpp:

	Declare namespace std {} before using namespace std; for MetroWerks

2004-10-31 20:57  DE

	* build/bakefiles/common.bkl:

	HACK: Add PLATFORM_MACOS as an option

2004-10-31 21:02  DE

	* build/bakefiles/tiff.bkl:

	Use PLATFORM_MACOS.  PLATFORM_MAC is defined for OS X (no good).

2004-10-31 21:10  DE

	* build/bakefiles/files.bkl:

	wxMac: Rearrange a few things and add support for CarbonLib build.

2004-10-31 21:57  SC

	* include/wx/features.h, include/wx/platform.h,
	include/wx/taskbar.h:

	switching to defines not having a value for __WXMAC__

2004-10-31 22:00  DE

	* Makefile.in, autoconf_inc.m4, configure:

	Rebake after MacOS CarbonLib additions

2004-11-01 04:09  RR

	* src/generic/listctrl.cpp:


	  wxListCtrl::InsertItem() ignored the column.

2004-11-01 07:24  RR

	* include/wx/generic/prntdlgg.h, src/generic/prntdlgg.cpp:


	  Added possibility to select a printer reported
	    by CUPS as a target. Some other corrections.

2004-11-01 07:55  JS

	* include/wx/msw/printdlg.h:

	Added missing functions and variable

2004-11-01 07:58  JS

	* src/common/valgen.cpp:

	Fixed bug in setting/getting value for wxComboBox. Read-only status
	is taken into account.

2004-11-01 09:55  RD

	* contrib/src/gizmos/splittree.cpp:

	Avoid the IsVisible assert in GetNextVisible

2004-11-01 10:03  RN

	* src/cocoa/taskbar.mm:

	warning fix for 10.2

2004-11-01 10:03  RN

	* src/common/strconv.cpp:

	rewrite core foundation conversion to be efficient, double-pass mac
	WC2MB to verify that there were no invalid characters converted,
	set amount of memory to allocate to 32 for mac conversion to
	prevent needless large buffer allocations

2004-11-01 10:40  RR

	* configure.in, setup.h.in, include/wx/gtk/gnome/gprint.h,
	src/gtk/gnome/gprint.cpp:


	  Added --with-gnomeprint and its wxUSE_LIBGNOMEPRINT
	  Removed the now obsolete test for FT2 (FreeType)
	    which was used by the Pango based printing which
	    I removed.

2004-11-01 11:02  RR

	* configure.in:


	  define EXTRALIBS_GNOMEPRINT

2004-11-01 11:39  RD

	* wxPython/demo/SplitTree.py, wxPython/demo/Throbber.py,
	wxPython/demo/ToggleButton.py, wxPython/demo/XMLtreeview.py,
	wxPython/demo/ActiveX_FlashWindow.py,
	wxPython/demo/ActiveX_IEHtmlWindow.py,
	wxPython/demo/ActiveX_PDFWindow.py,
	wxPython/demo/DynamicSashWindow.py, wxPython/demo/FloatBar.py,
	wxPython/demo/GLCanvas.py, wxPython/demo/Joystick.py,
	wxPython/demo/Main.py, wxPython/demo/PopupControl.py,
	wxPython/demo/PopupWindow.py:

	Use a MessagePanel instead of a MessageDialog for samples that may
	not be runnable in certain conditions

2004-11-01 11:48  RD

	* wxPython/config.py:

	Increment RC number

2004-11-01 13:03  VS

	* docs/latex/wx/listctrl.tex:

	OnGetItemText is const

2004-11-01 15:05  RR

	* src/gtk/gnome/gprint.cpp, include/wx/gtk/gnome/gprint.h:


	  Further compile fixes.
	  Added module so that linking to GNOME printing
	    code will install its wxPrintFactory.

2004-11-01 15:06  RR

	* build/bakefiles/config.bkl, build/bakefiles/files.bkl,
	build/bakefiles/plugins_deps.bkl:


	  Added gprint.cpp to bakefiles.

2004-11-01 15:07  RR

	* samples/printing/Makefile.in, samples/printing/printing.bkl,
	samples/printing/printing.cpp:


	  Adapted printing samples makefiles.

2004-11-01 22:22  DE

	* include/wx_cwcocoa.pch, include/wx_cwcocoa.pch++,
	include/wx_cwcocoa.pchmm, include/wx_cwcocoa_d.pch,
	include/wx_cwcocoa_d.pch++, include/wx_cwcocoa_d.pchmm,
	include/wx/wx_cwcocoa.h, include/wx/wx_cwcocoa_cm.h,
	include/wx/wx_cwcocoa_d.h:

	Metrowerks CodeWarrior IDE prefix and precompiled header files for
	wxCocoa

2004-11-01 23:12  JJ

	* descrip.mms, src/common/db.cpp, src/common/stream.cpp,
	src/xml/descrip.mms, src/xrc/descrip.mms:

	 Committing in .

	 Patches to compile on OpenVMS

	 Modified Files:
		wxWidgets/descrip.mms wxWidgets/src/common/db.cpp
		wxWidgets/src/common/stream.cpp
	 Added Files:
		wxWidgets/src/xml/descrip.mms wxWidgets/src/xrc/descrip.mms

	----------------------------------------------------------------------

2004-11-02 00:31  JJ

	* src/common/descrip.mms, src/common/strconv.cpp:

	 Committing in .

	 Patches for OpenVMS

	 Modified Files:
		wxWidgets/src/common/descrip.mms
		wxWidgets/src/common/strconv.cpp
	----------------------------------------------------------------------

2004-11-02 00:35  SC

	* src/wxWindows.xcode/project.pbxproj:

	added corefoundation and base classes

2004-11-02 01:03  SC

	* src/common/strconv.cpp:

	correcting allocated buffer size

2004-11-02 01:36  SC

	* src/common/strconv.cpp:

	wxMax instead of max, former is always around

2004-11-02 06:32  RR

	* src/gtk/gnome/gprint.cpp:


	  Some more printing code to clear most of
	   the printing sample.

2004-11-02 11:47  RR

	* src/gtk/minifram.cpp:


	  Applied patch to show title bar changes
	    immidiately in wxMiniFrame

2004-11-02 13:21  RR

	* src/gtk/gnome/gprint.cpp, src/gtk/dcclient.cpp:


	  Corrected typo in font scaling code.
	  More printing code for GNOME.

2004-11-03 09:27  RD

	* wxPython/config.py:

	bump RC number

2004-11-03 09:28  RD

	* wxPython/docs/MigrationGuide.html,
	wxPython/docs/MigrationGuide.txt:

	fix typos

2004-11-03 12:47  RR

	* include/wx/gtk/minifram.h:


	 Forgot to commit header.

2004-11-03 13:13  RR

	* src/gtk/bitmap.cpp, src/gtk/colour.cpp, src/gtk/evtloop.cpp,
	src/gtk/fontdlg.cpp, src/gtk/frame.cpp, src/gtk/menu.cpp,
	src/gtk/msgdlg.cpp, src/gtk/region.cpp, src/gtk/renderer.cpp,
	src/gtk/scrolwin.cpp, src/gtk/taskbar.cpp, src/gtk/threadno.cpp,
	src/gtk/threadsgi.cpp, src/gtk/tooltip.cpp, src/gtk/toplevel.cpp,
	src/gtk/gnome/gprint.cpp:


	  Applied patch to reorder includes. Not the most
	   important patch in the world, but still.

2004-11-03 13:47  RR

	* src/gtk/gnome/gprint.cpp:


	  Added printing images.

2004-11-03 15:01  VS

	* src/generic/dirctrlg.cpp, include/wx/msw/treectrl.h,
	include/wx/generic/dirctrlg.h, include/wx/generic/treectlg.h:

	made it possible to customize wxGenericDirCtrl, such as using
	checked wxTreeCtrl (patch #1019699)

2004-11-03 18:58  RN

	* include/wx/uri.h:

	dll dec

2004-11-04 05:57  JJ

	* setup.h_vms:

	 Committing in .

	 Update OpenVMS configurations

	 Modified Files:
		wxWidgets/setup.h_vms

	----------------------------------------------------------------------

2004-11-04 09:47  RN

	* src/common/string.cpp:

	wxdocmpnocase fixup

2004-11-04 09:51  RN

	* src/common/uri.cpp:

	wxstringbufferlen stl fixup

2004-11-04 09:53  VS

	* src/xrc/xh_notbk.cpp:

	don't add empty image to tabs

2004-11-04 09:57  ABX

	* build/bakefiles/plugins_deps.bkl:

	Fix to broken windows makefiles with ADV lib usage. New line broke
	linking while all in single line works fine.

2004-11-04 10:31  ABX

	* build/bakefiles/common.bkl:

	Do not mention MacOS usage in makefiles dedicated to MSW.

2004-11-04 10:45  ABX

	* src/msw/printwin.cpp:

	'Unused ...' warning fix.

2004-11-04 10:58  ABX

	* src/common/uri.cpp:

	Warning fix.

2004-11-04 10:59  RN

	* src/mac/carbon/textctrl.cpp:

	remove hack since it doubly-draws focus rects

2004-11-04 11:04  ABX

	* utils/tex2rtf/src/htmlutil.cpp:

	Line at the end to please warning generator aka GCC ;)

2004-11-04 11:07  RN

	* include/wx/uri.h, src/common/uri.cpp:

	slightly nicer workaround for pickier compiler warning

2004-11-04 11:13  VS

	* include/wx/gtk/app.h:

	m_wakeUpTimerTag is not used anywhere, removed

2004-11-04 11:13  ABX

	* src/msw/dcprint.cpp:

	Make temporary MSWUniv buildable and mark problem for the future
	(or for now if the print changes are supposed to be complete).

2004-11-04 11:45  DE

	* Makefile.in, build/bakefiles/files.bkl, src/cocoa/utilsexc.mm,
	src/mac/carbon/utilsexc.cpp,
	src/mac/corefoundation/utilsexc_cf.cpp:

	Moved duplicated wxMac/wxCocoa code into
	src/mac/corefoundation/utilsexc_cf.cpp

2004-11-04 11:58  DE

	* src/mac/corefoundation/utilsexc_cf.cpp:

	Tabs to spaces

2004-11-04 12:03  VS

	* include/wx/gtk/app.h, src/gtk/app.cpp, src/gtk/evtloop.cpp:

	(hopefully) fixed race condition in installing idle handler
	(calling wxPostEvent from non-main thread)

2004-11-04 12:09  ABX

	* src/common/filesys.cpp:

	Compare and assign wxChars to wxChar instead char local variable.

2004-11-04 12:12  ABX

	* src/msw/mimetype.cpp:

	IsEmpty to empty change, warning fix to OW, whitespaces cleaning.

2004-11-04 12:22  ABX

	* src/common/string.cpp:

	Make internal type for ToAscii conversion written once but do not
	forget all necessary type casts (aka warning fix).

2004-11-04 13:31  GT

	* src/common/db.cpp, src/common/dbtable.cpp, include/wx/db.h:

	Unicode support Several error conditions when connecting to
	databases are corrected

2004-11-04 13:35  GT

	* samples/db/dbtest.cpp, samples/db/dbtest.h,
	samples/db/listdb.cpp, samples/db/listdb.h:

	Unicode support added SQL_C_WXCHAR now used throughout the code
	BLOB example added to samples\db

2004-11-04 13:36  GT

	* demos/dbbrowse/browsedb.cpp, demos/dbbrowse/doc.cpp:

	Unicode support added SQL_C_WXCHAR now used throughout the code

2004-11-04 13:38  GT

	* docs/changes.txt:

	wxODBC changes logged

2004-11-04 13:54  RD

	* wxPython/demo/Main.py:

	Set some minsizes

2004-11-04 13:54  ABX

	* tests/test.bkl:

	URL test needs net lib.

2004-11-04 13:55  RD

	* wxPython/distrib/mac/wxPythonOSX/build:

	Use relative paths for inplace builds, it helps ccache

2004-11-04 13:56  RD

	* wxPython/distrib/all/build-linux:

	rpmbuild may not exist

2004-11-04 13:56  ABX

	* tests/uris/uris.cpp:

	URL conditional and consistent intendation.

2004-11-04 15:57  VS

	* src/gtk/toplevel.cpp:

	compilation fix for GTK+ 2.0

2004-11-04 16:48  RD

	* wxPython/distrib/all/build-all, wxPython/distrib/all/dryrun:

	Some support for parallelizing builds

2004-11-05 00:04  JJ

	* setup.h_vms:

	 Committing in .

	 Another update of the configurations for OpenVMS

	 Modified Files:
		wxWidgets/setup.h_vms

	----------------------------------------------------------------------

2004-11-05 00:50  RN

	* src/common/url.cpp:

	fix for [ 1060093 ] wxURI && wxStringBufferLength part 2 - query
	and fragment not appended to URL in getinputstream

2004-11-05 04:46  SC

	* include/wx/mac/carbon/listbox.h, include/wx/mac/carbon/private.h:

	Listbox fixes

2004-11-05 04:50  SC

	* src/mac/carbon/listbox.cpp:

	Listbox fixes

2004-11-05 06:30  GT

	* demos/dbbrowse/browsedb.cpp, demos/dbbrowse/dbtree.cpp:

	Updates to reflect changes in db.cpp member variables

2004-11-05 07:46  VS

	* src/zlib/FAQ, src/zlib/crc32.c, src/zlib/INDEX, src/zlib/README,
	src/zlib/zconf.h, src/zlib/zutil.h, src/zlib/gzio.c,
	src/zlib/trees.c, src/zlib/deflate.c, src/zlib/deflate.h,
	src/zlib/inftrees.c, src/zlib/zlib.3, src/zlib/zlib.h,
	src/zlib/infback.c, src/zlib/inffast.c, src/zlib/ChangeLog,
	src/zlib/inflate.c:

	import of zlib 1.2.2

2004-11-05 07:55  VS

	* src/zlib/ChangeLog, src/zlib/crc32.c, src/zlib/deflate.c,
	src/zlib/deflate.h, src/zlib/gzio.c, src/zlib/infback.c,
	src/zlib/inffast.c, src/zlib/inflate.c, src/zlib/inftrees.c,
	src/zlib/trees.c, src/zlib/zconf.h, src/zlib/zlib.3,
	src/zlib/zlib.h, src/zlib/zutil.h:

	upgraded to zlib 1.2.2 (replaces patch with CAN-2004-0797
	vulnerability fix with official upstream fix)

2004-11-05 08:06  RN

	* src/common/string.cpp:

	rest of 1061091, clean up define a bit

2004-11-05 08:33  RN

	* src/common/strconv.cpp, src/common/string.cpp:

	cast fix, workaround for pickeir compilers

2004-11-05 09:41  RN

	* src/mac/carbon/textctrl.cpp:

	switch needsfocusrect to hiveiw version

2004-11-05 10:30  RD

	* wxPython/wx/tools/XRCed/panel.py:

	Only do this Show on wxGTK as it is needed there but can cause
	display problems on MSW.

2004-11-05 10:38  RD

	* wxPython/wx/lib/plot.py, wxPython/docs/CHANGES.txt:

	PyPlot updates from Oliver Schoenborn:	   - Factored out "draw
	command" so extensions easier to implement: clean	separation
	b/w user's "draw" (Draw) and internal "draw" (_draw)	 - Added
	ability to define your own ticks at PlotCanvas.Draw	- Added
	better bar charts: PolyBar class and getBarTicksGen()	  - Put
	legend writing for a Poly* into Poly* class where it belongs	 -
	If no legend specified or exists, no gap created

2004-11-05 10:38  RD

	* wxPython/wxPython/__init__.py:

	Fixed typo

2004-11-05 11:07  SC

	* src/mac/carbon/listbox.cpp:

	Faster Deselect

2004-11-05 11:42  ABX

	* src/common/url.cpp:

	NULL is not bool.

2004-11-05 11:54  ABX

	* docs/latex/wx/rect.tex, include/wx/gdicmn.h,
	src/common/gdicmn.cpp, src/univ/themes/gtk.cpp:

	Simplify wxRect construction at the wxPoint(0,0) with given size.

2004-11-05 12:45  ABX

	* src/common/variant.cpp:

	We need a char, not wxChar.

2004-11-05 12:49  ABX

	* src/common/uri.cpp:

	Still needs a typecasting to please warning about loosing bits.

2004-11-05 12:53  ABX

	* src/msw/dialup.cpp:

	OW warning fix.

2004-11-05 13:03  ABX

	* src/univ/ctrlrend.cpp, src/univ/listbox.cpp, src/univ/menu.cpp,
	src/univ/notebook.cpp, src/univ/slider.cpp, src/univ/toolbar.cpp,
	src/univ/themes/metal.cpp:

	Warning fixes to unused variables, int/wxChar keycode and other
	typecasting, not mixing 'type*' and 'type' variables in single
	line, IsEmpty to empty replacement etc.

2004-11-05 13:04  ABX

	* src/univ/textctrl.cpp:

	Simplify wxRect construction at the wxPoint(0,0) with given size.

2004-11-05 13:07  ABX

	* src/msw/window.cpp:

	Warning fixes to unused variables, int/wxChar keycode and other
	typecasting, not mixing 'type*' and 'type' variables in single
	line, IsEmpty to empty replacement etc.

2004-11-05 13:10  VS

	* src/common/utilscmn.cpp:

	make sure that wxNewId() doesn't return standard ID's value

2004-11-05 13:11  ABX

	* src/generic/accel.cpp, src/generic/dcpsg.cpp,
	src/generic/grid.cpp, src/generic/logg.cpp:

	Warning fixes to unused variables, int/wxChar keycode and other
	typecasting, not mixing 'type*' and 'type' variables in single
	line, IsEmpty to empty replacement etc.

2004-11-05 13:12  VS

	* src/xrc/xmlres.cpp:

	use wxNewId() to implement XRCID

2004-11-05 13:15  ABX

	* src/common/menucmn.cpp, src/common/valtext.cpp,
	samples/treectrl/treetest.cpp:

	Warning fixes to unused variables, int/wxChar keycode and other
	typecasting, not mixing 'type*' and 'type' variables in single
	line, IsEmpty to empty replacement etc.

2004-11-05 13:17  VS

	* contrib/src/gizmos/editlbox.cpp:

	use wxNewId in wxEditableListBox to avoid conflicts with XRC

2004-11-05 13:33  RR

	* src/common/cmndata.cpp, src/common/appcmn.cpp:


	  Mem leaks in connection with print factory code.

2004-11-05 14:25  RR

	* src/generic/printps.cpp, src/mac/carbon/printmac.cpp,
	src/mac/classic/printmac.cpp:


	  I admit I have no good solution for wxPrinter::Setup(wxWindow*)
	    yet. I'd just remove it but I'll think it over if there is
	    or was any use for it.

2004-11-05 18:18  KH

	* include/wx/generic/textdlgg.h:

	Add ability to position and/or center the dialog for
	wxGetPasswordFromUser like you can for wxGetTextFrom User

2004-11-05 18:19  KH

	* src/generic/textdlgg.cpp:

	Simplified the wxCENTRE style check

2004-11-05 18:21  KH

	* src/common/utilscmn.cpp:

	Add ability to position and/or center the dialog for
	wxGetPasswordFromUser like you can for wxGetTextFrom User

2004-11-05 18:24  KH

	* docs/latex/wx/function.tex:

	Add ability to position and/or center the dialog for
	wxGetPasswordFromUser like you can for wxGetTextFrom User
	(documentation)

2004-11-05 18:32  RN

	* src/common/uri.cpp:

	in unescape add normal characters in addition to unescaped
	characters :)

2004-11-05 19:45  RD

	* wxPython/distrib/mac/wxPythonOSX/build:

	don't use --jobs

2004-11-05 19:45  RD

	* wxPython/distrib/all/build-all:

	syntax fixes

2004-11-05 22:19  SC

	* src/mac/carbon/utils.cpp:

	selection handling for data browser

2004-11-05 22:26  DE

	* build/bakefiles/files.bkl, Makefile.in:

	Use gsockosx.cpp from new corefoundation directory.

2004-11-05 22:41  RN

	* src/msw/window.cpp:

	rewrite wxGetKeyState a bit, spun from [ 1058347 ] Fixes
	wxGetKeyState

2004-11-05 22:42  RN

	* src/msw/printwin.cpp:

	fix warning

2004-11-05 22:57  RN

	* src/common/matrix.cpp:

	fixup // comment header

2004-11-05 23:09  RN

	* src/common/menucmn.cpp, src/common/valtext.cpp,
	src/generic/grid.cpp, samples/treectrl/treetest.cpp:

	Revert files to previous version that were affected by
	wxIsXXX((wxChar)X) change.  Note - passing a negative value to
	those c lib functions is undefined, and could return true on
	platforms using a lookup table, for example (might crash also?),
	which is what will happen when casting to char to ansii mode and a
	char is above 127

2004-11-06 00:23  RN

	* src/common/strconv.cpp, src/common/string.cpp,
	include/wx/strconv.h:

	final cleanup of string conversion with null characters (hopefully
	:))

2004-11-06 12:32  RN

	* src/common/db.cpp, include/wx/db.h:

	[ 955006 ] wxDb query with column information (modded to overload
	instead of creating a new function)

2004-11-06 12:39  RN

	* src/common/db.cpp:

	fixup

2004-11-06 14:13  SN

	* src/os2/app.cpp, src/os2/stdpaths.cpp, include/wx/os2/stdpaths.h,
	include/wx/stdpaths.h, build/bakefiles/files.bkl:

	Added wxStandardPaths implementation for OS/2.

2004-11-06 15:14  RN

	* include/wx/defs.h:

	fix for [ 1042972 ] Keycodes above WXK_START conflict with unicode
	characters

2004-11-06 15:49  RN

	* src/msw/listctrl.cpp, samples/listctrl/listtest.cpp:

	fix for [ 1044879 ] wxMSW 2.5.3: memleaks in listctrl.cpp and bug
	in listctrl sample

2004-11-06 16:09  RN

	* src/msw/choice.cpp:

	fix for [ 950550 ] wxChoice - wxEmptyString (wxChoice::FindString
	doesn't work with empty strings) - confirmed on win2k

2004-11-06 16:48  RN

	* include/wx/display.h, include/wx/msw/display.h,
	src/msw/display.cpp:

	fix for [ 1020924 ] wx.Display.IsPrimary is wrong

2004-11-06 17:03  RN

	* src/mac/carbon/gauge.cpp, src/mac/carbon/window.cpp:

	[ 1057587 ] MacOSX build fails with --disable-gauge or
	--disable-spinbtn

2004-11-06 17:11  RN

	* docs/latex/wx/filedlg.tex:

	change spun via [ 1050204 ] wxFileDialog wildcard filters

2004-11-06 21:38  KH

	* src/generic/fontdlgg.cpp:

	Added checking of EnableEffects flag and not allowing changes to
	color or underlining if it is not set, consistent with MSW (GTK2
	native control doesn't offer underlining or color, so flag is
	essentially always disabled on GTK2)

2004-11-06 21:38  KH

	* docs/latex/wx/fontdlg.tex:

	EnableEffects added for generic font dialog

2004-11-07 00:27  RN

	* include/wx/moviectrl.h, include/wx/msw/moviectrl.h,
	include/wx/mac/carbon/moviectrl.h, src/msw/moviectrl.cpp,
	src/mac/carbon/moviectrl.cpp:

	wxMovieCtrl - for playing movies - mac carbon QT 3 MSW-compatable
	implementation and MSW DirectX7 directshow implementation

2004-11-07 01:04  RN

	* src/msw/moviectrl.cpp:

	fixup

2004-11-07 02:11  RR

	* src/common/cmndata.cpp, src/common/prntbase.cpp,
	include/wx/cmndata.h:


	 Moved deletion of wxPrintFacory to module.
	 Added wxWidgets 2.4 backward comp methods
	   to wxPrintData which make use of the
	   PostScript native print data if used.

2004-11-07 02:20  RR

	* src/common/appcmn.cpp, src/generic/prntdlgg.cpp:


	  Forgot to commit these.

2004-11-07 02:55  RN

	* include/wx/msw/moviectrl.h, include/wx/mac/carbon/moviectrl.h,
	src/msw/moviectrl.cpp, src/mac/carbon/moviectrl.cpp:

	add Length, Tell, SetPlaybackRate and GetPlaybackRate - use Connect
	instead of message maps - on MSW don't assert if the file has no
	video and only sound - add event for when the movie finishes

2004-11-07 03:34  RN

	* src/mac/carbon/moviectrl.cpp, docs/latex/wx/classes.tex,
	docs/latex/wx/moviectrl.tex, docs/latex/wx/movieevt.tex:

	correct Stopping - go to start of movie if stopped - add in
	preliminary docs

2004-11-07 03:42  RN

	* docs/latex/wx/wxstring.tex:

	clear up wxStringBuffer docs a bit

2004-11-07 04:21  RN

	* docs/latex/wx/moviectrl.tex, include/wx/msw/moviectrl.h,
	include/wx/mac/carbon/moviectrl.h, src/msw/moviectrl.cpp,
	src/mac/carbon/moviectrl.cpp:

	allow multiple movie loading as per Julian's suggestion.  DOC.

2004-11-07 04:27  RN

	* src/mac/carbon/moviectrl.cpp:

	quick fixup

2004-11-07 05:01  RN

	* src/msw/textctrl.cpp, samples/text/text.cpp:

	fix for [ 1055191 ] wxTextCtrl::GetStyle() wrong attr and extended
	stat bar in text ctrl sample with rich text to show font attributes

2004-11-07 06:14  RN

	* include/wx/msw/textctrl.h, src/msw/textctrl.cpp:

	fix for [ 1052989 ] TextCtrl.SetBackgroundColour(wx.NullColour) bug

2004-11-07 07:47  RN

	* include/wx/mac/setup0.h, include/wx/msw/setup0.h,
	include/wx/msw/setup_microwin.h, include/wx/msw/wince/setup.h,
	src/msw/moviectrl.cpp, src/mac/carbon/moviectrl.cpp:

	some setup.h changes for wxMovieCtrl

2004-11-07 09:05  VS

	* src/xrc/xh_bmpbt.cpp:

	use wxART_BUTTON for stock bitmap buttons

2004-11-07 11:20  JS

	* contrib/samples/foldbar/foldpanelbar/foldpanelbartest.cpp:

	wxWindows -> wxWidgets

2004-11-07 11:44  VZ

	* tests/.cvsignore:

	ignore VC7 projects

2004-11-07 12:06  VZ

	* src/common/filename.cpp:

	made IsPathSeparator(NUL) work (by returning false)

2004-11-07 12:11  VZ

	* src/common/filename.cpp, include/wx/filename.h,
	tests/filename/filenametest.cpp:

	handle volume part of the path correctly in wxFileName(path, name,
	ext) ctor

2004-11-07 13:34  VS

	* docs/latex/wx/locale.tex:

	fixed typo

2004-11-07 14:22  KH

	* src/mac/carbon/spinctrl.cpp:

	The spacing just isn't right without the 4 pixel border around the
	textbox part

2004-11-07 16:16  RN

	* tests/Makefile.in, tests/makefile.bcc, tests/makefile.gcc,
	tests/makefile.vc, tests/makefile.wat, tests/test.dsp,
	tests/test.dsw, tests/uris/uris.cpp:

	update msvc projs manually for changed tests and uri tests and
	rebake others

2004-11-07 16:23  RN

	* tests/uris/uris.cpp:

	clean up dust from uri tests

2004-11-07 16:28  RN

	* include/wx/defs.h:

	workback defs for OSX

2004-11-07 16:34  RN

	* src/common/strconv.cpp:

	correct to int32 for range comparison

2004-11-07 18:05  RN

	* src/msw/moviectrl.cpp:

	finalize MSW implementation

2004-11-07 18:23  RN

	* src/mac/carbon/moviectrl.cpp:

	finalize MAC implementation

2004-11-07 18:39  RN

	* src/mac/carbon/moviectrl.cpp:

	fix playbackrate

2004-11-07 20:08  RN

	* src/msw/display.cpp:

	fixup authorship

2004-11-07 21:17  RN

	* src/msw/moviectrl.cpp, src/mac/carbon/moviectrl.cpp,
	include/wx/mac/setup0.h, include/wx/msw/setup0.h,
	include/wx/msw/setup_microwin.h, include/wx/msw/moviectrl.h,
	include/wx/msw/wince/setup.h, include/wx/moviectrl.h,
	include/wx/mac/carbon/moviectrl.h:

	[no log message]

2004-11-07 23:22  RN

	* docs/latex/wx/classes.tex, docs/latex/wx/moviectrl.tex,
	docs/latex/wx/movieevt.tex:

	remove docs

2004-11-08 04:21  GT

	* src/common/db.cpp:

	Unicode corrections in new SqlExec() overload SQL_BIT and
	SQL_TIMESTAMP were not being correctly interpreted in
	::GetColumns() Source reformatting to match WX conventions

2004-11-08 06:30  VZ

	* configure:

	regenerated (fixes problem with undefined EXTRALIBS_GNOMEPRINT)

2004-11-08 06:37  VZ

	* wx-config.in:

	fail silently if the requested wx-config is not found

2004-11-08 06:43  VZ

	* include/wx/dynarray.h:

	reverted last commit, still broken for VC6

2004-11-08 09:16  VZ

	* configure, configure.in:

	use wx_release_number instead of WX_CURRENT in Mac .r and .rsrc
	file names

2004-11-08 10:19  VZ

	* include/wx/string.h:

	don't define comparison operators taking wxStrings when wxUSE_STL
	== 1

2004-11-08 11:20  ABX

	* include/wx/textctrl.h:

	Undef GetWindowStyle() after new #include in cmndata.cpp.

2004-11-08 11:27  ABX

	* include/wx/wxchar.h:

	OW prototypes does not use ints in Unicode.

2004-11-08 11:34  ABX

	* src/common/strconv.cpp, src/common/uri.cpp:

	Unfortunatelly compiler does not know which bits play here and
	still warns about loosing them.

2004-11-08 11:51  ABX

	* src/common/cmndata.cpp:

	Unused warning fix.

2004-11-08 11:53  ABX

	* src/motif/dcclient.cpp, src/generic/listbkg.cpp:

	Get shorter code with new wxRect constructor.

2004-11-08 11:57  ABX

	* src/generic/printps.cpp, src/generic/prntdlgg.cpp:

	Warning fixes.

2004-11-08 12:03  ABX

	* include/wx/x11/textctrl.h:

	Blind change following observation in wxTextCtrlBase.

2004-11-08 13:23  RD

	* wxPython/docs/CHANGES.html:

	regenerated

2004-11-08 13:24  RD

	* wxPython/distrib/mac/wxPythonOSX/build:

	Python App bundles built on Jaguar won't run on Panther because of
	the different paths to the Python.app so we need to differentiate
	the two builds for the docs-demo disk image.

2004-11-08 13:27  ABX

	* include/wx/debug.h:

	Remove unnecessary OW recognition.

2004-11-08 15:55  RD

	* wxPython/distrib/all/subprocess.py,
	wxPython/distrib/all/taskrunner.py,
	wxPython/distrib/all/do-build-osx,
	wxPython/distrib/all/do-build-rpm,
	wxPython/distrib/all/do-build-windows,
	wxPython/distrib/all/build-osx, wxPython/distrib/all/build-rpm,
	wxPython/distrib/all/build-setup,
	wxPython/distrib/all/build-sources,
	wxPython/distrib/all/build-windows,
	wxPython/distrib/all/build-docs,
	wxPython/distrib/all/build-finalize,
	wxPython/distrib/all/build-linux, wxPython/distrib/all/README.txt,
	wxPython/distrib/all/build-all:

	Revamped automated build system to use a Python script for the
	master control script, make parallel builds the only way to do it
	(facilitated by the taskrunner module) split out the guts of
	build-all into separate scripts, etc.

2004-11-08 15:56  RD

	* wxPython/docs/MigrationGuide.txt:

	corrected function name

2004-11-08 15:59  RD

	* wxPython/docs/MigrationGuide.html:

	corrected function name

2004-11-08 16:09  RD

	* wxPython/distrib/all/build-all:

	oops, set coLinux hosts for the other Jobs too

2004-11-08 19:22  RN

	* include/wx/defs.h:

	remove fixme and explain unicode characters

2004-11-08 19:39  RD

	* wxPython/distrib/all/taskrunner.py:

	return error code upon KeyboardInterrupt

2004-11-08 19:40  RD

	* wxPython/distrib/all/build-all, wxPython/distrib/all/build-rpm:

	Can't use the config.PYVER value if it hasn't been set yet...

2004-11-08 19:40  RD

	* wxPython/docs/MigrationGuide.txt,
	wxPython/docs/MigrationGuide.html:

	typo

2004-11-08 19:41  RD

	* wxPython/config.py:

	removed RC flag

2004-11-08 20:20  DE

	* src/unix/gsocket.cpp:

	Cast 4th parameter of getsockopt to char* and of setsockopt to
	const char* so that older headers such as those found on Solaris
	2.6 will work.

2004-11-09 00:02  SC

	* src/mac/carbon/toplevel.cpp:

	allow arbitrary positions for toplevel windows (also initially
	off-screen )

2004-11-09 00:13  SC

	* src/mac/carbon/mdi.cpp:

	move offscreen before in order to avoid transitions for mdiparent
	frame as it supposed not to be visible on mac anyway

2004-11-09 02:29  VS

	* tests/streams/zlibstream.cpp:

	fixed memory deallocation

2004-11-09 03:02  VS

	* tests/regex/wxregextest.cpp:

	memory corruption fixes

2004-11-09 09:58  RD

	* wxPython/wx/lib/plot.py, wxPython/docs/CHANGES.txt:

	Backed out Oliver's PyPlot changes at Gordon's request.

2004-11-09 10:03  RD

	* wxPython/docs/CHANGES.html:

	Backed out Oliver's PyPlot changes at Gordon's request.

2004-11-09 10:32  ABX

	* docs/changes.txt, docs/latex/wx/gridbagsizer.tex,
	docs/latex/wx/sizer.tex, docs/latex/wx/sizeritem.tex,
	include/wx/gbsizer.h, include/wx/sizer.h, src/common/gbsizer.cpp,
	src/common/sizer.cpp:

	wxSizer::Add/Insert now returns pointer to wxSizerItem added and
	wxSizerItem contains access to its area [Patch #1042571 with
	minimal tweaks]

2004-11-09 10:48  ABX

	* src/common/datetime.cpp, src/common/db.cpp:

	Warning fixes, IsEmpty->empty.

2004-11-09 10:53  ABX

	* build/bakefiles/common.bkl:

	Supress 48 warnings in wx\msw\uxtheme.h: 'va_start' macro will not
	work without an argument before '...'.

2004-11-09 11:01  KH

	* src/generic/textdlgg.cpp:

	[1001483] Added wxPasswordEntryDialog analagous to
	wxTextEntryDialog, allows detecting entering an empty string vs.
	cancel unlike the wxGetPasswordFromUser dialog function.

2004-11-09 11:03  KH

	* src/common/datacmn.cpp:

	[1001483] Added default prompt for new wxPasswordEntryDialog

2004-11-09 11:09  ABX

	* docs/latex/wx/evthand.tex:

	Doc fix [Patch #1048940].

2004-11-09 11:09  KH

	* src/common/utilscmn.cpp:

	[1001483] wxGetPasswordFromUser now uses wxPasswordEntryDialog
	instead of wxTextEntryDialog

2004-11-09 11:11  KH

	* include/wx/generic/textdlgg.h, docs/latex/wx/category.tex,
	docs/latex/wx/passdlg.tex, docs/latex/wx/tcommdlg.tex:

	[1001483] Added wxPasswordEntryDialog analagous to
	wxTextEntryDialog, allows detecting entering an empty string vs.
	cancel unlike the wxGetPasswordFromUser dialog function.

2004-11-09 11:17  ABX

	* utils/tex2rtf/src/htmlutil.cpp, utils/tex2rtf/src/tex2any.cpp:

	Unicode fixes. Avoid int 'ch' and '(wx)char ch' in the same scope.

2004-11-09 11:32  ABX

	* docs/latex/wx/wxstring.tex:

	Removed method which belongs to wxArrayString (and is listed there
	already) [Bug #957545].

2004-11-09 11:35  VZ

	* include/wx/string.h:

	don't define comparison operators for wxString and wx[W]CharBuffer
	when wxUSE_STL == 1 neither

2004-11-09 12:03  SC

	* src/mac/carbon/toplevel.cpp:

	toplevel creation respecting wxDefaultPosition again

2004-11-09 16:33  RD

	* wxPython/src/_sizers.i:

	typo fixed

2004-11-09 16:52  RD

	* wxPython/src/mac/_core.py, wxPython/src/msw/_core.py,
	wxPython/src/gtk/_core.py:

	reSWIGged

2004-11-09 21:01  RL

	* wx-config.in:


	Don't shoot the messenger.  Reverted the previous 'silent
	treatment' patch, users should be informed of things that go wrong,
	when they go wrong, without having to figure out what cold silence
	means in that context from other clues.

	If broken configure scripts perform unnecessary tests, or clever
	ones want to perform them silently, then they should redirect
	stderr to /dev/null like all other well behaved tools might.

	Fixed bug diagnosed by Fritz Elfert where an explicit --host
	specification to configure was not properly ignored for native
	builds.

2004-11-10 01:31  RN

	* tests/datetime/datetimetest.cpp:

	fix datetime tests for non-westeurope time zones

2004-11-10 02:29  GT

	* src/common/dbgrid.cpp:

	Added support for SQL_C_UCHAR (unicode builds), SQL_C_LONG, and
	SQL_C_SHORT.  These are the column types supported by the wxODBC
	classes that were not being handled by the wxDbGrid code

2004-11-10 02:31  GT

	* demos/dbbrowse/browsedb.cpp:

	Correction of a commented out line of code so that if ever
	uncommented, it will work in unicode builds

2004-11-10 04:12  GT

	* samples/db/dbtest.cpp, samples/db/dbtest.h:

	wxChar* usage changed over to wxString in various places Warning
	fixes when compiling in compatibility 2_4 mode to force use of the
	desired wxDbTable constructor

2004-11-10 04:19  GT

	* samples/db/listdb.cpp, samples/db/listdb.h:

	wxChar* usage changed over to wxString in various places Warning
	fixes when compiling in compatibility 2_4 mode to force use of the
	desired wxDbTable constructor Added OnDClick() event to listbox to
	auto-click the OK button to select a name Unicode fix of a
	SQL_C_CHAR reference

2004-11-10 05:44  SC

	* src/mac/carbon/textctrl.cpp:

	text attributes corrected

2004-11-10 05:52  RL

	* Makefile.in, autoconf_inc.m4, configure,
	build/bakefiles/make_dist.mk, debian/changelog:


	Added wx.manifest to the msw source dist, it seems to be necessary
	now.

2004-11-10 06:37  RL

	* src/common/intl.cpp:


	This size/offset stuff is a mess, but leaving this one warning
	about a mismatch that makes the test a NOOP is just silly.

2004-11-10 10:14  RD

	* wxPython/wx/lib/ogl/_composit.py, wxPython/wx/lib/ogl/_canvas.py,
	wxPython/docs/CHANGES.txt:

	OGL patch from Shane Holloway:

	    Two simple problems found in the new python ogl code.  First is
	    the patch for _canvas.py.  Essentially:

		dx = abs(dc.LogicalToDeviceX(x - self._firstDragX))
		dy = abs(dc.LogicalToDeviceY(y - self._firstDragY))

	    was incorrect because (x,y) and (self._firstDragX,
	    self._firstDragY) are both already in Logical coordinates.
	    Therefore the difference between the two is also in logical
	    coordinates, and the conversion call is an error.  This bug
	    surfaces when you have OGL on a scrollwin, and you are far from
	    the origin of the canvas.

	    The second change in _composit.py basically removes the
	assumption
	    that the child is in both self._children and self._divisions.
	    Causes many problems when it's not.  ;)

2004-11-10 10:16  RD

	* wxPython/wx/lib/multisash.py, wxPython/docs/CHANGES.txt:

	Fixed GetSaveData and SetSaveData in wx.lib.multisash to not depend
	on the default way that class objectss are converted to strings.

2004-11-10 10:51  ABX

	* docs/latex/wx/classes.tex, docs/latex/wx/passdlg.tex,
	docs/latex/wx/textdlg.tex:

	Fixes to recently added documentation of wxPasswordEntryDialog.

2004-11-10 10:59  ABX

	* docs/latex/wx/menuitem.tex:

	IsSubMenu() not listed - bug #921648.

2004-11-10 11:01  ABX

	* docs/latex/wx/datetime.tex:

	Missing parts of wxDateTime - bug #825215.

2004-11-10 11:06  ABX

	* build/bakefiles/common.bkl:

	Explain supressed warnings.

2004-11-10 11:12  ABX

	* include/wx/wxchar.h:

	Warning fix observed in tex2rtf.

2004-11-10 11:17  ABX

	* include/wx/msw/combobox.h:

	Patch #1053364 - combobox shoult not remember position after
	clearing.

2004-11-10 11:24  ABX

	* include/wx/treebase.h, src/common/treebase.cpp:

	wxTreeEvent::Clone() support [patch #1061198].

2004-11-10 11:32  KH

	* docs/latex/wx/rect.tex:

	Fixed two instances of : inbetween wxRect and method name (Inside
	and Intersects), replaced with ::

2004-11-10 11:53  ABX

	* src/msw/listbox.cpp, src/msw/printwin.cpp:

	OW fixes.

2004-11-10 11:58  RD

	* contrib/src/stc/stc.cpp, contrib/src/stc/stc.cpp.in,
	contrib/src/stc/stc.h.in, contrib/include/wx/stc/stc.h:

	When using an external scrollbar ensure that the built-in one is
	set at minimal values so it won't be displayed.

2004-11-10 13:01  VZ

	* include/wx/file.h, include/wx/filefn.h, include/wx/stream.h,
	samples/console/console.cpp, src/common/file.cpp,
	src/common/filefn.cpp, src/common/gifdecod.cpp,
	src/common/imagbmp.cpp, src/common/image.cpp,
	src/common/imagiff.cpp, src/common/imagtiff.cpp,
	src/common/intl.cpp, src/common/stream.cpp,
	src/common/textfile.cpp, src/common/wfstream.cpp,
	src/common/xpmdecod.cpp, src/html/chm.cpp, src/msw/gdiimage.cpp,
	src/msw/urlmsw.cpp, src/unix/snglinst.cpp, tests/streams/bstream.h,
	utils/HelpGen/src/HelpGen.cpp:

	new set of fixes for problems due to huge files support: drop
	wxFileSize_t, use wxFileOffset only, make wxInvalidOffset an int
	(main part of the patch 1063498)

2004-11-10 13:10  VZ

	* docs/changes.txt, docs/latex/wx/strmbase.tex,
	include/wx/mstream.h, include/wx/sstream.h, include/wx/stream.h,
	include/wx/wfstream.h, include/wx/zipstrm.h, include/wx/zstream.h,
	src/common/stream.cpp, src/common/wfstream.cpp,
	src/common/zipstrm.cpp, wxPython/include/wx/wxPython/pyistream.h,
	wxPython/src/helpers.cpp:

	replaced wxStream::GetSize() with GetLength() (still keep the
	former but it will be deprecated) (second part of patch 1063498)

2004-11-10 13:16  KH

	* docs/latex/wx/hashmap.tex:

	Clarified the wording for the return value of count

2004-11-10 13:16  VZ

	* src/generic/dirctrlg.cpp:

	construct icon from wxIconLocation, not just the file name without
	index: this fixes icons display under MSW (replaces patch 1047225)

2004-11-10 13:28  ABX

	* tests/test.cpp, tests/formatconverter/formatconvertertest.cpp,
	tests/regex/regextest.cpp, tests/regex/wxregextest.cpp,
	tests/streams/bstream.cpp, tests/streams/bstream.h,
	tests/streams/ffilestream.cpp, tests/streams/filestream.cpp,
	tests/streams/memstream.cpp, tests/streams/sstream.cpp,
	tests/streams/zlibstream.cpp:

	Patch 1053127 - Test fixes.

2004-11-10 14:08  VZ

	* configure.in, src/msw/utils.cpp, src/unix/baseunix.cpp,
	src/unix/utilsunx.cpp, docs/changes.txt:

	better (more precise) values for wxGetOsDescription() (patch
	1047539)

2004-11-10 14:46  KH

	* docs/latex/wx/hashmap.tex:

	Correct typos, minor wording improvements

2004-11-10 15:12  VZ

	* src/msw/tbar95.cpp:

	use TB_GETMAXSIZE in GetBestSize() (patch 1050045)

2004-11-10 15:30  VZ

	* src/msw/bitmap.cpp:

	fixed creation of the mask in wxImage -> wxBitmap conversion when
	bpp < 32 (patch 1052766)

2004-11-10 15:58  VZ

	* include/wx/zipstrm.h, src/common/archive.cpp,
	src/common/fs_zip.cpp, src/common/zipstrm.cpp, tests/test.bkl:

	added ZIP classes by M.J.Wetherell (patch 1030239)

